=encoding utf8

=head1

Locale::CLDR::Locales::Hi - Package for language Hindi

=cut

package Locale::CLDR::Locales::Hi;
# This file auto generated from Data\common\main\hi.xml
#	on Sun  3 Feb  1:54:52 pm GMT

use strict;
use warnings;
use version;

our $VERSION = version->declare('v0.34.0');

use v5.10.1;
use mro 'c3';
use utf8;
use if $^V ge v5.12.0, feature => 'unicode_strings';
use Types::Standard qw( Str Int HashRef ArrayRef CodeRef RegexpRef );
use Moo;

extends('Locale::CLDR::Locales::Root');
has 'valid_algorithmic_formats' => (
	is => 'ro',
	isa => ArrayRef,
	init_arg => undef,
	default => sub {[ 'spellout-numbering-year','spellout-numbering','spellout-cardinal','spellout-ordinal-masculine','spellout-ordinal-feminine','digits-ordinal-masculine','digits-ordinal-masculine-oblique','digits-ordinal-feminine','digits-ordinal' ]},
);

has 'algorithmic_number_format_data' => (
	is => 'ro',
	isa => HashRef,
	init_arg => undef,
	default => sub { 
		use bignum;
		return {
		'digits-ordinal' => {
			'public' => {
				'0' => {
					base_value => q(0),
					divisor => q(1),
					rule => q(=%digits-ordinal-masculine=),
				},
				'max' => {
					base_value => q(0),
					divisor => q(1),
					rule => q(=%digits-ordinal-masculine=),
				},
			},
		},
		'digits-ordinal-feminine' => {
			'public' => {
				'-x' => {
					divisor => q(1),
					rule => q(−→→),
				},
				'0' => {
					base_value => q(0),
					divisor => q(1),
					rule => q(0),
				},
				'x.x' => {
					divisor => q(1),
					rule => q(=#,##,##0.0=),
				},
				'1' => {
					base_value => q(1),
					divisor => q(1),
					rule => q(=0=ली),
				},
				'2' => {
					base_value => q(2),
					divisor => q(1),
					rule => q(=0=री),
				},
				'4' => {
					base_value => q(4),
					divisor => q(1),
					rule => q(=0=थी),
				},
				'5' => {
					base_value => q(5),
					divisor => q(1),
					rule => q(=0=वीँ),
				},
				'6' => {
					base_value => q(6),
					divisor => q(1),
					rule => q(=0=ठी),
				},
				'7' => {
					base_value => q(7),
					divisor => q(1),
					rule => q(=#,##,##0=वीँ),
				},
				'max' => {
					base_value => q(7),
					divisor => q(1),
					rule => q(=#,##,##0=वीँ),
				},
			},
		},
		'digits-ordinal-masculine' => {
			'public' => {
				'-x' => {
					divisor => q(1),
					rule => q(−→→),
				},
				'0' => {
					base_value => q(0),
					divisor => q(1),
					rule => q(0),
				},
				'x.x' => {
					divisor => q(1),
					rule => q(=#,##,##0.0=),
				},
				'1' => {
					base_value => q(1),
					divisor => q(1),
					rule => q(=0=ला),
				},
				'2' => {
					base_value => q(2),
					divisor => q(1),
					rule => q(=0=रा),
				},
				'4' => {
					base_value => q(4),
					divisor => q(1),
					rule => q(=0=था),
				},
				'5' => {
					base_value => q(5),
					divisor => q(1),
					rule => q(=0=वाँ),
				},
				'6' => {
					base_value => q(6),
					divisor => q(1),
					rule => q(=0=ठा),
				},
				'7' => {
					base_value => q(7),
					divisor => q(1),
					rule => q(=#,##,##0=वाँ),
				},
				'max' => {
					base_value => q(7),
					divisor => q(1),
					rule => q(=#,##,##0=वाँ),
				},
			},
		},
		'digits-ordinal-masculine-oblique' => {
			'public' => {
				'-x' => {
					divisor => q(1),
					rule => q(−→→),
				},
				'0' => {
					base_value => q(0),
					divisor => q(1),
					rule => q(0),
				},
				'x.x' => {
					divisor => q(1),
					rule => q(=#,##,##0.0=),
				},
				'1' => {
					base_value => q(1),
					divisor => q(1),
					rule => q(=0=ले),
				},
				'2' => {
					base_value => q(2),
					divisor => q(1),
					rule => q(=0=रे),
				},
				'4' => {
					base_value => q(4),
					divisor => q(1),
					rule => q(=0=थे),
				},
				'5' => {
					base_value => q(5),
					divisor => q(1),
					rule => q(=0=वें),
				},
				'6' => {
					base_value => q(6),
					divisor => q(1),
					rule => q(=0=ठे),
				},
				'7' => {
					base_value => q(7),
					divisor => q(1),
					rule => q(=#,##,##0=वें),
				},
				'max' => {
					base_value => q(7),
					divisor => q(1),
					rule => q(=#,##,##0=वें),
				},
			},
		},
		'spellout-cardinal' => {
			'public' => {
				'-x' => {
					divisor => q(1),
					rule => q(ऋण →→),
				},
				'0' => {
					base_value => q(0),
					divisor => q(1),
					rule => q(शून्य),
				},
				'x.x' => {
					divisor => q(1),
					rule => q(←← दशमलव →→),
				},
				'1' => {
					base_value => q(1),
					divisor => q(1),
					rule => q(एक),
				},
				'2' => {
					base_value => q(2),
					divisor => q(1),
					rule => q(दो),
				},
				'3' => {
					base_value => q(3),
					divisor => q(1),
					rule => q(तीन),
				},
				'4' => {
					base_value => q(4),
					divisor => q(1),
					rule => q(चार),
				},
				'5' => {
					base_value => q(5),
					divisor => q(1),
					rule => q(पाँच),
				},
				'6' => {
					base_value => q(6),
					divisor => q(1),
					rule => q(छह),
				},
				'7' => {
					base_value => q(7),
					divisor => q(1),
					rule => q(सात),
				},
				'8' => {
					base_value => q(8),
					divisor => q(1),
					rule => q(आठ),
				},
				'9' => {
					base_value => q(9),
					divisor => q(1),
					rule => q(नौ),
				},
				'10' => {
					base_value => q(10),
					divisor => q(10),
					rule => q(दस),
				},
				'11' => {
					base_value => q(11),
					divisor => q(10),
					rule => q(ग्यारह),
				},
				'12' => {
					base_value => q(12),
					divisor => q(10),
					rule => q(बारह),
				},
				'13' => {
					base_value => q(13),
					divisor => q(10),
					rule => q(तेरह),
				},
				'14' => {
					base_value => q(14),
					divisor => q(10),
					rule => q(चौदह),
				},
				'15' => {
					base_value => q(15),
					divisor => q(10),
					rule => q(पन्द्रह),
				},
				'16' => {
					base_value => q(16),
					divisor => q(10),
					rule => q(सोलह),
				},
				'17' => {
					base_value => q(17),
					divisor => q(10),
					rule => q(सत्रह),
				},
				'18' => {
					base_value => q(18),
					divisor => q(10),
					rule => q(अठारह),
				},
				'19' => {
					base_value => q(19),
					divisor => q(10),
					rule => q(उन्नीस),
				},
				'20' => {
					base_value => q(20),
					divisor => q(10),
					rule => q(बीस),
				},
				'21' => {
					base_value => q(21),
					divisor => q(10),
					rule => q(इक्कीस),
				},
				'22' => {
					base_value => q(22),
					divisor => q(10),
					rule => q(बाईस),
				},
				'23' => {
					base_value => q(23),
					divisor => q(10),
					rule => q(तेईस),
				},
				'24' => {
					base_value => q(24),
					divisor => q(10),
					rule => q(चौबीस),
				},
				'25' => {
					base_value => q(25),
					divisor => q(10),
					rule => q(पच्चीस),
				},
				'26' => {
					base_value => q(26),
					divisor => q(10),
					rule => q(छब्बीस),
				},
				'27' => {
					base_value => q(27),
					divisor => q(10),
					rule => q(सत्ताईस),
				},
				'28' => {
					base_value => q(28),
					divisor => q(10),
					rule => q(अट्ठाईस),
				},
				'29' => {
					base_value => q(29),
					divisor => q(10),
					rule => q(उनतीस),
				},
				'30' => {
					base_value => q(30),
					divisor => q(10),
					rule => q(तीस),
				},
				'31' => {
					base_value => q(31),
					divisor => q(10),
					rule => q(इकतीस),
				},
				'32' => {
					base_value => q(32),
					divisor => q(10),
					rule => q(बत्तीस),
				},
				'33' => {
					base_value => q(33),
					divisor => q(10),
					rule => q(तैंतीस),
				},
				'34' => {
					base_value => q(34),
					divisor => q(10),
					rule => q(चौंतीस),
				},
				'35' => {
					base_value => q(35),
					divisor => q(10),
					rule => q(पैंतीस),
				},
				'36' => {
					base_value => q(36),
					divisor => q(10),
					rule => q(छत्तीस),
				},
				'37' => {
					base_value => q(37),
					divisor => q(10),
					rule => q(सैंतीस),
				},
				'38' => {
					base_value => q(38),
					divisor => q(10),
					rule => q(अड़तीस),
				},
				'39' => {
					base_value => q(39),
					divisor => q(10),
					rule => q(उनतालीस),
				},
				'40' => {
					base_value => q(40),
					divisor => q(10),
					rule => q(चालीस),
				},
				'41' => {
					base_value => q(41),
					divisor => q(10),
					rule => q(इकतालीस),
				},
				'42' => {
					base_value => q(42),
					divisor => q(10),
					rule => q(बयालीस),
				},
				'43' => {
					base_value => q(43),
					divisor => q(10),
					rule => q(तैंतालीस),
				},
				'44' => {
					base_value => q(44),
					divisor => q(10),
					rule => q(चौवालीस),
				},
				'45' => {
					base_value => q(45),
					divisor => q(10),
					rule => q(पैंतालीस),
				},
				'46' => {
					base_value => q(46),
					divisor => q(10),
					rule => q(छियालीस),
				},
				'47' => {
					base_value => q(47),
					divisor => q(10),
					rule => q(सैंतालीस),
				},
				'48' => {
					base_value => q(48),
					divisor => q(10),
					rule => q(अड़तालीस),
				},
				'49' => {
					base_value => q(49),
					divisor => q(10),
					rule => q(उनचास),
				},
				'50' => {
					base_value => q(50),
					divisor => q(10),
					rule => q(पचास),
				},
				'51' => {
					base_value => q(51),
					divisor => q(10),
					rule => q(इक्यावन),
				},
				'52' => {
					base_value => q(52),
					divisor => q(10),
					rule => q(बावन),
				},
				'53' => {
					base_value => q(53),
					divisor => q(10),
					rule => q(तिरेपन),
				},
				'54' => {
					base_value => q(54),
					divisor => q(10),
					rule => q(चौवन),
				},
				'55' => {
					base_value => q(55),
					divisor => q(10),
					rule => q(पचपन),
				},
				'56' => {
					base_value => q(56),
					divisor => q(10),
					rule => q(छप्पन),
				},
				'57' => {
					base_value => q(57),
					divisor => q(10),
					rule => q(सत्तावन),
				},
				'58' => {
					base_value => q(58),
					divisor => q(10),
					rule => q(अट्ठावन),
				},
				'59' => {
					base_value => q(59),
					divisor => q(10),
					rule => q(उनसठ),
				},
				'60' => {
					base_value => q(60),
					divisor => q(10),
					rule => q(साठ),
				},
				'61' => {
					base_value => q(61),
					divisor => q(10),
					rule => q(इकसठ),
				},
				'62' => {
					base_value => q(62),
					divisor => q(10),
					rule => q(बासठ),
				},
				'63' => {
					base_value => q(63),
					divisor => q(10),
					rule => q(तिरेसठ),
				},
				'64' => {
					base_value => q(64),
					divisor => q(10),
					rule => q(चौंसठ),
				},
				'65' => {
					base_value => q(65),
					divisor => q(10),
					rule => q(पैंसठ),
				},
				'66' => {
					base_value => q(66),
					divisor => q(10),
					rule => q(छियासठ),
				},
				'67' => {
					base_value => q(67),
					divisor => q(10),
					rule => q(सड़सठ),
				},
				'68' => {
					base_value => q(68),
					divisor => q(10),
					rule => q(अड़सठ),
				},
				'69' => {
					base_value => q(69),
					divisor => q(10),
					rule => q(उनहत्तर),
				},
				'70' => {
					base_value => q(70),
					divisor => q(10),
					rule => q(सत्तर),
				},
				'71' => {
					base_value => q(71),
					divisor => q(10),
					rule => q(इकहत्तर),
				},
				'72' => {
					base_value => q(72),
					divisor => q(10),
					rule => q(बहत्तर),
				},
				'73' => {
					base_value => q(73),
					divisor => q(10),
					rule => q(तिहत्तर),
				},
				'74' => {
					base_value => q(74),
					divisor => q(10),
					rule => q(चौहत्तर),
				},
				'75' => {
					base_value => q(75),
					divisor => q(10),
					rule => q(पचहत्तर),
				},
				'76' => {
					base_value => q(76),
					divisor => q(10),
					rule => q(छिहत्तर),
				},
				'77' => {
					base_value => q(77),
					divisor => q(10),
					rule => q(सतहत्तर),
				},
				'78' => {
					base_value => q(78),
					divisor => q(10),
					rule => q(अठहत्तर),
				},
				'79' => {
					base_value => q(79),
					divisor => q(10),
					rule => q(उनासी),
				},
				'80' => {
					base_value => q(80),
					divisor => q(10),
					rule => q(अस्सी),
				},
				'81' => {
					base_value => q(81),
					divisor => q(10),
					rule => q(इक्यासी),
				},
				'82' => {
					base_value => q(82),
					divisor => q(10),
					rule => q(बयासी),
				},
				'83' => {
					base_value => q(83),
					divisor => q(10),
					rule => q(तिरासी),
				},
				'84' => {
					base_value => q(84),
					divisor => q(10),
					rule => q(चौरासी),
				},
				'85' => {
					base_value => q(85),
					divisor => q(10),
					rule => q(पचासी),
				},
				'86' => {
					base_value => q(86),
					divisor => q(10),
					rule => q(छियासी),
				},
				'87' => {
					base_value => q(87),
					divisor => q(10),
					rule => q(सत्तासी),
				},
				'88' => {
					base_value => q(88),
					divisor => q(10),
					rule => q(अट्ठासी),
				},
				'89' => {
					base_value => q(89),
					divisor => q(10),
					rule => q(नवासी),
				},
				'90' => {
					base_value => q(90),
					divisor => q(10),
					rule => q(नब्बे),
				},
				'91' => {
					base_value => q(91),
					divisor => q(10),
					rule => q(इक्यानबे),
				},
				'92' => {
					base_value => q(92),
					divisor => q(10),
					rule => q(बानबे),
				},
				'93' => {
					base_value => q(93),
					divisor => q(10),
					rule => q(तिरानबे),
				},
				'94' => {
					base_value => q(94),
					divisor => q(10),
					rule => q(चौरानबे),
				},
				'95' => {
					base_value => q(95),
					divisor => q(10),
					rule => q(पंचानबे),
				},
				'96' => {
					base_value => q(96),
					divisor => q(10),
					rule => q(छियानबे),
				},
				'97' => {
					base_value => q(97),
					divisor => q(10),
					rule => q(सत्तानबे),
				},
				'98' => {
					base_value => q(98),
					divisor => q(10),
					rule => q(अट्ठानबे),
				},
				'99' => {
					base_value => q(99),
					divisor => q(10),
					rule => q(निन्यानबे),
				},
				'100' => {
					base_value => q(100),
					divisor => q(100),
					rule => q(←← सौ[ →→]),
				},
				'1000' => {
					base_value => q(1000),
					divisor => q(1000),
					rule => q(←← हज़ार[ →→]),
				},
				'100000' => {
					base_value => q(100000),
					divisor => q(100000),
					rule => q(←← लाख[ →→]),
				},
				'10000000' => {
					base_value => q(10000000),
					divisor => q(10000000),
					rule => q(←← करोड़[ →→]),
				},
				'1000000000' => {
					base_value => q(1000000000),
					divisor => q(1000000000),
					rule => q(←← अरब[ →→]),
				},
				'100000000000' => {
					base_value => q(100000000000),
					divisor => q(100000000000),
					rule => q(←← खरब[ →→]),
				},
				'1000000000000000000' => {
					base_value => q(1000000000000000000),
					divisor => q(1000000000000000000),
					rule => q(=#,##,##0=),
				},
				'max' => {
					base_value => q(1000000000000000000),
					divisor => q(1000000000000000000),
					rule => q(=#,##,##0=),
				},
			},
		},
		'spellout-numbering' => {
			'public' => {
				'0' => {
					base_value => q(0),
					divisor => q(1),
					rule => q(=%spellout-cardinal=),
				},
				'max' => {
					base_value => q(0),
					divisor => q(1),
					rule => q(=%spellout-cardinal=),
				},
			},
		},
		'spellout-numbering-year' => {
			'public' => {
				'0' => {
					base_value => q(0),
					divisor => q(1),
					rule => q(=%spellout-numbering=),
				},
				'x.x' => {
					divisor => q(1),
					rule => q(=0.0=),
				},
				'max' => {
					divisor => q(1),
					rule => q(=0.0=),
				},
			},
		},
		'spellout-ordinal-feminine' => {
			'public' => {
				'-x' => {
					divisor => q(1),
					rule => q(ऋण →→),
				},
				'0' => {
					base_value => q(0),
					divisor => q(1),
					rule => q(शून्यवी),
				},
				'x.x' => {
					divisor => q(1),
					rule => q(=#,##,##0.0=),
				},
				'1' => {
					base_value => q(1),
					divisor => q(1),
					rule => q(पहली),
				},
				'2' => {
					base_value => q(2),
					divisor => q(1),
					rule => q(दूसरी),
				},
				'3' => {
					base_value => q(3),
					divisor => q(1),
					rule => q(तीसरी),
				},
				'4' => {
					base_value => q(4),
					divisor => q(1),
					rule => q(चौथी),
				},
				'5' => {
					base_value => q(5),
					divisor => q(1),
					rule => q(पाँचवी),
				},
				'6' => {
					base_value => q(6),
					divisor => q(1),
					rule => q(छठी),
				},
				'7' => {
					base_value => q(7),
					divisor => q(1),
					rule => q(=%spellout-cardinal=वी),
				},
				'max' => {
					base_value => q(7),
					divisor => q(1),
					rule => q(=%spellout-cardinal=वी),
				},
			},
		},
		'spellout-ordinal-masculine' => {
			'public' => {
				'-x' => {
					divisor => q(1),
					rule => q(ऋण →→),
				},
				'0' => {
					base_value => q(0),
					divisor => q(1),
					rule => q(शून्यवाँ),
				},
				'x.x' => {
					divisor => q(1),
					rule => q(=#,##,##0.0=),
				},
				'1' => {
					base_value => q(1),
					divisor => q(1),
					rule => q(पहला),
				},
				'2' => {
					base_value => q(2),
					divisor => q(1),
					rule => q(दूसरा),
				},
				'3' => {
					base_value => q(3),
					divisor => q(1),
					rule => q(तीसरा),
				},
				'4' => {
					base_value => q(4),
					divisor => q(1),
					rule => q(चौथा),
				},
				'5' => {
					base_value => q(5),
					divisor => q(1),
					rule => q(पाँचवाँ),
				},
				'6' => {
					base_value => q(6),
					divisor => q(1),
					rule => q(छठा),
				},
				'7' => {
					base_value => q(7),
					divisor => q(1),
					rule => q(=%spellout-cardinal=वाँ),
				},
				'max' => {
					base_value => q(7),
					divisor => q(1),
					rule => q(=%spellout-cardinal=वाँ),
				},
			},
		},
	} },
);

# Need to add code for Key type pattern
sub display_name_pattern {
	my ($self, $name, $region, $script, $variant) = @_;

	my $display_pattern = '{0} ({1})';
	$display_pattern =~s/\{0\}/$name/g;
	my $subtags = join '{0}, {1}', grep {$_} (
		$region,
		$script,
		$variant,
	);

	$display_pattern =~s/\{1\}/$subtags/g;
	return $display_pattern;
}

has 'display_name_language' => (
	is			=> 'ro',
	isa			=> CodeRef,
	init_arg	=> undef,
	default		=> sub { 
		 sub {
			 my %languages = (
				'aa' => 'अफ़ार',
 				'ab' => 'अब्ख़ाज़ियन',
 				'ace' => 'अचाइनीस',
 				'ach' => 'अकोली',
 				'ada' => 'अदान्गमे',
 				'ady' => 'अदिघे',
 				'ae' => 'अवस्ताई',
 				'af' => 'अफ़्रीकी',
 				'afh' => 'अफ्रिहिली',
 				'agq' => 'अग्हेम',
 				'ain' => 'ऐनू',
 				'ak' => 'अकन',
 				'akk' => 'अक्कादी',
 				'ale' => 'अलेउत',
 				'alt' => 'दक्षिणी अल्ताई',
 				'am' => 'अम्हेरी',
 				'an' => 'अर्गोनी',
 				'ang' => 'पुरानी अंग्रेज़ी',
 				'anp' => 'अंगिका',
 				'ar' => 'अरबी',
 				'ar_001' => 'आधुनिक मानक अरबी',
 				'arc' => 'ऐरेमेक',
 				'arn' => 'मापूचे',
 				'arp' => 'अरापाहो',
 				'ars' => 'नज्दी अरबी',
 				'arw' => 'अरावक',
 				'as' => 'असमिया',
 				'asa' => 'असु',
 				'ast' => 'अस्तुरियन',
 				'av' => 'अवेरिक',
 				'awa' => 'अवधी',
 				'ay' => 'आयमारा',
 				'az' => 'अज़रबैजानी',
 				'az@alt=short' => 'अज़ेरी',
 				'ba' => 'बशख़िर',
 				'bal' => 'बलूची',
 				'ban' => 'बालिनीस',
 				'bas' => 'बसा',
 				'be' => 'बेलारूसी',
 				'bej' => 'बेजा',
 				'bem' => 'बेम्बा',
 				'bez' => 'बेना',
 				'bg' => 'बुल्गारियाई',
 				'bgn' => 'पश्चिमी बलोची',
 				'bho' => 'भोजपुरी',
 				'bi' => 'बिस्लामा',
 				'bik' => 'बिकोल',
 				'bin' => 'बिनी',
 				'bla' => 'सिक्सिका',
 				'bm' => 'बाम्बारा',
 				'bn' => 'बंगाली',
 				'bo' => 'तिब्बती',
 				'br' => 'ब्रेटन',
 				'bra' => 'ब्रज',
 				'brx' => 'बोडो',
 				'bs' => 'बोस्नियाई',
 				'bua' => 'बुरियात',
 				'bug' => 'बगिनीस',
 				'byn' => 'ब्लिन',
 				'ca' => 'कातालान',
 				'cad' => 'कैड्डो',
 				'car' => 'कैरिब',
 				'cch' => 'अत्सम',
 				'ce' => 'चेचन',
 				'ceb' => 'सिबुआनो',
 				'cgg' => 'शिगा',
 				'ch' => 'कमोरो',
 				'chb' => 'चिब्चा',
 				'chg' => 'छगाताई',
 				'chk' => 'चूकीस',
 				'chm' => 'मारी',
 				'chn' => 'चिनूक जारगॉन',
 				'cho' => 'चोक्तौ',
 				'chp' => 'शिपेव्यान',
 				'chr' => 'चेरोकी',
 				'chy' => 'शेयेन्न',
 				'ckb' => 'सोरानी कुर्दिश',
 				'co' => 'कोर्सीकन',
 				'cop' => 'कॉप्टिक',
 				'cr' => 'क्री',
 				'crh' => 'क्रीमीन तुर्की',
 				'crs' => 'सेसेल्वा क्रिओल फ्रेंच',
 				'cs' => 'चेक',
 				'csb' => 'काशुबियन',
 				'cu' => 'चर्च साल्विक',
 				'cv' => 'चूवाश',
 				'cy' => 'वेल्श',
 				'da' => 'डेनिश',
 				'dak' => 'दाकोता',
 				'dar' => 'दार्गवा',
 				'dav' => 'तैता',
 				'de' => 'जर्मन',
 				'de_AT' => 'ऑस्ट्रियाई जर्मन',
 				'de_CH' => 'स्विस उच्च जर्मन',
 				'del' => 'डिलैवेयर',
 				'den' => 'स्लेव',
 				'dgr' => 'डोग्रिब',
 				'din' => 'दिन्का',
 				'dje' => 'झार्मा',
 				'doi' => 'डोग्री',
 				'dsb' => 'निचला सॉर्बियन',
 				'dua' => 'दुआला',
 				'dum' => 'मध्यकालीन पुर्तगाली',
 				'dv' => 'दिवेही',
 				'dyo' => 'जोला-फोंई',
 				'dyu' => 'ड्युला',
 				'dz' => 'ज़ोन्गखा',
 				'dzg' => 'दज़ागा',
 				'ebu' => 'एम्बु',
 				'ee' => 'ईवे',
 				'efi' => 'एफिक',
 				'egy' => 'प्राचीन मिस्री',
 				'eka' => 'एकाजुक',
 				'el' => 'यूनानी',
 				'elx' => 'एलामाइट',
 				'en' => 'अंग्रेज़ी',
 				'en_AU' => 'ऑस्ट्रेलियाई अंग्रेज़ी',
 				'en_CA' => 'कनाडाई अंग्रेज़ी',
 				'en_GB' => 'ब्रिटिश अंग्रेज़ी',
 				'en_GB@alt=short' => 'यू॰के॰ अंग्रेज़ी',
 				'en_US' => 'अमेरिकी अंग्रेज़ी',
 				'en_US@alt=short' => 'अमेरिकी अंग्रेज़ी',
 				'enm' => 'मध्यकालीन अंग्रेज़ी',
 				'eo' => 'एस्पेरेंतो',
 				'es' => 'स्पेनी',
 				'es_419' => 'लैटिन अमेरिकी स्पेनिश',
 				'es_ES' => 'यूरोपीय स्पेनिश',
 				'es_MX' => 'मैक्सिकन स्पेनिश',
 				'et' => 'एस्टोनियाई',
 				'eu' => 'बास्क',
 				'ewo' => 'इवोन्डो',
 				'fa' => 'फ़ारसी',
 				'fan' => 'फैन्ग',
 				'fat' => 'फन्टी',
 				'ff' => 'फुलाह',
 				'fi' => 'फ़िनिश',
 				'fil' => 'फ़िलिपीनो',
 				'fj' => 'फिजियन',
 				'fo' => 'फ़ैरोइज़',
 				'fon' => 'फॉन',
 				'fr' => 'फ़्रेंच',
 				'fr_CA' => 'कनाडाई फ़्रेंच',
 				'fr_CH' => 'स्विस फ़्रेंच',
 				'frc' => 'केजन फ़्रेंच',
 				'frm' => 'मध्यकालीन फ़्रांसीसी',
 				'fro' => 'पुरातन फ़्रांसीसी',
 				'frr' => 'उत्तरी फ़्रीसियाई',
 				'frs' => 'पूर्वी फ़्रीसियाई',
 				'fur' => 'फ्रीयुलीयान',
 				'fy' => 'पश्चिमी फ़्रिसियाई',
 				'ga' => 'आयरिश',
 				'gaa' => 'गा',
 				'gag' => 'गागौज़',
 				'gay' => 'गायो',
 				'gba' => 'ग्बाया',
 				'gd' => 'स्कॉटिश गाएलिक',
 				'gez' => 'गीज़',
 				'gil' => 'गिल्बरतीस',
 				'gl' => 'गैलिशियन',
 				'gmh' => 'मध्यकालीन हाइ जर्मन',
 				'gn' => 'गुआरानी',
 				'goh' => 'पुरातन हाइ जर्मन',
 				'gon' => 'गाँडी',
 				'gor' => 'गोरोन्तालो',
 				'got' => 'गॉथिक',
 				'grb' => 'ग्रेबो',
 				'grc' => 'प्राचीन यूनानी',
 				'gsw' => 'स्विस जर्मन',
 				'gu' => 'गुजराती',
 				'guz' => 'गुसी',
 				'gv' => 'मैंक्स',
 				'gwi' => 'ग्विचइन',
 				'ha' => 'हौसा',
 				'hai' => 'हैडा',
 				'haw' => 'हवाई',
 				'he' => 'हिब्रू',
 				'hi' => 'हिन्दी',
 				'hil' => 'हिलिगेनन',
 				'hit' => 'हिताइत',
 				'hmn' => 'ह्मॉंग',
 				'ho' => 'हिरी मोटू',
 				'hr' => 'क्रोएशियाई',
 				'hsb' => 'ऊपरी सॉर्बियन',
 				'ht' => 'हैतियाई',
 				'hu' => 'हंगेरियाई',
 				'hup' => 'हूपा',
 				'hy' => 'आर्मेनियाई',
 				'hz' => 'हरैरो',
 				'ia' => 'इंटरलिंगुआ',
 				'iba' => 'इबान',
 				'ibb' => 'इबिबियो',
 				'id' => 'इंडोनेशियाई',
 				'ie' => 'ईन्टरलिंगुइ',
 				'ig' => 'ईग्बो',
 				'ii' => 'सिचुआन यी',
 				'ik' => 'इनुपियाक्',
 				'ilo' => 'इलोको',
 				'inh' => 'इंगुश',
 				'io' => 'इडौ',
 				'is' => 'आइसलैंडिक',
 				'it' => 'इतालवी',
 				'iu' => 'इनूकीटूत्',
 				'ja' => 'जापानी',
 				'jbo' => 'लोज्बान',
 				'jgo' => 'नगोंबा',
 				'jmc' => 'मैकहैमे',
 				'jpr' => 'जुदेओ-पर्शियन',
 				'jrb' => 'जुदेओ-अरेबिक',
 				'jv' => 'जावानीज़',
 				'ka' => 'जॉर्जियाई',
 				'kaa' => 'कारा-कल्पक',
 				'kab' => 'कबाइल',
 				'kac' => 'काचिन',
 				'kaj' => 'ज्जु',
 				'kam' => 'कम्बा',
 				'kaw' => 'कावी',
 				'kbd' => 'कबार्डियन',
 				'kcg' => 'त्याप',
 				'kde' => 'मैकोंड',
 				'kea' => 'काबुवेर्दियानु',
 				'kfo' => 'कोरो',
 				'kg' => 'कोंगो',
 				'kha' => 'खासी',
 				'kho' => 'खोतानीस',
 				'khq' => 'कोयरा चीनी',
 				'ki' => 'किकुयू',
 				'kj' => 'क्वान्यामा',
 				'kk' => 'कज़ाख़',
 				'kkj' => 'काको',
 				'kl' => 'कलालीसुत',
 				'kln' => 'कलेंजिन',
 				'km' => 'खमेर',
 				'kmb' => 'किम्बन्दु',
 				'kn' => 'कन्नड़',
 				'ko' => 'कोरियाई',
 				'koi' => 'कोमी-पर्मयाक',
 				'kok' => 'कोंकणी',
 				'kos' => 'कोसरैन',
 				'kpe' => 'क्पेल',
 				'kr' => 'कनुरी',
 				'krc' => 'कराचय-बल्कार',
 				'krl' => 'करेलियन',
 				'kru' => 'कुरूख',
 				'ks' => 'कश्मीरी',
 				'ksb' => 'शम्बाला',
 				'ksf' => 'बफिआ',
 				'ksh' => 'कोलोनियाई',
 				'ku' => 'कुर्दिश',
 				'kum' => 'कुमीक',
 				'kut' => 'क्यूतनाई',
 				'kv' => 'कोमी',
 				'kw' => 'कोर्निश',
 				'ky' => 'किर्गीज़',
 				'la' => 'लैटिन',
 				'lad' => 'लादीनो',
 				'lag' => 'लांगि',
 				'lah' => 'लाह्न्डा',
 				'lam' => 'लाम्बा',
 				'lb' => 'लग्ज़मबर्गी',
 				'lez' => 'लेज़्घीयन',
 				'lg' => 'गांडा',
 				'li' => 'लिंबर्गिश',
 				'lkt' => 'लैकोटा',
 				'ln' => 'लिंगाला',
 				'lo' => 'लाओ',
 				'lol' => 'मोंगो',
 				'lou' => 'लुईज़ियाना क्रियोल',
 				'loz' => 'लोज़ी',
 				'lrc' => 'उत्तरी लूरी',
 				'lt' => 'लिथुआनियाई',
 				'lu' => 'ल्यूबा-कटांगा',
 				'lua' => 'ल्यूबा-लुलुआ',
 				'lui' => 'लुइसेनो',
 				'lun' => 'लुन्डा',
 				'luo' => 'ल्युओ',
 				'lus' => 'मिज़ो',
 				'luy' => 'ल्युईआ',
 				'lv' => 'लातवियाई',
 				'mad' => 'मादुरीस',
 				'mag' => 'मगही',
 				'mai' => 'मैथिली',
 				'mak' => 'मकासर',
 				'man' => 'मन्डिन्गो',
 				'mas' => 'मसाई',
 				'mdf' => 'मोक्ष',
 				'mdr' => 'मंदार',
 				'men' => 'मेन्डे',
 				'mer' => 'मेरु',
 				'mfe' => 'मोरीस्येन',
 				'mg' => 'मालागासी',
 				'mga' => 'मध्यकालीन आइरिश',
 				'mgh' => 'मैखुवा-मीट्टो',
 				'mgo' => 'मेटा',
 				'mh' => 'मार्शलीज़',
 				'mi' => 'माओरी',
 				'mic' => 'मिकमैक',
 				'min' => 'मिनांग्काबाउ',
 				'mk' => 'मकदूनियाई',
 				'ml' => 'मलयालम',
 				'mn' => 'मंगोलियाई',
 				'mnc' => 'मन्चु',
 				'mni' => 'मणिपुरी',
 				'moh' => 'मोहौक',
 				'mos' => 'मोस्सी',
 				'mr' => 'मराठी',
 				'ms' => 'मलय',
 				'mt' => 'माल्टीज़',
 				'mua' => 'मुंडैंग',
 				'mul' => 'एकाधिक भाषाएँ',
 				'mus' => 'क्रीक',
 				'mwl' => 'मिरांडी',
 				'mwr' => 'मारवाड़ी',
 				'my' => 'बर्मीज़',
 				'myv' => 'एर्ज़या',
 				'mzn' => 'माज़न्देरानी',
 				'na' => 'नाउरू',
 				'nan' => 'nan',
 				'nap' => 'नीपोलिटन',
 				'naq' => 'नामा',
 				'nb' => 'नॉर्वेजियाई बोकमाल',
 				'nd' => 'उत्तरी देबेल',
 				'nds' => 'निचला जर्मन',
 				'nds_NL' => 'निचली सैक्सन',
 				'ne' => 'नेपाली',
 				'new' => 'नेवाड़ी',
 				'ng' => 'डोन्गा',
 				'nia' => 'नियास',
 				'niu' => 'नियुआन',
 				'nl' => 'डच',
 				'nl_BE' => 'फ़्लेमिश',
 				'nmg' => 'क्वासिओ',
 				'nn' => 'नॉर्वेजियाई नॉयनॉर्स्क',
 				'nnh' => 'गैम्बू',
 				'no' => 'नॉर्वेजियाई',
 				'nog' => 'नोगाई',
 				'non' => 'पुराना नॉर्स',
 				'nqo' => 'एन्को',
 				'nr' => 'दक्षिण देबेल',
 				'nso' => 'उत्तरी सोथो',
 				'nus' => 'नुएर',
 				'nv' => 'नावाजो',
 				'nwc' => 'पारम्परिक नेवारी',
 				'ny' => 'न्यानजा',
 				'nym' => 'न्यामवेज़ी',
 				'nyn' => 'न्यानकोल',
 				'nyo' => 'न्योरो',
 				'nzi' => 'न्ज़ीमा',
 				'oc' => 'ओसीटान',
 				'oj' => 'ओजिब्वा',
 				'om' => 'ओरोमो',
 				'or' => 'उड़िया',
 				'os' => 'ओस्सेटिक',
 				'osa' => 'ओसेज',
 				'ota' => 'ओटोमान तुर्किश',
 				'pa' => 'पंजाबी',
 				'pag' => 'पंगासीनान',
 				'pal' => 'पाह्लावी',
 				'pam' => 'पाम्पान्गा',
 				'pap' => 'पापियामेन्टो',
 				'pau' => 'पलोउआन',
 				'pcm' => 'नाइजीरियाई पिडगिन',
 				'peo' => 'पुरानी फारसी',
 				'phn' => 'फोएनिशियन',
 				'pi' => 'पाली',
 				'pl' => 'पोलिश',
 				'pon' => 'पोह्नपिएन',
 				'prg' => 'प्रुशियाई',
 				'pro' => 'पुरानी प्रोवेन्सल',
 				'ps' => 'पश्तो',
 				'ps@alt=variant' => 'पुश्तो',
 				'pt' => 'पुर्तगाली',
 				'pt_BR' => 'ब्राज़ीली पुर्तगाली',
 				'pt_PT' => 'यूरोपीय पुर्तगाली',
 				'qu' => 'क्वेचुआ',
 				'quc' => 'किश',
 				'raj' => 'राजस्थानी',
 				'rap' => 'रापानुई',
 				'rar' => 'रारोतोंगन',
 				'rm' => 'रोमान्श',
 				'rn' => 'रुन्दी',
 				'ro' => 'रोमानियाई',
 				'ro_MD' => 'मोलडावियन',
 				'rof' => 'रोम्बो',
 				'rom' => 'रोमानी',
 				'root' => 'रूट',
 				'ru' => 'रूसी',
 				'rup' => 'अरोमानियन',
 				'rw' => 'किन्यारवांडा',
 				'rwk' => 'रवा',
 				'sa' => 'संस्कृत',
 				'sad' => 'सन्डावे',
 				'sah' => 'याकूत',
 				'sam' => 'सामैरिटन अरैमिक',
 				'saq' => 'सैम्बुरु',
 				'sas' => 'सासाक',
 				'sat' => 'संथाली',
 				'sba' => 'न्गाम्बे',
 				'sbp' => 'सैंगु',
 				'sc' => 'सार्दिनियन',
 				'scn' => 'सिसिलियन',
 				'sco' => 'स्कॉट्स',
 				'sd' => 'सिंधी',
 				'sdh' => 'दक्षिणी कार्डिश',
 				'se' => 'नॉर्दन सामी',
 				'seh' => 'सेना',
 				'sel' => 'सेल्कप',
 				'ses' => 'कोयराबोरो सेन्नी',
 				'sg' => 'सांगो',
 				'sga' => 'पुरानी आइरिश',
 				'sh' => 'सेर्बो-क्रोएशियाई',
 				'shi' => 'तैचेल्हित',
 				'shn' => 'शैन',
 				'si' => 'सिंहली',
 				'sid' => 'सिदामो',
 				'sk' => 'स्लोवाक',
 				'sl' => 'स्लोवेनियाई',
 				'sm' => 'सामोन',
 				'sma' => 'दक्षिणी सामी',
 				'smj' => 'ल्युल सामी',
 				'smn' => 'इनारी सामी',
 				'sms' => 'स्कोल्ट सामी',
 				'sn' => 'शोणा',
 				'snk' => 'सोनिन्के',
 				'so' => 'सोमाली',
 				'sog' => 'सोग्डिएन',
 				'sq' => 'अल्बानियाई',
 				'sr' => 'सर्बियाई',
 				'srn' => 'स्रानान टॉन्गो',
 				'srr' => 'सेरेर',
 				'ss' => 'स्वाती',
 				'ssy' => 'साहो',
 				'st' => 'दक्षिणी सेसेथो',
 				'su' => 'सुंडानी',
 				'suk' => 'सुकुमा',
 				'sus' => 'सुसु',
 				'sux' => 'सुमेरियन',
 				'sv' => 'स्वीडिश',
 				'sw' => 'स्वाहिली',
 				'sw_CD' => 'कांगो स्वाहिली',
 				'swb' => 'कोमोरियन',
 				'syc' => 'क्लासिकल सिरिएक',
 				'syr' => 'सिरिएक',
 				'ta' => 'तमिल',
 				'te' => 'तेलुगू',
 				'tem' => 'टिम्ने',
 				'teo' => 'टेसो',
 				'ter' => 'तेरेनो',
 				'tet' => 'तेतुम',
 				'tg' => 'ताजिक',
 				'th' => 'थाई',
 				'ti' => 'तिग्रीन्या',
 				'tig' => 'टाइग्रे',
 				'tiv' => 'तिव',
 				'tk' => 'तुर्कमेन',
 				'tkl' => 'तोकेलाऊ',
 				'tl' => 'टैगलॉग',
 				'tlh' => 'क्लिंगन',
 				'tli' => 'त्लिंगित',
 				'tmh' => 'तामाशेक',
 				'tn' => 'सेत्स्वाना',
 				'to' => 'टोंगन',
 				'tog' => 'न्यासा टोन्गा',
 				'tpi' => 'टोक पिसिन',
 				'tr' => 'तुर्की',
 				'trv' => 'तारोको',
 				'ts' => 'सोंगा',
 				'tsi' => 'त्सिमीशियन',
 				'tt' => 'तातार',
 				'tum' => 'तम्बूका',
 				'tvl' => 'तुवालु',
 				'tw' => 'ट्वी',
 				'twq' => 'टासवाक',
 				'ty' => 'ताहितियन',
 				'tyv' => 'तुवीनियन',
 				'tzm' => 'मध्य एटलस तमाज़ित',
 				'udm' => 'उदमुर्त',
 				'ug' => 'उइगर',
 				'uga' => 'युगैरिटिक',
 				'uk' => 'यूक्रेनियाई',
 				'umb' => 'उम्बुन्डु',
 				'und' => 'अज्ञात भाषा',
 				'ur' => 'उर्दू',
 				'uz' => 'उज़्बेक',
 				'vai' => 'वाई',
 				've' => 'वेन्दा',
 				'vi' => 'वियतनामी',
 				'vo' => 'वोलापुक',
 				'vot' => 'वॉटिक',
 				'vun' => 'वुंजो',
 				'wa' => 'वाल्लून',
 				'wae' => 'वाल्सर',
 				'wal' => 'वलामो',
 				'war' => 'वारै',
 				'was' => 'वाशो',
 				'wbp' => 'वॉल्पेरी',
 				'wo' => 'वोलोफ़',
 				'wuu' => 'वू चीनी',
 				'xal' => 'काल्मिक',
 				'xh' => 'ख़ोसा',
 				'xog' => 'सोगा',
 				'yao' => 'याओ',
 				'yap' => 'यापीस',
 				'yav' => 'यांगबेन',
 				'ybb' => 'येंबा',
 				'yi' => 'यहूदी',
 				'yo' => 'योरूबा',
 				'yue' => 'कैंटोनीज़',
 				'za' => 'ज़ुआंग',
 				'zap' => 'ज़ेपोटेक',
 				'zbl' => 'ब्लिसिम्बॉल्स',
 				'zen' => 'ज़ेनान्गा',
 				'zgh' => 'मानक मोरक्कन तामाज़ाइट',
 				'zh' => 'चीनी',
 				'zh_Hans' => 'सरलीकृत चीनी',
 				'zh_Hant' => 'पारंपरिक चीनी',
 				'zu' => 'ज़ुलू',
 				'zun' => 'ज़ूनी',
 				'zxx' => 'कोई भाषा सामग्री नहीं',
 				'zza' => 'ज़ाज़ा',

			);
			if (@_) {
				return $languages{$_[0]};
			}
			return \%languages;
		}
	},
);

has 'display_name_script' => (
	is			=> 'ro',
	isa			=> CodeRef,
	init_arg	=> undef,
	default		=> sub {
		sub {
			my %scripts = (
			'Arab' => 'अरबी',
 			'Arab@alt=variant' => 'फ़ारसी-अरबी',
 			'Armi' => 'इम्पिरियल आर्मेनिक',
 			'Armn' => 'आर्मेनियाई',
 			'Avst' => 'अवेस्तन',
 			'Bali' => 'बाली',
 			'Batk' => 'बटकी',
 			'Beng' => 'बंगाली',
 			'Blis' => 'ब्लिसिम्बॉल्स',
 			'Bopo' => 'बोपोमोफ़ो',
 			'Brah' => 'ब्रह्मी',
 			'Brai' => 'ब्रेल',
 			'Bugi' => 'बगिनीस',
 			'Buhd' => 'बुहिद',
 			'Cakm' => 'चकमा',
 			'Cans' => 'युनिफाइड कैनेडियन एबोरिजनल सिलेबिक्स',
 			'Cari' => 'करैन',
 			'Cham' => 'चाम',
 			'Cher' => 'चेरोकी',
 			'Cirt' => 'किर्थ',
 			'Copt' => 'कॉप्टिक',
 			'Cprt' => 'काइप्रायट',
 			'Cyrl' => 'सिरिलिक',
 			'Cyrs' => 'ओल्ड चर्च स्लावोनिक सिरिलिक',
 			'Deva' => 'देवनागरी',
 			'Dsrt' => 'डेसरेट',
 			'Egyd' => 'इजिप्शियन डेमोटिक',
 			'Egyh' => 'इजिप्शियन हाइरेटिक',
 			'Egyp' => 'इजिप्शियन हाइरोग्लिफ्स',
 			'Ethi' => 'इथियोपियाई',
 			'Geok' => 'जॉर्जियन खुतसुरी',
 			'Geor' => 'जॉर्जियन',
 			'Glag' => 'ग्लेगोलिटिक',
 			'Goth' => 'गोथिक',
 			'Gran' => 'ग्रन्थ',
 			'Grek' => 'यूनानी',
 			'Gujr' => 'गुजराती',
 			'Guru' => 'गुरमुखी',
 			'Hanb' => 'हांब',
 			'Hang' => 'हंगुल',
 			'Hani' => 'हान',
 			'Hano' => 'हनुनू',
 			'Hans' => 'सरलीकृत',
 			'Hans@alt=stand-alone' => 'सरलीकृत हान',
 			'Hant' => 'पारंपरिक',
 			'Hant@alt=stand-alone' => 'पारंपरिक हान',
 			'Hebr' => 'हिब्रू',
 			'Hira' => 'हिरागाना',
 			'Hmng' => 'पाहो ह्मोन्ग',
 			'Hrkt' => 'जापानी सिलेबरीज़',
 			'Hung' => 'ऑल्ड हंगेरियन',
 			'Inds' => 'सिन्धु',
 			'Ital' => 'पुरानी इटली',
 			'Jamo' => 'जामो',
 			'Java' => 'जावानीस',
 			'Jpan' => 'जापानी',
 			'Kali' => 'कायाह ली',
 			'Kana' => 'काताकाना',
 			'Khar' => 'खारोशथी',
 			'Khmr' => 'खमेर',
 			'Knda' => 'कन्नड़',
 			'Kore' => 'कोरियाई',
 			'Kthi' => 'कैथी',
 			'Lana' => 'लाना',
 			'Laoo' => 'लाओ',
 			'Latf' => 'फ़्रैक्टुर लातिनी',
 			'Latg' => 'गेली लातिनी',
 			'Latn' => 'लैटिन',
 			'Lepc' => 'लेपचा',
 			'Limb' => 'लिम्बू',
 			'Lina' => 'लीनियर A',
 			'Linb' => 'लीनियर बी',
 			'Lyci' => 'लिशियन',
 			'Lydi' => 'लिडियन',
 			'Mand' => 'मनडेन',
 			'Mani' => 'मनीशीन',
 			'Maya' => 'मयान हाइरोग्लिफ्स',
 			'Mero' => 'मेरोइटिक',
 			'Mlym' => 'मलयालम',
 			'Mong' => 'मंगोलियाई',
 			'Moon' => 'मून',
 			'Mtei' => 'मेइतेइ मायेक',
 			'Mymr' => 'म्यांमार',
 			'Nkoo' => 'एन्‘को',
 			'Ogam' => 'ओगम',
 			'Olck' => 'ऑल चिकी',
 			'Orkh' => 'ओरखोन',
 			'Orya' => 'उड़िया',
 			'Osma' => 'ओस्मान्या',
 			'Perm' => 'ओल्ड परमिक',
 			'Phag' => 'फाग्स-पा',
 			'Phli' => 'इंस्क्रिपश्नल पाहलवी',
 			'Phlp' => 'सॉल्टर पाहलवी',
 			'Phlv' => 'बुक पाहलवी',
 			'Phnx' => 'फोनिशियन',
 			'Plrd' => 'पॉलार्ड फोनेटिक',
 			'Prti' => 'इंस्क्रिपश्नल पार्थियन',
 			'Rjng' => 'रीजांग',
 			'Roro' => 'रोन्गोरोन्गो',
 			'Runr' => 'रूनिक',
 			'Samr' => 'समरिटन',
 			'Sara' => 'सराती',
 			'Saur' => 'सौराष्ट्र',
 			'Sgnw' => 'सांकेतिक लेख',
 			'Shaw' => 'शावियान',
 			'Sinh' => 'सिंहली',
 			'Sund' => 'सूडानी',
 			'Sylo' => 'सिलोती नागरी',
 			'Syrc' => 'सिरियेक',
 			'Syre' => 'एस्त्रेन्जेलो सिरिएक',
 			'Syrj' => 'पश्चिम सिरिएक',
 			'Syrn' => 'पूर्व सिरिएक',
 			'Tagb' => 'तगबन्वा',
 			'Tale' => 'ताई ली',
 			'Talu' => 'नया ताई लु',
 			'Taml' => 'तमिल',
 			'Tavt' => 'ताई विएत',
 			'Telu' => 'तेलुगू',
 			'Teng' => 'तेन्गवार',
 			'Tfng' => 'तिफिनाघ',
 			'Tglg' => 'टैगालोग',
 			'Thaa' => 'थाना',
 			'Thai' => 'थाई',
 			'Tibt' => 'तिब्बती',
 			'Ugar' => 'युगारिटिक',
 			'Vaii' => 'वाई',
 			'Visp' => 'विसिबल स्पीच',
 			'Xpeo' => 'पुरानी फारसी',
 			'Xsux' => 'सुमेरो अक्कादियन सुनिफॉर्म',
 			'Yiii' => 'यी',
 			'Zinh' => 'विरासत',
 			'Zmth' => 'गणितीय संकेतन',
 			'Zsye' => 'ईमोजी',
 			'Zsym' => 'चिह्न',
 			'Zxxx' => 'अलिखित',
 			'Zyyy' => 'सामान्य',
 			'Zzzz' => 'अज्ञात लिपि',

			);
			if ( @_ ) {
				return $scripts{$_[0]};
			}
			return \%scripts;
		}
	}
);

has 'display_name_region' => (
	is			=> 'ro',
	isa			=> HashRef[Str],
	init_arg	=> undef,
	default		=> sub { 
		{
			'001' => 'विश्व',
 			'002' => 'अफ़्रीका',
 			'003' => 'उत्तर अमेरिका',
 			'005' => 'दक्षिण अमेरिका',
 			'009' => 'ओशिआनिया',
 			'011' => 'पश्चिमी अफ़्रीका',
 			'013' => 'मध्य अमेरिका',
 			'014' => 'पूर्वी अफ़्रीका',
 			'015' => 'उत्तरी अफ़्रीका',
 			'017' => 'मध्य अफ़्रीका',
 			'018' => 'दक्षिणी अफ़्रीका',
 			'019' => 'अमेरिकाज़',
 			'021' => 'उत्तरी अमेरिका',
 			'029' => 'कैरिबियन',
 			'030' => 'पूर्वी एशिया',
 			'034' => 'दक्षिणी एशिया',
 			'035' => 'दक्षिण-पूर्व एशिया',
 			'039' => 'दक्षिणी यूरोप',
 			'053' => 'ऑस्ट्रेलेशिया',
 			'054' => 'मेलानेशिया',
 			'057' => 'माइक्रोनेशियाई क्षेत्र',
 			'061' => 'पोलिनेशिया',
 			'142' => 'एशिया',
 			'143' => 'मध्य एशिया',
 			'145' => 'पश्चिमी एशिया',
 			'150' => 'यूरोप',
 			'151' => 'पूर्वी यूरोप',
 			'154' => 'उत्तरी यूरोप',
 			'155' => 'पश्चिमी यूरोप',
 			'202' => 'उप-सहारा अफ़्रीका',
 			'419' => 'लैटिन अमेरिका',
 			'AC' => 'असेंशन द्वीप',
 			'AD' => 'एंडोरा',
 			'AE' => 'संयुक्त अरब अमीरात',
 			'AF' => 'अफ़गानिस्तान',
 			'AG' => 'एंटिगुआ और बरबुडा',
 			'AI' => 'एंग्विला',
 			'AL' => 'अल्बानिया',
 			'AM' => 'आर्मेनिया',
 			'AO' => 'अंगोला',
 			'AQ' => 'अंटार्कटिका',
 			'AR' => 'अर्जेंटीना',
 			'AS' => 'अमेरिकी समोआ',
 			'AT' => 'ऑस्ट्रिया',
 			'AU' => 'ऑस्ट्रेलिया',
 			'AW' => 'अरूबा',
 			'AX' => 'एलैंड द्वीपसमूह',
 			'AZ' => 'अज़रबैजान',
 			'BA' => 'बोस्निया और हर्ज़ेगोविना',
 			'BB' => 'बारबाडोस',
 			'BD' => 'बांग्लादेश',
 			'BE' => 'बेल्जियम',
 			'BF' => 'बुर्किना फ़ासो',
 			'BG' => 'बुल्गारिया',
 			'BH' => 'बहरीन',
 			'BI' => 'बुरुंडी',
 			'BJ' => 'बेनिन',
 			'BL' => 'सेंट बार्थेलेमी',
 			'BM' => 'बरमूडा',
 			'BN' => 'ब्रूनेई',
 			'BO' => 'बोलीविया',
 			'BQ' => 'कैरिबियन नीदरलैंड',
 			'BR' => 'ब्राज़ील',
 			'BS' => 'बहामास',
 			'BT' => 'भूटान',
 			'BV' => 'बोवेत द्वीप',
 			'BW' => 'बोत्स्वाना',
 			'BY' => 'बेलारूस',
 			'BZ' => 'बेलीज़',
 			'CA' => 'कनाडा',
 			'CC' => 'कोकोस (कीलिंग) द्वीपसमूह',
 			'CD' => 'कांगो - किंशासा',
 			'CD@alt=variant' => 'कांगो (डीआरसी)',
 			'CF' => 'मध्य अफ़्रीकी गणराज्य',
 			'CG' => 'कांगो – ब्राज़ाविल',
 			'CG@alt=variant' => 'कांगो (गणराज्य)',
 			'CH' => 'स्विट्ज़रलैंड',
 			'CI' => 'कोट डी आइवर',
 			'CI@alt=variant' => 'आइवरी कोस्ट',
 			'CK' => 'कुक द्वीपसमूह',
 			'CL' => 'चिली',
 			'CM' => 'कैमरून',
 			'CN' => 'चीन',
 			'CO' => 'कोलंबिया',
 			'CP' => 'क्लिपर्टन द्वीप',
 			'CR' => 'कोस्टारिका',
 			'CU' => 'क्यूबा',
 			'CV' => 'केप वर्ड',
 			'CW' => 'क्यूरासाओ',
 			'CX' => 'क्रिसमस द्वीप',
 			'CY' => 'साइप्रस',
 			'CZ' => 'चेकिया',
 			'CZ@alt=variant' => 'चेक गणराज्य',
 			'DE' => 'जर्मनी',
 			'DG' => 'डिएगो गार्सिया',
 			'DJ' => 'जिबूती',
 			'DK' => 'डेनमार्क',
 			'DM' => 'डोमिनिका',
 			'DO' => 'डोमिनिकन गणराज्य',
 			'DZ' => 'अल्जीरिया',
 			'EA' => 'सेउटा और मेलिला',
 			'EC' => 'इक्वाडोर',
 			'EE' => 'एस्टोनिया',
 			'EG' => 'मिस्र',
 			'EH' => 'पश्चिमी सहारा',
 			'ER' => 'इरिट्रिया',
 			'ES' => 'स्पेन',
 			'ET' => 'इथियोपिया',
 			'EU' => 'यूरोपीय संघ',
 			'EZ' => 'यूरोज़ोन',
 			'FI' => 'फ़िनलैंड',
 			'FJ' => 'फ़िजी',
 			'FK' => 'फ़ॉकलैंड द्वीपसमूह',
 			'FK@alt=variant' => 'फ़ॉकलैंड द्वीपसमूह (इज़्लास माल्विनास)',
 			'FM' => 'माइक्रोनेशिया',
 			'FO' => 'फ़ेरो द्वीपसमूह',
 			'FR' => 'फ़्रांस',
 			'GA' => 'गैबॉन',
 			'GB' => 'यूनाइटेड किंगडम',
 			'GB@alt=short' => 'यू॰के॰',
 			'GD' => 'ग्रेनाडा',
 			'GE' => 'जॉर्जिया',
 			'GF' => 'फ़्रेंच गुयाना',
 			'GG' => 'गर्नसी',
 			'GH' => 'घाना',
 			'GI' => 'जिब्राल्टर',
 			'GL' => 'ग्रीनलैंड',
 			'GM' => 'गाम्बिया',
 			'GN' => 'गिनी',
 			'GP' => 'ग्वाडेलूप',
 			'GQ' => 'इक्वेटोरियल गिनी',
 			'GR' => 'यूनान',
 			'GS' => 'दक्षिण जॉर्जिया और दक्षिण सैंडविच द्वीपसमूह',
 			'GT' => 'ग्वाटेमाला',
 			'GU' => 'गुआम',
 			'GW' => 'गिनी-बिसाउ',
 			'GY' => 'गुयाना',
 			'HK' => 'हाँग काँग (चीन विशेष प्रशासनिक क्षेत्र)',
 			'HK@alt=short' => 'हाँग काँग',
 			'HM' => 'हर्ड द्वीप और मैकडोनॉल्ड द्वीपसमूह',
 			'HN' => 'होंडूरास',
 			'HR' => 'क्रोएशिया',
 			'HT' => 'हैती',
 			'HU' => 'हंगरी',
 			'IC' => 'कैनेरी द्वीपसमूह',
 			'ID' => 'इंडोनेशिया',
 			'IE' => 'आयरलैंड',
 			'IL' => 'इज़राइल',
 			'IM' => 'आइल ऑफ़ मैन',
 			'IN' => 'भारत',
 			'IO' => 'ब्रिटिश हिंद महासागरीय क्षेत्र',
 			'IQ' => 'इराक',
 			'IR' => 'ईरान',
 			'IS' => 'आइसलैंड',
 			'IT' => 'इटली',
 			'JE' => 'जर्सी',
 			'JM' => 'जमैका',
 			'JO' => 'जॉर्डन',
 			'JP' => 'जापान',
 			'KE' => 'केन्या',
 			'KG' => 'किर्गिज़स्तान',
 			'KH' => 'कंबोडिया',
 			'KI' => 'किरिबाती',
 			'KM' => 'कोमोरोस',
 			'KN' => 'सेंट किट्स और नेविस',
 			'KP' => 'उत्तर कोरिया',
 			'KR' => 'दक्षिण कोरिया',
 			'KW' => 'कुवैत',
 			'KY' => 'कैमेन द्वीपसमूह',
 			'KZ' => 'कज़ाखस्तान',
 			'LA' => 'लाओस',
 			'LB' => 'लेबनान',
 			'LC' => 'सेंट लूसिया',
 			'LI' => 'लिचेंस्टीन',
 			'LK' => 'श्रीलंका',
 			'LR' => 'लाइबेरिया',
 			'LS' => 'लेसोथो',
 			'LT' => 'लिथुआनिया',
 			'LU' => 'लग्ज़मबर्ग',
 			'LV' => 'लातविया',
 			'LY' => 'लीबिया',
 			'MA' => 'मोरक्को',
 			'MC' => 'मोनाको',
 			'MD' => 'मॉल्डोवा',
 			'ME' => 'मोंटेनेग्रो',
 			'MF' => 'सेंट मार्टिन',
 			'MG' => 'मेडागास्कर',
 			'MH' => 'मार्शल द्वीपसमूह',
 			'MK' => 'मकदूनिया',
 			'MK@alt=variant' => 'मकदूनिया (FYROM)',
 			'ML' => 'माली',
 			'MM' => 'म्यांमार (बर्मा)',
 			'MN' => 'मंगोलिया',
 			'MO' => 'मकाऊ (विशेष प्रशासनिक क्षेत्र चीन)',
 			'MO@alt=short' => 'मकाऊ',
 			'MP' => 'उत्तरी मारियाना द्वीपसमूह',
 			'MQ' => 'मार्टीनिक',
 			'MR' => 'मॉरिटानिया',
 			'MS' => 'मोंटसेरात',
 			'MT' => 'माल्टा',
 			'MU' => 'मॉरीशस',
 			'MV' => 'मालदीव',
 			'MW' => 'मलावी',
 			'MX' => 'मैक्सिको',
 			'MY' => 'मलेशिया',
 			'MZ' => 'मोज़ांबिक',
 			'NA' => 'नामीबिया',
 			'NC' => 'न्यू कैलेडोनिया',
 			'NE' => 'नाइजर',
 			'NF' => 'नॉरफ़ॉक द्वीप',
 			'NG' => 'नाइजीरिया',
 			'NI' => 'निकारागुआ',
 			'NL' => 'नीदरलैंड',
 			'NO' => 'नॉर्वे',
 			'NP' => 'नेपाल',
 			'NR' => 'नाउरु',
 			'NU' => 'नीयू',
 			'NZ' => 'न्यूज़ीलैंड',
 			'OM' => 'ओमान',
 			'PA' => 'पनामा',
 			'PE' => 'पेरू',
 			'PF' => 'फ़्रेंच पोलिनेशिया',
 			'PG' => 'पापुआ न्यू गिनी',
 			'PH' => 'फ़िलिपींस',
 			'PK' => 'पाकिस्तान',
 			'PL' => 'पोलैंड',
 			'PM' => 'सेंट पिएरे और मिक्वेलान',
 			'PN' => 'पिटकैर्न द्वीपसमूह',
 			'PR' => 'पोर्टो रिको',
 			'PS' => 'फ़िलिस्तीनी क्षेत्र',
 			'PS@alt=short' => 'फ़िलिस्तीन',
 			'PT' => 'पुर्तगाल',
 			'PW' => 'पलाऊ',
 			'PY' => 'पराग्वे',
 			'QA' => 'क़तर',
 			'QO' => 'आउटलाइंग ओशिनिया',
 			'RE' => 'रियूनियन',
 			'RO' => 'रोमानिया',
 			'RS' => 'सर्बिया',
 			'RU' => 'रूस',
 			'RW' => 'रवांडा',
 			'SA' => 'सऊदी अरब',
 			'SB' => 'सोलोमन द्वीपसमूह',
 			'SC' => 'सेशेल्स',
 			'SD' => 'सूडान',
 			'SE' => 'स्वीडन',
 			'SG' => 'सिंगापुर',
 			'SH' => 'सेंट हेलेना',
 			'SI' => 'स्लोवेनिया',
 			'SJ' => 'स्वालबार्ड और जान मायेन',
 			'SK' => 'स्लोवाकिया',
 			'SL' => 'सिएरा लियोन',
 			'SM' => 'सैन मेरीनो',
 			'SN' => 'सेनेगल',
 			'SO' => 'सोमालिया',
 			'SR' => 'सूरीनाम',
 			'SS' => 'दक्षिण सूडान',
 			'ST' => 'साओ टोम और प्रिंसिपे',
 			'SV' => 'अल सल्वाडोर',
 			'SX' => 'सिंट मार्टिन',
 			'SY' => 'सीरिया',
 			'SZ' => 'स्वाज़ीलैंड',
 			'TA' => 'ट्रिस्टन दा कुना',
 			'TC' => 'तुर्क और कैकोज़ द्वीपसमूह',
 			'TD' => 'चाड',
 			'TF' => 'फ़्रांसीसी दक्षिणी क्षेत्र',
 			'TG' => 'टोगो',
 			'TH' => 'थाईलैंड',
 			'TJ' => 'ताज़िकिस्तान',
 			'TK' => 'तोकेलाउ',
 			'TL' => 'तिमोर-लेस्त',
 			'TL@alt=variant' => 'पूर्वी तिमोर',
 			'TM' => 'तुर्कमेनिस्तान',
 			'TN' => 'ट्यूनीशिया',
 			'TO' => 'टोंगा',
 			'TR' => 'तुर्की',
 			'TT' => 'त्रिनिदाद और टोबैगो',
 			'TV' => 'तुवालू',
 			'TW' => 'ताइवान',
 			'TZ' => 'तंज़ानिया',
 			'UA' => 'यूक्रेन',
 			'UG' => 'युगांडा',
 			'UM' => 'यू॰एस॰ आउटलाइंग द्वीपसमूह',
 			'UN' => 'संयुक्त राष्ट्र',
 			'UN@alt=short' => 'संयुक्त राष्ट्र',
 			'US' => 'संयुक्त राज्य',
 			'US@alt=short' => 'अमेरिका',
 			'UY' => 'उरूग्वे',
 			'UZ' => 'उज़्बेकिस्तान',
 			'VA' => 'वेटिकन सिटी',
 			'VC' => 'सेंट विंसेंट और ग्रेनाडाइंस',
 			'VE' => 'वेनेज़ुएला',
 			'VG' => 'ब्रिटिश वर्जिन द्वीपसमूह',
 			'VI' => 'यू॰एस॰ वर्जिन द्वीपसमूह',
 			'VN' => 'वियतनाम',
 			'VU' => 'वनुआतू',
 			'WF' => 'वालिस और फ़्यूचूना',
 			'WS' => 'समोआ',
 			'XK' => 'कोसोवो',
 			'YE' => 'यमन',
 			'YT' => 'मायोते',
 			'ZA' => 'दक्षिण अफ़्रीका',
 			'ZM' => 'ज़ाम्बिया',
 			'ZW' => 'ज़िम्बाब्वे',
 			'ZZ' => 'अज्ञात क्षेत्र',

		}
	},
);

has 'display_name_variant' => (
	is			=> 'ro',
	isa			=> HashRef[Str],
	init_arg	=> undef,
	default		=> sub { 
		{
			'1901' => 'पारम्पारिक जर्मन वर्तनी',
 			'1996' => 'जर्मेनी की 1996 वर्तनी',
 			'AREVELA' => 'पूर्वी अर्मेनियाई',
 			'MONOTON' => 'एकस्वरीय',
 			'NJIVA' => 'जीवा बोली',
 			'PINYIN' => 'पिनयिन रोमानाइज़ेशन',
 			'POLYTON' => 'बहुस्वरीय',
 			'POSIX' => 'कम्प्यूटर',
 			'REVISED' => 'संशोधित वर्तनी',
 			'WADEGILE' => 'वेड-गाइल्स रोमनाइज़ेशन',

		}
	},
);

has 'display_name_key' => (
	is			=> 'ro',
	isa			=> HashRef[Str],
	init_arg	=> undef,
	default		=> sub { 
		{
			'calendar' => 'कैलेंडर',
 			'cf' => 'मुद्रा प्रारूप',
 			'colalternate' => 'चिह्न वर्गीकरण पर ध्यान न दें',
 			'colbackwards' => 'विपरीत उच्‍चारण वर्गीकरण',
 			'colcasefirst' => 'अपरकेस/लोअरकेस क्रमांकन',
 			'colcaselevel' => 'केस संवेदी वर्गीकरण',
 			'collation' => 'सॉर्ट क्रम',
 			'colnormalization' => 'सामान्यीकृत वर्गीकरण',
 			'colnumeric' => 'संख्यात्मक वर्गीकरण',
 			'colstrength' => 'वर्गीकरण सशक्तता',
 			'currency' => 'मुद्रा',
 			'hc' => 'घंटों का चक्र (12 बनाम 24)',
 			'lb' => 'पंक्ति विच्छेद शैली',
 			'ms' => 'मापन प्रणाली',
 			'numbers' => 'संख्याएँ',
 			'timezone' => 'समय क्षेत्र',
 			'va' => 'स्थानीय प्रकार',
 			'x' => 'निजी-उपयोग',

		}
	},
);

has 'display_name_type' => (
	is			=> 'ro',
	isa			=> HashRef[HashRef[Str]],
	init_arg	=> undef,
	default		=> sub {
		{
			'calendar' => {
 				'buddhist' => q{बौद्ध पंचांग},
 				'chinese' => q{चीनी पंचांग},
 				'coptic' => q{कोप्टिक कैलेंडर},
 				'dangi' => q{दांगी कैलेंडर},
 				'ethiopic' => q{इथियोपिक कैलेंडर},
 				'ethiopic-amete-alem' => q{इथियोपिक अमेते अलेम कैलेंडर},
 				'gregorian' => q{ग्रेगोरियन कैलेंडर},
 				'hebrew' => q{हिब्रू पंचांग},
 				'indian' => q{भारतीय राष्ट्रीय कैलेंडर},
 				'islamic' => q{इस्लामी पंचांग},
 				'islamic-civil' => q{इस्लामी नागरिक पंचांग},
 				'islamic-umalqura' => q{इस्लामी कैलेंडर (उम्म अल-क़ुरा)},
 				'iso8601' => q{आईएसओ-8601 कैलेंडर},
 				'japanese' => q{जापानी पंचांग},
 				'persian' => q{फ़ारसी कैलेंडर},
 				'roc' => q{चीनी गणतंत्र पंचांग},
 			},
 			'cf' => {
 				'account' => q{लेखांकन मुद्रा प्रारूप},
 				'standard' => q{मानक मुद्रा प्रारूप},
 			},
 			'colalternate' => {
 				'non-ignorable' => q{प्रतीकों को क्रमित करें},
 				'shifted' => q{प्रतीकों पर ध्यान न देकर क्रमित करें},
 			},
 			'colbackwards' => {
 				'no' => q{उच्‍चारणों को सामान्‍य रूप से क्रमित करें},
 				'yes' => q{उच्‍चारण के उलट क्रमित करें},
 			},
 			'colcasefirst' => {
 				'lower' => q{पहले लोअरकेस क्रमित करें},
 				'no' => q{सामान्‍य केस क्रम में क्रमित करें},
 				'upper' => q{पहले अपरकेस क्रमित करें},
 			},
 			'colcaselevel' => {
 				'no' => q{केस असंवेदी क्रमित करें},
 				'yes' => q{केस संवेदी को क्रमित करें},
 			},
 			'collation' => {
 				'big5han' => q{पारम्पारिक चीनी वर्गीकरण},
 				'compat' => q{संगतता के लिए पिछला क्रमण},
 				'dictionary' => q{शब्दकोश क्रम विन्यास},
 				'ducet' => q{डिफ़ॉल्ट यूनिकोड सॉर्ट क्रम},
 				'eor' => q{यूरोपीय क्रमण नियम},
 				'gb2312han' => q{सरलीकृत चीनी वर्गीकरण},
 				'phonebook' => q{दूरभाष निर्देशिका वर्गीकरण},
 				'phonetic' => q{ध्‍वन्यात्मक क्रमित करने का क्रम},
 				'pinyin' => q{पिनयीन वर्गीकरण},
 				'reformed' => q{पुनर्निर्मित क्रम विन्यास},
 				'search' => q{सामान्य-उद्देश्य खोज},
 				'searchjl' => q{हांगुल आरंभिक व्‍यंजन द्वारा खोजें},
 				'standard' => q{मानक सॉर्ट क्रम},
 				'stroke' => q{स्ट्रोक वर्गीकरण},
 				'traditional' => q{पारम्पारिक वर्गीकरण},
 				'unihan' => q{रेडिकल-स्ट्रोक क्रम विन्यास},
 			},
 			'colnormalization' => {
 				'no' => q{बिना सामान्‍यीकरण के क्रमित करें},
 				'yes' => q{यूनिकोड सामान्‍यीकृत क्रमित करें},
 			},
 			'colnumeric' => {
 				'no' => q{अंको को अलग-अलग क्रमित करें},
 				'yes' => q{अंकों को अंकीय रूप से क्रमित करें},
 			},
 			'colstrength' => {
 				'identical' => q{सभी क्रमित करें},
 				'primary' => q{केवल आधार अक्षरों को क्रमित करें},
 				'quaternary' => q{उच्‍चारणों/केस/चौड़ाई/काना क्रमित करें},
 				'secondary' => q{उच्‍चारण क्रमित करें},
 				'tertiary' => q{उच्‍चारणों/केस/चौड़ाई क्रमित करें},
 			},
 			'd0' => {
 				'fwidth' => q{पूर्ण-चौड़ाई},
 				'hwidth' => q{आधी-चौड़ाई},
 				'npinyin' => q{सांख्यिक},
 			},
 			'hc' => {
 				'h11' => q{12 घंटों की प्रणाली (0–11)},
 				'h12' => q{12 घंटों की प्रणाली (1–12)},
 				'h23' => q{24 घंटों की प्रणाली (0–23)},
 				'h24' => q{24 घंटों की प्रणाली (1–24)},
 			},
 			'lb' => {
 				'loose' => q{ढीली पंक्ति विच्छेद शैली},
 				'normal' => q{सामान्य पंक्ति विच्छेद शैली},
 				'strict' => q{सख्त पंक्ति विच्छेद शैली},
 			},
 			'm0' => {
 				'bgn' => q{BGN लिप्यंतरण},
 				'ungegn' => q{UNGEGN लिप्यंतरण},
 			},
 			'ms' => {
 				'metric' => q{मेट्रिक प्रणाली},
 				'uksystem' => q{इम्पीरियल मापन प्रणाली},
 				'ussystem' => q{अमेरिकी मापन प्रणाली},
 			},
 			'numbers' => {
 				'arab' => q{अरबी-भारतीय अंक},
 				'arabext' => q{विस्तृत अरबी-भारतीय अंक},
 				'armn' => q{आर्मेनियाई संख्याएँ},
 				'armnlow' => q{आर्मेनियाई लोअरकेस संख्याएँ},
 				'beng' => q{बंगाली अंक},
 				'deva' => q{देवनागरी अंक},
 				'ethi' => q{इथियोपियाई संख्याएँ},
 				'finance' => q{वित्तीय अंक},
 				'fullwide' => q{पूर्ण चौड़ाई अंक},
 				'geor' => q{जॉर्जियन संख्याएँ},
 				'grek' => q{यूनानी संख्याएँ},
 				'greklow' => q{यूनानी लोअरकेस संख्याएँ},
 				'gujr' => q{गुजराती अंक},
 				'guru' => q{गुरमुखी अंक},
 				'hanidec' => q{चीनी दशमलव संख्याएँ},
 				'hans' => q{सरलीकृत चीनी संख्याएँ},
 				'hansfin' => q{सरलीकृत चीनी वित्तीय संख्याएँ},
 				'hant' => q{पारंपरिक चीनी संख्याएँ},
 				'hantfin' => q{पारंपरिक चीनी वित्तीय संख्याएँ},
 				'hebr' => q{हिब्रू संख्याएँ},
 				'jpan' => q{जापानी संख्याएँ},
 				'jpanfin' => q{जापानी वित्तीय संख्याएँ},
 				'khmr' => q{खमेर अंक},
 				'knda' => q{कन्नड़ अंक},
 				'laoo' => q{लाओ अंक},
 				'latn' => q{पश्चिमी अंक},
 				'mlym' => q{मलयालम अंक},
 				'mong' => q{मंगोलियाई अंक},
 				'mymr' => q{म्यांमार अंक},
 				'native' => q{स्थानीय अंक},
 				'orya' => q{उड़िया अंक},
 				'roman' => q{रोमन संख्याएँ},
 				'romanlow' => q{रोमन लोअरकेस संख्याएँ},
 				'taml' => q{पारंपरिक तमिल संख्याएँ},
 				'tamldec' => q{तमिल अंक},
 				'telu' => q{तेलुगू अंक},
 				'thai' => q{थाई अंक},
 				'tibt' => q{तिब्बती अंक},
 				'traditional' => q{परंपरागत अंक},
 				'vaii' => q{वाई अंक},
 			},

		}
	},
);

has 'display_name_measurement_system' => (
	is			=> 'ro',
	isa			=> HashRef[Str],
	init_arg	=> undef,
	default		=> sub { 
		{
			'metric' => q{मीट्रिक},
 			'UK' => q{यूके},
 			'US' => q{यूएस},

		}
	},
);

has 'display_name_code_patterns' => (
	is			=> 'ro',
	isa			=> HashRef[Str],
	init_arg	=> undef,
	default		=> sub { 
		{
			'language' => 'भाषा: {0}',
 			'script' => 'लिपि: {0}',
 			'region' => 'क्षेत्र: {0}',

		}
	},
);

has 'characters' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> $^V ge v5.18.0
	? eval <<'EOT'
	sub {
		no warnings 'experimental::regex_sets';
		return {
			auxiliary => qr{[‌‍]},
			index => ['अ', 'आ', 'इ', 'ई', 'उ', 'ऊ', 'ऋ', 'ए', 'ऐ', 'ओ', 'औ', 'क', 'ख', 'ग', 'घ', 'ङ', 'च', 'छ', 'ज', 'झ', 'ञ', 'ट', 'ठ', 'ड', 'ढ', 'ण', 'त', 'थ', 'द', 'ध', 'न', 'प', 'फ', 'ब', 'भ', 'म', 'य', 'र', 'ल', 'व', 'श', 'ष', 'स', 'ह'],
			main => qr{[़ ॐ ं ँ ः अ आ इ ई उ ऊ ऋ ऌ ऍ ए ऐ ऑ ओ औ क ख ग घ ङ च छ ज झ ञ ट ठ ड ढ ण त थ द ध न प फ ब भ म य र ल ळ व श ष स ह ऽ ा ि ी ु ू ृ ॄ ॅ े ै ॉ ो ौ ्]},
			numbers => qr{[\- , . % ‰ + 0० 1१ 2२ 3३ 4४ 5५ 6६ 7७ 8८ 9९]},
			punctuation => qr{[\- , ; \: ! ? . ‘ ’ “ ” ( ) \[ \] \{ \} ॰]},
		};
	},
EOT
: sub {
		return { index => ['अ', 'आ', 'इ', 'ई', 'उ', 'ऊ', 'ऋ', 'ए', 'ऐ', 'ओ', 'औ', 'क', 'ख', 'ग', 'घ', 'ङ', 'च', 'छ', 'ज', 'झ', 'ञ', 'ट', 'ठ', 'ड', 'ढ', 'ण', 'त', 'थ', 'द', 'ध', 'न', 'प', 'फ', 'ब', 'भ', 'म', 'य', 'र', 'ल', 'व', 'श', 'ष', 'स', 'ह'], };
},
);


has 'ellipsis' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub {
		return {
			'final' => '{0}…',
			'initial' => '…{0}',
			'medial' => '{0}…{1}',
			'word-final' => '{0} …',
			'word-initial' => '… {0}',
			'word-medial' => '{0} … {1}',
		};
	},
);

has 'more_information' => (
	is			=> 'ro',
	isa			=> Str,
	init_arg	=> undef,
	default		=> qq{?},
);

has 'quote_start' => (
	is			=> 'ro',
	isa			=> Str,
	init_arg	=> undef,
	default		=> qq{“},
);

has 'quote_end' => (
	is			=> 'ro',
	isa			=> Str,
	init_arg	=> undef,
	default		=> qq{”},
);

has 'alternate_quote_start' => (
	is			=> 'ro',
	isa			=> Str,
	init_arg	=> undef,
	default		=> qq{‘},
);

has 'alternate_quote_end' => (
	is			=> 'ro',
	isa			=> Str,
	init_arg	=> undef,
	default		=> qq{’},
);

has 'duration_units' => (
	is			=> 'ro',
	isa			=> HashRef[Str],
	init_arg	=> undef,
	default		=> sub { {
				hm => 'h:mm',
				hms => 'h:mm:ss',
				ms => 'm:ss',
			} }
);

has 'units' => (
	is			=> 'ro',
	isa			=> HashRef[HashRef[HashRef[Str]]],
	init_arg	=> undef,
	default		=> sub { {
				'long' => {
					'' => {
						'name' => q(प्रधान दिशा),
					},
					'acre' => {
						'name' => q(एकड़),
						'one' => q({0} एकड़),
						'other' => q({0} एकड़),
					},
					'acre-foot' => {
						'name' => q(एकड़ फ़ीट),
						'one' => q({0} एकड़ फ़ूट),
						'other' => q({0} एकड़ फ़ीट),
					},
					'ampere' => {
						'name' => q(एम्पीयर),
						'one' => q({0} एम्पीयर),
						'other' => q({0} एम्पीयर),
					},
					'arc-minute' => {
						'name' => q(आर्क मिनट),
						'one' => q({0} आर्क मिनट),
						'other' => q({0} आर्क मिनट),
					},
					'arc-second' => {
						'name' => q(आर्क सेकंड),
						'one' => q({0} आर्क सेकंड),
						'other' => q({0} आर्क सेकंड),
					},
					'astronomical-unit' => {
						'name' => q(खगोलीय इकाइयाँ),
						'one' => q({0} खगोलीय इकाई),
						'other' => q({0} खगोलीय इकाईयां),
					},
					'atmosphere' => {
						'name' => q(वायुमण्डलीय दबाव),
						'one' => q({0} वायुमंडलीय दबाव),
						'other' => q({0} वायुमंडलीय दबाव),
					},
					'bit' => {
						'name' => q(बिट),
						'one' => q({0} बिट),
						'other' => q({0} बिट),
					},
					'byte' => {
						'name' => q(बाइट),
						'one' => q({0} बाइट),
						'other' => q({0} बाइट),
					},
					'calorie' => {
						'name' => q(कैलोरी),
						'one' => q({0} कैलोरी),
						'other' => q({0} कैलोरी),
					},
					'carat' => {
						'name' => q(कैरेट),
						'one' => q({0} कैरेट),
						'other' => q({0} कैरेट),
					},
					'celsius' => {
						'name' => q(डिग्री सेल्सियस),
						'one' => q({0} डिग्री सेल्सियस),
						'other' => q({0} डिग्री सेल्सियस),
					},
					'centiliter' => {
						'name' => q(सेंटीलीटर),
						'one' => q({0} सेंटीलीटर),
						'other' => q({0} सेंटीलीटर),
					},
					'centimeter' => {
						'name' => q(सेंटीमीटर),
						'one' => q({0} सेंटीमीटर),
						'other' => q({0} सेंटीमीटर),
						'per' => q({0}/सेंटीमीटर),
					},
					'century' => {
						'name' => q(शताब्दियाँ),
						'one' => q({0} शताब्दी),
						'other' => q({0} शताब्दियाँ),
					},
					'coordinate' => {
						'east' => q({0}E),
						'north' => q({0}N),
						'south' => q({0}S),
						'west' => q({0}W),
					},
					'cubic-centimeter' => {
						'name' => q(घन सेंटीमीटर),
						'one' => q({0} घन सेंटीमीटर),
						'other' => q({0} घन सेंटीमीटर),
						'per' => q({0}/घन सेंटीमीटर),
					},
					'cubic-foot' => {
						'name' => q(घन फ़ीट),
						'one' => q({0} घन फ़ीट),
						'other' => q({0} घन फ़ीट),
					},
					'cubic-inch' => {
						'name' => q(घन इंच),
						'one' => q({0} घन इंच),
						'other' => q({0} घन इंच),
					},
					'cubic-kilometer' => {
						'name' => q(घन किलोमीटर),
						'one' => q({0} घन किलोमीटर),
						'other' => q({0} घन किलोमीटर),
					},
					'cubic-meter' => {
						'name' => q(घन मीटर),
						'one' => q({0} घन मीटर),
						'other' => q({0} घन मीटर),
						'per' => q({0}/घन मीटर),
					},
					'cubic-mile' => {
						'name' => q(घन मील),
						'one' => q({0} घन मील),
						'other' => q({0} घन मील),
					},
					'cubic-yard' => {
						'name' => q(घन यार्ड),
						'one' => q({0} घन यार्ड),
						'other' => q({0} घन यार्ड),
					},
					'cup' => {
						'name' => q(कप),
						'one' => q({0} कप),
						'other' => q({0} कप),
					},
					'cup-metric' => {
						'name' => q(मीट्रिक कप),
						'one' => q({0} मीट्रिक कप),
						'other' => q({0} मीट्रिक कप),
					},
					'day' => {
						'name' => q(दिन),
						'one' => q({0} दिन),
						'other' => q({0} दिन),
						'per' => q({0} प्रति दिन),
					},
					'deciliter' => {
						'name' => q(डेसीलीटर),
						'one' => q({0} डेसीलीटर),
						'other' => q({0} डेसीलीटर),
					},
					'decimeter' => {
						'name' => q(डेसीमीटर),
						'one' => q({0} डेसीमीटर),
						'other' => q({0} डेसीमीटर),
					},
					'degree' => {
						'name' => q(अंश),
						'one' => q({0} अंश),
						'other' => q({0} अंश),
					},
					'fahrenheit' => {
						'name' => q(डिग्री फ़ेरनहाइट),
						'one' => q({0} डिग्री फ़ेरनहाइट),
						'other' => q({0} डिग्री फ़ेरनहाइट),
					},
					'fluid-ounce' => {
						'name' => q(फ़्लूइड आउंस),
						'one' => q({0} फ़्लूइड आउंस),
						'other' => q({0} फ़्लूइड आउंस),
					},
					'foodcalorie' => {
						'name' => q(कैलोरी),
						'one' => q({0} कैलोरी),
						'other' => q({0} कैलोरी),
					},
					'foot' => {
						'name' => q(फ़ीट),
						'one' => q({0} फ़ुट),
						'other' => q({0} फ़ीट),
						'per' => q({0}/फ़ीट),
					},
					'g-force' => {
						'name' => q(गुरुत्व बल),
						'one' => q({0} गु–बल),
						'other' => q({0} गु–बल),
					},
					'gallon' => {
						'name' => q(गैलन),
						'one' => q({0} गैलन),
						'other' => q({0} गैलन),
						'per' => q({0}/गैलन),
					},
					'gallon-imperial' => {
						'name' => q(इम्पीरियल गैलन),
						'one' => q({0} इम्पीरियल गैलन),
						'other' => q({0} इम्पीरियल गैलन),
						'per' => q({0}/इम्पीरियल गैलन),
					},
					'generic' => {
						'name' => q(°),
						'one' => q({0}°),
						'other' => q({0}°),
					},
					'gigabit' => {
						'name' => q(गीगाबिट),
						'one' => q({0} गीगाबिट),
						'other' => q({0} गीगाबिट),
					},
					'gigabyte' => {
						'name' => q(गीगाबाइट),
						'one' => q({0} गीगाबाइट),
						'other' => q({0} गीगाबाइट),
					},
					'gigahertz' => {
						'name' => q(गीगाहर्ट्ज़),
						'one' => q({0} गीगाहर्ट्ज़),
						'other' => q({0} गीगाहर्ट्ज़),
					},
					'gigawatt' => {
						'name' => q(गिगावॉट),
						'one' => q({0} गिगावॉट),
						'other' => q({0} गिगावॉट),
					},
					'gram' => {
						'name' => q(ग्राम),
						'one' => q({0} ग्राम),
						'other' => q({0} ग्राम),
						'per' => q({0}/ग्राम),
					},
					'hectare' => {
						'name' => q(हेक्टेयर),
						'one' => q({0} हेक्टेयर),
						'other' => q({0} हेक्टेयर),
					},
					'hectoliter' => {
						'name' => q(हैक्टोलीटर),
						'one' => q({0} हैक्टोलीटर),
						'other' => q({0} हैक्टोलीटर),
					},
					'hectopascal' => {
						'name' => q(हैक्टोपास्कल),
						'one' => q({0} हैक्टोपास्कल),
						'other' => q({0} हैक्टोपास्कल),
					},
					'hertz' => {
						'name' => q(हर्ट्ज़),
						'one' => q({0} हर्ट्ज़),
						'other' => q({0} हर्ट्ज़),
					},
					'horsepower' => {
						'name' => q(अश्वशक्ति),
						'one' => q({0} अश्वशक्ति),
						'other' => q({0} अश्वशक्ति),
					},
					'hour' => {
						'name' => q(घंटे),
						'one' => q({0} घंटा),
						'other' => q({0} घंटे),
						'per' => q({0} प्रति घंटा),
					},
					'inch' => {
						'name' => q(इंच),
						'one' => q({0} इंच),
						'other' => q({0} इंच),
						'per' => q({0}/इंच),
					},
					'inch-hg' => {
						'name' => q(मर्करी इंच),
						'one' => q({0} मर्करी इंच),
						'other' => q({0} मर्करी इंच),
					},
					'joule' => {
						'name' => q(जूल),
						'one' => q({0} जूल),
						'other' => q({0} जूल),
					},
					'karat' => {
						'name' => q(कैरट),
						'one' => q({0} कैरट),
						'other' => q({0} कैरट),
					},
					'kelvin' => {
						'name' => q(केल्विन),
						'one' => q({0} केल्विन),
						'other' => q({0} केल्विन),
					},
					'kilobit' => {
						'name' => q(किलोबिट),
						'one' => q({0} किलोबिट),
						'other' => q({0} किलोबिट),
					},
					'kilobyte' => {
						'name' => q(किलोबाइट),
						'one' => q({0} किलोबाइट),
						'other' => q({0} किलोबाइट),
					},
					'kilocalorie' => {
						'name' => q(किलो कैलोरी),
						'one' => q({0} किलो कैलोरी),
						'other' => q({0} किलो कैलोरी),
					},
					'kilogram' => {
						'name' => q(किलोग्राम),
						'one' => q({0} किलोग्राम),
						'other' => q({0} किलोग्राम),
						'per' => q({0}/किलोग्राम),
					},
					'kilohertz' => {
						'name' => q(किलोहर्ट्ज़),
						'one' => q({0} किलोहर्ट्ज़),
						'other' => q({0} किलोहर्ट्ज़),
					},
					'kilojoule' => {
						'name' => q(किलो जूल),
						'one' => q({0} किलो जूल),
						'other' => q({0} किलो जूल),
					},
					'kilometer' => {
						'name' => q(किलोमीटर),
						'one' => q({0} किलोमीटर),
						'other' => q({0} किलोमीटर),
						'per' => q({0}/किलोमीटर),
					},
					'kilometer-per-hour' => {
						'name' => q(किलोमीटर प्रति घंटा),
						'one' => q({0} किलोमीटर प्रति घंटा),
						'other' => q({0} किलोमीटर प्रति घंटा),
					},
					'kilowatt' => {
						'name' => q(किलोवॉट),
						'one' => q({0} किलोवॉट),
						'other' => q({0} किलोवॉट),
					},
					'kilowatt-hour' => {
						'name' => q(किलोवॉट घंटे),
						'one' => q({0} किलोवॉट घंटा),
						'other' => q({0} किलोवॉट घंटे),
					},
					'knot' => {
						'name' => q(नॉट),
						'one' => q({0} नॉट),
						'other' => q({0} नॉट),
					},
					'light-year' => {
						'name' => q(प्रकाश वर्ष),
						'one' => q({0} प्रकाश वर्ष),
						'other' => q({0} प्रकाश वर्ष),
					},
					'liter' => {
						'name' => q(लीटर),
						'one' => q({0} लीटर),
						'other' => q({0} लीटर),
						'per' => q({0}/लीटर),
					},
					'liter-per-100kilometers' => {
						'name' => q(लीटर प्रति 100 किलोमीटर),
						'one' => q({0} लीटर प्रति 100 किलोमीटर),
						'other' => q({0} लीटर प्रति 100 किलोमीटर),
					},
					'liter-per-kilometer' => {
						'name' => q(लीटर प्रति किलोमीटर),
						'one' => q({0} लीटर प्रति किलोमीटर),
						'other' => q({0} लीटर प्रति किलोमीटर),
					},
					'lux' => {
						'name' => q(लक्स),
						'one' => q({0} लक्स),
						'other' => q({0} लक्स),
					},
					'megabit' => {
						'name' => q(मेगाबिट),
						'one' => q({0} मेगाबिट),
						'other' => q({0} मेगाबिट),
					},
					'megabyte' => {
						'name' => q(मेगाबाइट),
						'one' => q({0} मेगाबाइट),
						'other' => q({0} मेगाबाइट),
					},
					'megahertz' => {
						'name' => q(मेगाहर्ट्ज़),
						'one' => q({0} मेगाहर्ट्ज़),
						'other' => q({0} मेगाहर्ट्ज़),
					},
					'megaliter' => {
						'name' => q(मेगालीटर),
						'one' => q({0} मेगालीटर),
						'other' => q({0} मेगालीटर),
					},
					'megawatt' => {
						'name' => q(मेगावॉट),
						'one' => q({0} मेगावॉट),
						'other' => q({0} मेगावॉट),
					},
					'meter' => {
						'name' => q(मीटर),
						'one' => q({0} मीटर),
						'other' => q({0} मीटर),
						'per' => q({0}/मीटर),
					},
					'meter-per-second' => {
						'name' => q(मीटर प्रति सेकंड),
						'one' => q({0} मीटर प्रति सेकंड),
						'other' => q({0} मीटर प्रति सेकंड),
					},
					'meter-per-second-squared' => {
						'name' => q(मीटर/से²),
						'one' => q({0} मीटर प्रति सेकंड वर्ग),
						'other' => q({0} मीटर प्रति सेकंड वर्ग),
					},
					'metric-ton' => {
						'name' => q(मीट्रिक टन),
						'one' => q({0} मीट्रिक टन),
						'other' => q({0} मीट्रिक टन),
					},
					'microgram' => {
						'name' => q(माइक्रोग्राम),
						'one' => q({0} माइक्रोग्राम),
						'other' => q({0} माइक्रोग्राम),
					},
					'micrometer' => {
						'name' => q(माइक्रोमीटर),
						'one' => q({0} माइक्रोमीटर),
						'other' => q({0} माइक्रोमीटर),
					},
					'microsecond' => {
						'name' => q(माइक्रोसेकंड),
						'one' => q({0} माइक्रोसेकंड),
						'other' => q({0} माइक्रोसेकंड),
					},
					'mile' => {
						'name' => q(मील),
						'one' => q({0} मील),
						'other' => q({0} मील),
					},
					'mile-per-gallon' => {
						'name' => q(मील प्रति गैलन),
						'one' => q({0} मील प्रति गैलन),
						'other' => q({0} मील प्रति गैलन),
					},
					'mile-per-gallon-imperial' => {
						'name' => q(मील प्रति इंपीरियल गैलन),
						'one' => q({0} मील प्रति इंपीरियल गैलन),
						'other' => q({0} मील प्रति इंपीरियल गैलन),
					},
					'mile-per-hour' => {
						'name' => q(मील प्रति घंटा),
						'one' => q({0} मील प्रति घंटा),
						'other' => q({0} मील प्रति घंटा),
					},
					'mile-scandinavian' => {
						'name' => q(मील-स्कैण्डिनेवियन),
						'one' => q({0} मील-स्कैण्डिनेवियन),
						'other' => q({0} मील-स्कैण्डिनेवियन),
					},
					'milliampere' => {
						'name' => q(मिली एम्‍पीयर),
						'one' => q({0} मिली एम्‍पीयर),
						'other' => q({0} मिली एम्‍पीयर),
					},
					'millibar' => {
						'name' => q(मिलीबार),
						'one' => q({0} मिलीबार),
						'other' => q({0} मिलीबार),
					},
					'milligram' => {
						'name' => q(मिलीग्राम),
						'one' => q({0} मिलीग्राम),
						'other' => q({0} मिलीग्राम),
					},
					'milligram-per-deciliter' => {
						'name' => q(मिलिग्राम प्रति डेसीलीटर),
						'one' => q({0} मिलिग्राम प्रति डेसीलीटर),
						'other' => q({0} मिलिग्राम प्रति डेसीलीटर),
					},
					'milliliter' => {
						'name' => q(मिलीलीटर),
						'one' => q({0} मिलीलीटर),
						'other' => q({0} मिलीलीटर),
					},
					'millimeter' => {
						'name' => q(मिलीमीटर),
						'one' => q({0} मिलीमीटर),
						'other' => q({0} मिलीमीटर),
					},
					'millimeter-of-mercury' => {
						'name' => q(मर्क्यूरी मिलीमीटर),
						'one' => q({0} मर्क्यूरी मिलीमीटर),
						'other' => q({0} मर्क्यूरी मिलीमीटर),
					},
					'millimole-per-liter' => {
						'name' => q(मिलीमोल प्रति लीटर),
						'one' => q({0} मिलीमोल प्रति लीटर),
						'other' => q({0} मिलीमोल प्रति लीटर),
					},
					'millisecond' => {
						'name' => q(मिलीसेकंड),
						'one' => q({0} मिलीसेकंड),
						'other' => q({0} मिलीसेकंड),
					},
					'milliwatt' => {
						'name' => q(मिलीवॉट),
						'one' => q({0} मिलीवॉट),
						'other' => q({0} मिलीवॉट),
					},
					'minute' => {
						'name' => q(मिनट),
						'one' => q({0} मिनट),
						'other' => q({0} मिनट),
						'per' => q({0} प्रति मिनट),
					},
					'month' => {
						'name' => q(माह),
						'one' => q({0} माह),
						'other' => q({0} माह),
						'per' => q({0} प्रति माह),
					},
					'nanometer' => {
						'name' => q(नैनोमीटर),
						'one' => q({0} नैनोमीटर),
						'other' => q({0} नैनोमीटर),
					},
					'nanosecond' => {
						'name' => q(नैनो सेकंड),
						'one' => q({0} नैनो सेकंड),
						'other' => q({0} नैनो सेकंड),
					},
					'nautical-mile' => {
						'name' => q(नॉटिकल मील),
						'one' => q({0} नॉटिकल मील),
						'other' => q({0} नॉटिकल मील),
					},
					'ohm' => {
						'name' => q(ओम),
						'one' => q({0} ओम),
						'other' => q({0} ओम),
					},
					'ounce' => {
						'name' => q(औंस),
						'one' => q({0} औंस),
						'other' => q({0} औंस),
						'per' => q({0}/औंस),
					},
					'ounce-troy' => {
						'name' => q(ट्राई औंस),
						'one' => q({0} ट्राई औंस),
						'other' => q({0} ट्राई औंस),
					},
					'parsec' => {
						'name' => q(पार्सेक),
						'one' => q({0} पार्सेक),
						'other' => q({0} पार्सेक),
					},
					'part-per-million' => {
						'name' => q(ppm),
						'one' => q({0} ppm),
						'other' => q({0} हिस्सा प्रति दस लाख),
					},
					'per' => {
						'1' => q({0} प्रति {1}),
					},
					'percent' => {
						'name' => q(प्रतिशत),
						'one' => q({0} प्रतिशत),
						'other' => q({0} प्रतिशत),
					},
					'permille' => {
						'name' => q(प्रति हज़ार),
						'one' => q({0} प्रति हज़ार),
						'other' => q({0} प्रति हज़ार),
					},
					'petabyte' => {
						'name' => q(पेटाबाइट),
						'one' => q({0} पेटाबाइट),
						'other' => q({0} पेटाबाइट),
					},
					'picometer' => {
						'name' => q(पिकोमीटर),
						'one' => q({0} पिकोमीटर),
						'other' => q({0} पिकोमीटर),
					},
					'pint' => {
						'name' => q(पिंट),
						'one' => q({0} पिंट),
						'other' => q({0} पिंट),
					},
					'pint-metric' => {
						'name' => q(मीट्रिक पिंट),
						'one' => q({0} मीट्रिक पिंट),
						'other' => q({0} मीट्रिक पिंट),
					},
					'point' => {
						'name' => q(pt),
						'one' => q({0} pt),
						'other' => q({0} pt),
					},
					'pound' => {
						'name' => q(पौंड),
						'one' => q({0} पौंड),
						'other' => q({0} पौंड),
						'per' => q({0}/पौंड),
					},
					'pound-per-square-inch' => {
						'name' => q(पाउंड प्रति वर्ग इंच),
						'one' => q({0} पाउंड प्रति वर्ग इंच),
						'other' => q({0} पाउंड प्रति वर्ग इंच),
					},
					'quart' => {
						'name' => q(क्वार्ट),
						'one' => q({0} क्वार्ट),
						'other' => q({0} क्वार्ट),
					},
					'radian' => {
						'name' => q(रेडियन),
						'one' => q({0} रेडियन),
						'other' => q({0} रेडियन),
					},
					'revolution' => {
						'name' => q(घूर्णन),
						'one' => q({0} घूर्णन),
						'other' => q({0} घूर्णन),
					},
					'second' => {
						'name' => q(सेकंड),
						'one' => q({0} सेकंड),
						'other' => q({0} सेकंड),
						'per' => q({0} प्रति सेकंड),
					},
					'square-centimeter' => {
						'name' => q(वर्ग सेंटीमीटर),
						'one' => q({0} वर्ग सेंटीमीटर),
						'other' => q({0} वर्ग सेंटीमीटर),
						'per' => q({0}/वर्ग सेंटीमीटर),
					},
					'square-foot' => {
						'name' => q(वर्गफ़ीट),
						'one' => q({0} वर्गफ़ुट),
						'other' => q({0} वर्गफ़ीट),
					},
					'square-inch' => {
						'name' => q(वर्ग इंच),
						'one' => q({0} वर्ग इंच),
						'other' => q({0} वर्ग इंच),
						'per' => q({0}/वर्ग इंच),
					},
					'square-kilometer' => {
						'name' => q(वर्ग किलोमीटर),
						'one' => q({0} वर्ग किलोमीटर),
						'other' => q({0} वर्ग किलोमीटर),
						'per' => q({0} प्रति वर्ग किलोमीटर),
					},
					'square-meter' => {
						'name' => q(वर्ग मीटर),
						'one' => q({0} वर्ग मीटर),
						'other' => q({0} वर्ग मीटर),
						'per' => q({0}/वर्ग मीटर),
					},
					'square-mile' => {
						'name' => q(वर्ग मील),
						'one' => q({0} वर्ग मील),
						'other' => q({0} वर्ग मील),
						'per' => q({0}/वर्ग मील),
					},
					'square-yard' => {
						'name' => q(वर्ग गज),
						'one' => q({0} वर्ग गज),
						'other' => q({0} वर्ग गज),
					},
					'tablespoon' => {
						'name' => q(टेबलस्पून),
						'one' => q({0} टेबलस्पून),
						'other' => q({0} टेबलस्पून),
					},
					'teaspoon' => {
						'name' => q(टी स्पून),
						'one' => q({0} टी स्पून),
						'other' => q({0} टी स्पून),
					},
					'terabit' => {
						'name' => q(टेराबिट),
						'one' => q({0} टेराबिट),
						'other' => q({0} टेराबिट),
					},
					'terabyte' => {
						'name' => q(टेराबाइट),
						'one' => q({0} टेराबाइट),
						'other' => q({0} टेराबाइट),
					},
					'ton' => {
						'name' => q(टन),
						'one' => q({0} टन),
						'other' => q({0} टन),
					},
					'volt' => {
						'name' => q(वोल्ट),
						'one' => q({0} वोल्ट),
						'other' => q({0} वोल्ट),
					},
					'watt' => {
						'name' => q(वॉट),
						'one' => q({0} वॉट),
						'other' => q({0} वॉट),
					},
					'week' => {
						'name' => q(सप्ताह),
						'one' => q({0} सप्ताह),
						'other' => q({0} सप्ताह),
						'per' => q({0} प्रति सप्ताह),
					},
					'yard' => {
						'name' => q(यार्ड),
						'one' => q({0} यार्ड),
						'other' => q({0} यार्ड),
					},
					'year' => {
						'name' => q(वर्ष),
						'one' => q({0} वर्ष),
						'other' => q({0} वर्ष),
						'per' => q({0} प्रति वर्ष),
					},
				},
				'narrow' => {
					'' => {
						'name' => q(दिशा),
					},
					'acre' => {
						'one' => q({0}एकड़),
						'other' => q({0}एकड़),
					},
					'arc-minute' => {
						'one' => q({0}′),
						'other' => q({0}′),
					},
					'arc-second' => {
						'one' => q({0}″),
						'other' => q({0}″),
					},
					'celsius' => {
						'name' => q(°से॰),
						'one' => q({0}°से॰),
						'other' => q({0}°से॰),
					},
					'centimeter' => {
						'name' => q(सें॰मी॰),
						'one' => q({0} सें॰मी॰),
						'other' => q({0} सें॰मी॰),
					},
					'coordinate' => {
						'east' => q({0}E),
						'north' => q({0}N),
						'south' => q({0}S),
						'west' => q({0}W),
					},
					'cubic-kilometer' => {
						'one' => q({0}घन किमी),
						'other' => q({0}घन किमी),
					},
					'cubic-mile' => {
						'one' => q({0}घन मील),
						'other' => q({0}घन मील),
					},
					'day' => {
						'name' => q(दिन),
						'one' => q({0}दिन),
						'other' => q({0}दिन),
					},
					'degree' => {
						'one' => q({0}°),
						'other' => q({0}°),
					},
					'fahrenheit' => {
						'one' => q({0}°F),
						'other' => q({0}°F),
					},
					'foot' => {
						'one' => q({0}′),
						'other' => q({0}′),
					},
					'g-force' => {
						'name' => q(गु–बल),
						'one' => q({0}गु॰),
						'other' => q({0}गु॰),
					},
					'gram' => {
						'name' => q(ग्राम),
						'one' => q({0} ग्रा॰),
						'other' => q({0} ग्रा॰),
					},
					'hectare' => {
						'one' => q({0}हे॰),
						'other' => q({0}हे॰),
					},
					'hectopascal' => {
						'one' => q({0}hPa),
						'other' => q({0}hPa),
					},
					'horsepower' => {
						'one' => q({0}एचपी),
						'other' => q({0}एचपी),
					},
					'hour' => {
						'name' => q(घंटा),
						'one' => q({0}घं॰),
						'other' => q({0}घं॰),
					},
					'inch' => {
						'one' => q({0}″),
						'other' => q({0}″),
					},
					'inch-hg' => {
						'one' => q({0}" Hg),
						'other' => q({0}" Hg),
					},
					'kilogram' => {
						'name' => q(कि॰ग्रा॰),
						'one' => q({0}कि॰ग्रा॰),
						'other' => q({0} कि॰ग्रा॰),
					},
					'kilometer' => {
						'name' => q(कि॰मी॰),
						'one' => q({0} कि॰मी॰),
						'other' => q({0} कि॰मी॰),
					},
					'kilometer-per-hour' => {
						'name' => q(कि॰मी॰/घं॰),
						'one' => q({0}किमी/घं),
						'other' => q({0}किमी/घं),
					},
					'kilowatt' => {
						'one' => q({0}कि॰वॉ॰),
						'other' => q({0}कि॰वॉ॰),
					},
					'light-year' => {
						'one' => q({0}प्र॰व॰),
						'other' => q({0}प्र॰व॰),
					},
					'liter' => {
						'name' => q(लीटर),
						'one' => q({0}ली॰),
						'other' => q({0}ली॰),
					},
					'liter-per-100kilometers' => {
						'name' => q(ली॰/100 कि॰मी॰),
						'one' => q({0}ली/100कि),
						'other' => q({0}ली/100कि),
					},
					'meter' => {
						'name' => q(मीटर),
						'one' => q({0}मी),
						'other' => q({0}मी),
					},
					'meter-per-second' => {
						'one' => q({0}मी॰/से॰),
						'other' => q({0}मी॰/से॰),
					},
					'mile' => {
						'one' => q({0}मील),
						'other' => q({0}मील),
					},
					'mile-per-hour' => {
						'one' => q({0}mph),
						'other' => q({0}mph),
					},
					'millibar' => {
						'one' => q({0}mb),
						'other' => q({0}mb),
					},
					'millimeter' => {
						'name' => q(मि॰मी॰),
						'one' => q({0} मि॰मी॰),
						'other' => q({0} मि॰मी॰),
					},
					'millisecond' => {
						'name' => q(मि॰से॰),
						'one' => q({0} मि॰से॰),
						'other' => q({0} मि॰से॰),
					},
					'minute' => {
						'name' => q(मिनट),
						'one' => q({0}मि॰),
						'other' => q({0}मि॰),
					},
					'month' => {
						'name' => q(माह),
						'one' => q({0}माह),
						'other' => q({0}माह),
					},
					'ounce' => {
						'one' => q({0}औं॰),
						'other' => q({0}औं॰),
					},
					'per' => {
						'1' => q({0}/{1}),
					},
					'percent' => {
						'name' => q(%),
						'one' => q({0}%),
						'other' => q({0}%),
					},
					'picometer' => {
						'one' => q({0}पि॰मी॰),
						'other' => q({0}पि॰मी॰),
					},
					'pound' => {
						'one' => q({0}#),
						'other' => q({0}#),
					},
					'second' => {
						'name' => q(सेकंड),
						'one' => q({0}से॰),
						'other' => q({0}से॰),
					},
					'square-foot' => {
						'one' => q({0}ft²),
						'other' => q({0}ft²),
					},
					'square-kilometer' => {
						'one' => q({0} km²),
						'other' => q({0} km²),
					},
					'square-meter' => {
						'one' => q({0} वर्ग मी॰),
						'other' => q({0} वर्ग मी॰),
					},
					'square-mile' => {
						'one' => q({0}वर्ग मील),
						'other' => q({0}वर्ग मील),
					},
					'watt' => {
						'one' => q({0}वॉ),
						'other' => q({0}वॉ),
					},
					'week' => {
						'name' => q(सप्ताह),
						'one' => q({0} सप्ताह),
						'other' => q({0} सप्ताह),
					},
					'yard' => {
						'one' => q({0}गज),
						'other' => q({0}गज),
					},
					'year' => {
						'name' => q(वर्ष),
						'one' => q({0}वर्ष),
						'other' => q({0}वर्ष),
					},
				},
				'short' => {
					'' => {
						'name' => q(दिशा),
					},
					'acre' => {
						'name' => q(एकड़),
						'one' => q({0} एकड़),
						'other' => q({0} एकड़),
					},
					'acre-foot' => {
						'name' => q(एकड़ फ़ीट),
						'one' => q({0} ए॰फ़ी॰),
						'other' => q({0} ए॰फ़ी॰),
					},
					'ampere' => {
						'name' => q(एम्पी॰),
						'one' => q({0} ए॰),
						'other' => q({0} ए॰),
					},
					'arc-minute' => {
						'name' => q(आर्क मिनट),
						'one' => q({0} आर्क मिनट),
						'other' => q({0} आर्क मिनट),
					},
					'arc-second' => {
						'name' => q(आर्क सेकंड),
						'one' => q({0} आर्क से॰),
						'other' => q({0} आर्क से॰),
					},
					'astronomical-unit' => {
						'name' => q(खगो॰ इका॰),
						'one' => q({0} खगो॰ इका॰),
						'other' => q({0} खगो॰ इका॰),
					},
					'atmosphere' => {
						'name' => q(atm),
						'one' => q({0} atm),
						'other' => q({0} atm),
					},
					'bit' => {
						'name' => q(बिट),
						'one' => q({0} बिट),
						'other' => q({0} बिट),
					},
					'byte' => {
						'name' => q(बाइट),
						'one' => q({0} बाइट),
						'other' => q({0} बाइट),
					},
					'calorie' => {
						'name' => q(cal),
						'one' => q({0} cal),
						'other' => q({0} cal),
					},
					'carat' => {
						'name' => q(कै॰),
						'one' => q({0} कै॰),
						'other' => q({0} कै॰),
					},
					'celsius' => {
						'name' => q(डिग्री सेल्सियस),
						'one' => q({0}°से॰),
						'other' => q({0}°से॰),
					},
					'centiliter' => {
						'name' => q(सें॰ली॰),
						'one' => q({0} सें॰ली॰),
						'other' => q({0} सें॰ली॰),
					},
					'centimeter' => {
						'name' => q(सें॰मी॰),
						'one' => q({0} सें॰मी॰),
						'other' => q({0} सें॰मी॰),
						'per' => q({0}/सें॰मी॰),
					},
					'century' => {
						'name' => q(शता),
						'one' => q({0} शता),
						'other' => q({0} शता),
					},
					'coordinate' => {
						'east' => q({0}E),
						'north' => q({0}N),
						'south' => q({0}S),
						'west' => q({0}W),
					},
					'cubic-centimeter' => {
						'name' => q(घन सें॰ मी॰),
						'one' => q({0} घन सें॰ मी॰),
						'other' => q({0} घन सें॰ मी॰),
						'per' => q({0}/घन सें॰ मी॰),
					},
					'cubic-foot' => {
						'name' => q(घ॰ फ़ी॰),
						'one' => q({0} घ॰ फ़ी॰),
						'other' => q({0} घ॰ फ़ी॰),
					},
					'cubic-inch' => {
						'name' => q(घन इंच),
						'one' => q({0} घन इंच),
						'other' => q({0} घन इंच),
					},
					'cubic-kilometer' => {
						'name' => q(घन कि॰मी॰),
						'one' => q({0} घन कि॰मी॰),
						'other' => q({0} घन कि॰मी॰),
					},
					'cubic-meter' => {
						'name' => q(घन मी॰),
						'one' => q({0} घन मी॰),
						'other' => q({0} घन मी॰),
						'per' => q({0}/घन मी॰),
					},
					'cubic-mile' => {
						'name' => q(घन मील),
						'one' => q({0} घन मील),
						'other' => q({0} घन मील),
					},
					'cubic-yard' => {
						'name' => q(घन या॰),
						'one' => q({0} घन या॰),
						'other' => q({0} घन या॰),
					},
					'cup' => {
						'name' => q(कप),
						'one' => q({0} कप),
						'other' => q({0} कप),
					},
					'cup-metric' => {
						'name' => q(मीट्रिक कप),
						'one' => q({0} मीट्रिक कप),
						'other' => q({0} मीट्रिक कप),
					},
					'day' => {
						'name' => q(दिन),
						'one' => q({0} दिन),
						'other' => q({0} दिन),
						'per' => q({0}/दिन),
					},
					'deciliter' => {
						'name' => q(डे॰ली॰),
						'one' => q({0} डे॰ली॰),
						'other' => q({0} डे॰ली॰),
					},
					'decimeter' => {
						'name' => q(डे॰मी॰),
						'one' => q({0} डे॰मी॰),
						'other' => q({0} डे॰मी॰),
					},
					'degree' => {
						'name' => q(अंश),
						'one' => q({0} अंश),
						'other' => q({0} अंश),
					},
					'fahrenheit' => {
						'name' => q(डिग्री फ़ेरनहाइट),
						'one' => q({0}°फ़ेरन),
						'other' => q({0}°फ़ेरन),
					},
					'fluid-ounce' => {
						'name' => q(फ़्लूइड आउंस),
						'one' => q({0} फ़्लूइड आउंस),
						'other' => q({0} फ़्लूइड आउंस),
					},
					'foodcalorie' => {
						'name' => q(Cal),
						'one' => q({0} Cal),
						'other' => q({0} Cal),
					},
					'foot' => {
						'name' => q(फ़ीट),
						'one' => q({0} फ़ीट),
						'other' => q({0} फ़ीट),
						'per' => q({0}/फ़ीट),
					},
					'g-force' => {
						'name' => q(गु–बल),
						'one' => q({0} G),
						'other' => q({0} G),
					},
					'gallon' => {
						'name' => q(गैलन),
						'one' => q({0} गैलन),
						'other' => q({0} गैलन),
						'per' => q({0}/गैलन),
					},
					'gallon-imperial' => {
						'name' => q(इम्पी॰ गैलन),
						'one' => q({0} इम्पी॰ गैलन),
						'other' => q({0} इम्पी॰ गैलन),
						'per' => q({0}/इम्पी॰ गैलन),
					},
					'generic' => {
						'name' => q(°),
						'one' => q({0}°),
						'other' => q({0}°),
					},
					'gigabit' => {
						'name' => q(Gb),
						'one' => q({0} Gb),
						'other' => q({0} Gb),
					},
					'gigabyte' => {
						'name' => q(GB),
						'one' => q({0} GB),
						'other' => q({0} GB),
					},
					'gigahertz' => {
						'name' => q(GHz),
						'one' => q({0} GHz),
						'other' => q({0} GHz),
					},
					'gigawatt' => {
						'name' => q(GW),
						'one' => q({0} GW),
						'other' => q({0} GW),
					},
					'gram' => {
						'name' => q(ग्राम),
						'one' => q({0} ग्रा॰),
						'other' => q({0} ग्रा॰),
						'per' => q({0}/ग्रा॰),
					},
					'hectare' => {
						'name' => q(हेक्टेयर),
						'one' => q({0} हे॰),
						'other' => q({0} हे॰),
					},
					'hectoliter' => {
						'name' => q(है॰ली॰),
						'one' => q({0} है॰ली॰),
						'other' => q({0} है॰ली॰),
					},
					'hectopascal' => {
						'name' => q(hPa),
						'one' => q({0} hPa),
						'other' => q({0} hPa),
					},
					'hertz' => {
						'name' => q(Hz),
						'one' => q({0} Hz),
						'other' => q({0} Hz),
					},
					'horsepower' => {
						'name' => q(hp),
						'one' => q({0} hp),
						'other' => q({0} hp),
					},
					'hour' => {
						'name' => q(घंटे),
						'one' => q({0} घं॰),
						'other' => q({0} घं॰),
						'per' => q({0}/घं॰),
					},
					'inch' => {
						'name' => q(इंच),
						'one' => q({0} इंच),
						'other' => q({0} इंच),
						'per' => q({0}/इंच),
					},
					'inch-hg' => {
						'name' => q(inHg),
						'one' => q({0} inHg),
						'other' => q({0} inHg),
					},
					'joule' => {
						'name' => q(जूल),
						'one' => q({0} J),
						'other' => q({0} J),
					},
					'karat' => {
						'name' => q(कैरट),
						'one' => q({0} kt),
						'other' => q({0} kt),
					},
					'kelvin' => {
						'name' => q(K),
						'one' => q({0} K),
						'other' => q({0} K),
					},
					'kilobit' => {
						'name' => q(kb),
						'one' => q({0} kb),
						'other' => q({0} kb),
					},
					'kilobyte' => {
						'name' => q(kB),
						'one' => q({0} kB),
						'other' => q({0} kB),
					},
					'kilocalorie' => {
						'name' => q(kcal),
						'one' => q({0} kcal),
						'other' => q({0} kcal),
					},
					'kilogram' => {
						'name' => q(कि॰ग्रा॰),
						'one' => q({0} कि॰ग्रा॰),
						'other' => q({0} कि॰ग्रा॰),
						'per' => q({0}/कि॰ग्रा॰),
					},
					'kilohertz' => {
						'name' => q(kHz),
						'one' => q({0} kHz),
						'other' => q({0} kHz),
					},
					'kilojoule' => {
						'name' => q(किलो जूल),
						'one' => q({0} kJ),
						'other' => q({0} kJ),
					},
					'kilometer' => {
						'name' => q(कि॰मी॰),
						'one' => q({0} कि॰मी॰),
						'other' => q({0} कि॰मी॰),
						'per' => q({0}/कि॰मी॰),
					},
					'kilometer-per-hour' => {
						'name' => q(कि॰मी॰/घं॰),
						'one' => q({0} कि॰मी॰/घं॰),
						'other' => q({0} कि॰मी॰/घं॰),
					},
					'kilowatt' => {
						'name' => q(kW),
						'one' => q({0} kW),
						'other' => q({0} kW),
					},
					'kilowatt-hour' => {
						'name' => q(kWh),
						'one' => q({0} kWh),
						'other' => q({0} kWh),
					},
					'knot' => {
						'name' => q(नॉट),
						'one' => q({0} नॉट),
						'other' => q({0} नॉट),
					},
					'light-year' => {
						'name' => q(प्रकाश वर्ष),
						'one' => q({0} प्र॰व॰),
						'other' => q({0} प्र॰व॰),
					},
					'liter' => {
						'name' => q(लीटर),
						'one' => q({0} ली॰),
						'other' => q({0} ली॰),
						'per' => q({0}/ली॰),
					},
					'liter-per-100kilometers' => {
						'name' => q(ली॰/100 कि॰मी॰),
						'one' => q({0} ली॰/100 कि॰मी॰),
						'other' => q({0} ली॰/100 कि॰मी॰),
					},
					'liter-per-kilometer' => {
						'name' => q(लीटर/किमी),
						'one' => q({0} ली/किमी),
						'other' => q({0} ली/किमी),
					},
					'lux' => {
						'name' => q(लक्स),
						'one' => q({0} lx),
						'other' => q({0} lx),
					},
					'megabit' => {
						'name' => q(Mb),
						'one' => q({0} Mb),
						'other' => q({0} Mb),
					},
					'megabyte' => {
						'name' => q(MB),
						'one' => q({0} MB),
						'other' => q({0} MB),
					},
					'megahertz' => {
						'name' => q(MHz),
						'one' => q({0} MHz),
						'other' => q({0} MHz),
					},
					'megaliter' => {
						'name' => q(मे॰ ली॰),
						'one' => q({0} मे॰ ली॰),
						'other' => q({0} मे॰ ली॰),
					},
					'megawatt' => {
						'name' => q(MW),
						'one' => q({0} MW),
						'other' => q({0} MW),
					},
					'meter' => {
						'name' => q(मीटर),
						'one' => q({0} मी),
						'other' => q({0} मी),
						'per' => q({0}/मी),
					},
					'meter-per-second' => {
						'name' => q(मीटर/से॰),
						'one' => q({0} मी॰/से॰),
						'other' => q({0} मी॰/से॰),
					},
					'meter-per-second-squared' => {
						'name' => q(मीटर/से²),
						'one' => q({0} मी॰/व॰से॰),
						'other' => q({0} मी॰/व॰से॰),
					},
					'metric-ton' => {
						'name' => q(मीट्रिक टन),
						'one' => q({0} मीट्रिक टन),
						'other' => q({0} मीट्रिक टन),
					},
					'microgram' => {
						'name' => q(मा॰ग्रा॰),
						'one' => q({0} मा॰ग्रा॰),
						'other' => q({0} मा॰ग्रा॰),
					},
					'micrometer' => {
						'name' => q(µ मा॰मी॰),
						'one' => q({0} µ मा॰मी॰),
						'other' => q({0} µ मा॰मी॰),
					},
					'microsecond' => {
						'name' => q(माइक्रोसेकंड),
						'one' => q({0} μs),
						'other' => q({0} μs),
					},
					'mile' => {
						'name' => q(मील),
						'one' => q({0} मील),
						'other' => q({0} मील),
					},
					'mile-per-gallon' => {
						'name' => q(मील/गैलन),
						'one' => q({0} mpg),
						'other' => q({0} mpg),
					},
					'mile-per-gallon-imperial' => {
						'name' => q(mpg इंपीरियल),
						'one' => q({0} mpg इंपीरियल),
						'other' => q({0} mpg इंपीरियल),
					},
					'mile-per-hour' => {
						'name' => q(मील/घंटा),
						'one' => q({0} मी॰प्र॰घं॰),
						'other' => q({0} मी॰प्र॰घं॰),
					},
					'mile-scandinavian' => {
						'name' => q(smi),
						'one' => q({0} smi),
						'other' => q({0} smi),
					},
					'milliampere' => {
						'name' => q(मि॰ ए॰),
						'one' => q({0} मि॰ ए॰),
						'other' => q({0} मि॰ ए॰),
					},
					'millibar' => {
						'name' => q(mbar),
						'one' => q({0} mbar),
						'other' => q({0} mbar),
					},
					'milligram' => {
						'name' => q(मि॰ग्रा॰),
						'one' => q({0} मि॰ग्रा॰),
						'other' => q({0} मि॰ग्रा॰),
					},
					'milligram-per-deciliter' => {
						'name' => q(मि॰ग्रा॰/डे॰ली॰),
						'one' => q({0} मि॰ग्रा॰/डे॰ली॰),
						'other' => q({0} मि॰ग्रा॰/डे॰ली॰),
					},
					'milliliter' => {
						'name' => q(मि॰ ली॰),
						'one' => q({0} मि॰ ली॰),
						'other' => q({0} मि॰ ली॰),
					},
					'millimeter' => {
						'name' => q(मि॰मी॰),
						'one' => q({0} मि॰मी॰),
						'other' => q({0} मि॰मी॰),
					},
					'millimeter-of-mercury' => {
						'name' => q(mm Hg),
						'one' => q({0} mm Hg),
						'other' => q({0} mm Hg),
					},
					'millimole-per-liter' => {
						'name' => q(मिलीमोल/लीटर),
						'one' => q({0} मिलीमोल/ली॰),
						'other' => q({0} मिलीमोल/ली॰),
					},
					'millisecond' => {
						'name' => q(मिलीसेकंड),
						'one' => q({0} मि॰से॰),
						'other' => q({0} मि॰से॰),
					},
					'milliwatt' => {
						'name' => q(mW),
						'one' => q({0} mW),
						'other' => q({0} mW),
					},
					'minute' => {
						'name' => q(मिनट),
						'one' => q({0} मि॰),
						'other' => q({0} मि॰),
						'per' => q({0}/मिनट),
					},
					'month' => {
						'name' => q(माह),
						'one' => q({0} माह),
						'other' => q({0} माह),
						'per' => q({0}/माह),
					},
					'nanometer' => {
						'name' => q(नै॰मी॰),
						'one' => q({0} नै॰मी॰),
						'other' => q({0} नै॰मी॰),
					},
					'nanosecond' => {
						'name' => q(नैनो से॰),
						'one' => q({0} नैनो से॰),
						'other' => q({0} नैनो से॰),
					},
					'nautical-mile' => {
						'name' => q(नॉ॰ मी॰),
						'one' => q({0} नॉ॰ मी॰),
						'other' => q({0} नॉ॰ मी॰),
					},
					'ohm' => {
						'name' => q(ओम),
						'one' => q({0} Ω),
						'other' => q({0} Ω),
					},
					'ounce' => {
						'name' => q(औंस),
						'one' => q({0} औंस),
						'other' => q({0} औंस),
						'per' => q({0}/औंस),
					},
					'ounce-troy' => {
						'name' => q(ट्राई औंस),
						'one' => q({0} ट्राई औंस),
						'other' => q({0} ट्राई औंस),
					},
					'parsec' => {
						'name' => q(पार्सेक),
						'one' => q({0} पार्सेक),
						'other' => q({0} पार्सेक),
					},
					'part-per-million' => {
						'name' => q(ppm),
						'one' => q({0} ppm),
						'other' => q({0} ppm),
					},
					'per' => {
						'1' => q({0}/{1}),
					},
					'percent' => {
						'name' => q(प्रतिशत),
						'one' => q({0}%),
						'other' => q({0}%),
					},
					'permille' => {
						'name' => q(प्रति हज़ार),
						'one' => q({0}‰),
						'other' => q({0}‰),
					},
					'petabyte' => {
						'name' => q(पेटाबाइट),
						'one' => q({0} PB),
						'other' => q({0} PB),
					},
					'picometer' => {
						'name' => q(पि॰मी॰),
						'one' => q({0} पि॰मी॰),
						'other' => q({0} पि॰मी॰),
					},
					'pint' => {
						'name' => q(पिंट),
						'one' => q({0} पिंट),
						'other' => q({0} पिंट),
					},
					'pint-metric' => {
						'name' => q(मीट्रिक पिंट),
						'one' => q({0} मीट्रिक पिंट),
						'other' => q({0} मीट्रिक पिंट),
					},
					'point' => {
						'name' => q(pt),
						'one' => q({0} pt),
						'other' => q({0} pt),
					},
					'pound' => {
						'name' => q(पौंड),
						'one' => q({0} पौंड),
						'other' => q({0} पौंड),
						'per' => q({0}/पौंड),
					},
					'pound-per-square-inch' => {
						'name' => q(psi),
						'one' => q({0} psi),
						'other' => q({0} psi),
					},
					'quart' => {
						'name' => q(क्वार्ट),
						'one' => q({0} क्वार्ट),
						'other' => q({0} क्वार्ट),
					},
					'radian' => {
						'name' => q(रेडियन),
						'one' => q({0} रेडियन),
						'other' => q({0} रेडियन),
					},
					'revolution' => {
						'name' => q(घूर्णन),
						'one' => q({0} घूर्णन),
						'other' => q({0} घूर्णन),
					},
					'second' => {
						'name' => q(सेकंड),
						'one' => q({0} से॰),
						'other' => q({0} से॰),
						'per' => q({0}/से॰),
					},
					'square-centimeter' => {
						'name' => q(वर्ग सें॰),
						'one' => q({0} व॰ सें॰),
						'other' => q({0} व॰ सें॰),
						'per' => q({0}/वर्ग सें॰ मी॰),
					},
					'square-foot' => {
						'name' => q(व॰फ़ी॰),
						'one' => q({0} व॰फ़ी॰),
						'other' => q({0} व॰फ़ी॰),
					},
					'square-inch' => {
						'name' => q(व॰ इं॰),
						'one' => q({0} व॰ इं॰),
						'other' => q({0} व॰ इं॰),
						'per' => q({0}/वर्ग इंच),
					},
					'square-kilometer' => {
						'name' => q(वर्ग कि॰मी॰),
						'one' => q({0} वर्ग कि॰मी॰),
						'other' => q({0} वर्ग कि॰मी॰),
						'per' => q({0}/वर्ग कि॰मी॰),
					},
					'square-meter' => {
						'name' => q(वर्ग मीटर),
						'one' => q({0} वर्ग मी॰),
						'other' => q({0} वर्ग मी॰),
						'per' => q({0}/वर्ग मीटर),
					},
					'square-mile' => {
						'name' => q(वर्ग मील),
						'one' => q({0} वर्ग मील),
						'other' => q({0} वर्ग मील),
						'per' => q({0}/मील²),
					},
					'square-yard' => {
						'name' => q(व॰ ग॰),
						'one' => q({0} व॰ ग॰),
						'other' => q({0} व॰ ग॰),
					},
					'tablespoon' => {
						'name' => q(टे॰ स्पून),
						'one' => q({0} टे॰ स्पून),
						'other' => q({0} टे॰ स्पून),
					},
					'teaspoon' => {
						'name' => q(टी स्पून),
						'one' => q({0} टी स्पून),
						'other' => q({0} टी स्पून),
					},
					'terabit' => {
						'name' => q(Tb),
						'one' => q({0} Tb),
						'other' => q({0} Tb),
					},
					'terabyte' => {
						'name' => q(TB),
						'one' => q({0} TB),
						'other' => q({0} TB),
					},
					'ton' => {
						'name' => q(टन),
						'one' => q({0} टन),
						'other' => q({0} टन),
					},
					'volt' => {
						'name' => q(वोल्ट),
						'one' => q({0} V),
						'other' => q({0} V),
					},
					'watt' => {
						'name' => q(वॉट),
						'one' => q({0} W),
						'other' => q({0} W),
					},
					'week' => {
						'name' => q(सप्ताह),
						'one' => q({0} सप्ताह),
						'other' => q({0} सप्ताह),
						'per' => q({0}/सप्ताह),
					},
					'yard' => {
						'name' => q(यार्ड),
						'one' => q({0} यार्ड),
						'other' => q({0} यार्ड),
					},
					'year' => {
						'name' => q(वर्ष),
						'one' => q({0} वर्ष),
						'other' => q({0} वर्ष),
						'per' => q({0}/वर्ष),
					},
				},
			} }
);

has 'yesstr' => (
	is			=> 'ro',
	isa			=> RegexpRef,
	init_arg	=> undef,
	default		=> sub { qr'^(?i:हाँ|yes|y)$' }
);

has 'nostr' => (
	is			=> 'ro',
	isa			=> RegexpRef,
	init_arg	=> undef,
	default		=> sub { qr'^(?i:नहीं|no|n)$' }
);

has 'listPatterns' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
				start => q({0}, {1}),
				middle => q({0}, {1}),
				end => q({0}, {1}),
				2 => q({0}, {1}),
		} }
);

has 'default_numbering_system' => (
	is			=> 'ro',
	isa			=> Str,
	init_arg	=> undef,
	default		=> 'latn',
);

has native_numbering_system => (
	is			=> 'ro',
	isa			=> Str,
	init_arg	=> undef,
	default		=> 'deva',
);

has 'minimum_grouping_digits' => (
	is			=>'ro',
	isa			=> Int,
	init_arg	=> undef,
	default		=> 1,
);

has 'number_symbols' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
		'deva' => {
			'decimal' => q(.),
			'group' => q(,),
			'minusSign' => q(-),
			'percentSign' => q(%),
			'plusSign' => q(+),
		},
		'latn' => {
			'decimal' => q(.),
			'exponential' => q(E),
			'group' => q(,),
			'infinity' => q(∞),
			'list' => q(;),
			'minusSign' => q(-),
			'nan' => q(NaN),
			'perMille' => q(‰),
			'percentSign' => q(%),
			'plusSign' => q(+),
			'superscriptingExponent' => q(×),
			'timeSeparator' => q(:),
		},
	} }
);

has 'number_formats' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
		decimalFormat => {
			'default' => {
				'1000' => {
					'one' => '0 हज़ार',
					'other' => '0 हज़ार',
				},
				'10000' => {
					'one' => '00 हज़ार',
					'other' => '00 हज़ार',
				},
				'100000' => {
					'one' => '0 लाख',
					'other' => '0 लाख',
				},
				'1000000' => {
					'one' => '00 लाख',
					'other' => '00 लाख',
				},
				'10000000' => {
					'one' => '0 क॰',
					'other' => '0 क॰',
				},
				'100000000' => {
					'one' => '00 क॰',
					'other' => '00 क॰',
				},
				'1000000000' => {
					'one' => '0 अ॰',
					'other' => '0 अ॰',
				},
				'10000000000' => {
					'one' => '00 अ॰',
					'other' => '00 अ॰',
				},
				'100000000000' => {
					'one' => '0 ख॰',
					'other' => '0 ख॰',
				},
				'1000000000000' => {
					'one' => '00 ख॰',
					'other' => '00 ख॰',
				},
				'10000000000000' => {
					'one' => '0 नील',
					'other' => '0 नील',
				},
				'100000000000000' => {
					'one' => '00 नील',
					'other' => '00 नील',
				},
				'standard' => {
					'default' => '#,##,##0.###',
				},
			},
			'long' => {
				'1000' => {
					'one' => '0 हज़ार',
					'other' => '0 हज़ार',
				},
				'10000' => {
					'one' => '00 हज़ार',
					'other' => '00 हज़ार',
				},
				'100000' => {
					'one' => '0 लाख',
					'other' => '0 लाख',
				},
				'1000000' => {
					'one' => '00 लाख',
					'other' => '00 लाख',
				},
				'10000000' => {
					'one' => '0 करोड़',
					'other' => '0 करोड़',
				},
				'100000000' => {
					'one' => '00 करोड़',
					'other' => '00 करोड़',
				},
				'1000000000' => {
					'one' => '0 अरब',
					'other' => '0 अरब',
				},
				'10000000000' => {
					'one' => '00 अरब',
					'other' => '00 अरब',
				},
				'100000000000' => {
					'one' => '0 खरब',
					'other' => '0 खरब',
				},
				'1000000000000' => {
					'one' => '00 खरब',
					'other' => '00 खरब',
				},
				'10000000000000' => {
					'one' => '000 खरब',
					'other' => '000 खरब',
				},
				'100000000000000' => {
					'one' => '0000 खरब',
					'other' => '0000 खरब',
				},
			},
			'short' => {
				'1000' => {
					'one' => '0 हज़ार',
					'other' => '0 हज़ार',
				},
				'10000' => {
					'one' => '00 हज़ार',
					'other' => '00 हज़ार',
				},
				'100000' => {
					'one' => '0 लाख',
					'other' => '0 लाख',
				},
				'1000000' => {
					'one' => '00 लाख',
					'other' => '00 लाख',
				},
				'10000000' => {
					'one' => '0 क॰',
					'other' => '0 क॰',
				},
				'100000000' => {
					'one' => '00 क॰',
					'other' => '00 क॰',
				},
				'1000000000' => {
					'one' => '0 अ॰',
					'other' => '0 अ॰',
				},
				'10000000000' => {
					'one' => '00 अ॰',
					'other' => '00 अ॰',
				},
				'100000000000' => {
					'one' => '0 ख॰',
					'other' => '0 ख॰',
				},
				'1000000000000' => {
					'one' => '00 ख॰',
					'other' => '00 ख॰',
				},
				'10000000000000' => {
					'one' => '0 नील',
					'other' => '0 नील',
				},
				'100000000000000' => {
					'one' => '00 नील',
					'other' => '00 नील',
				},
			},
		},
		percentFormat => {
			'default' => {
				'standard' => {
					'default' => '#,##,##0%',
				},
			},
		},
		scientificFormat => {
			'default' => {
				'standard' => {
					'default' => '[#E0]',
				},
			},
		},
} },
);

has 'number_currency_formats' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
		'deva' => {
			'pattern' => {
				'default' => {
					'standard' => {
						'positive' => '¤#,##,##0.00',
					},
				},
			},
		},
		'latn' => {
			'pattern' => {
				'default' => {
					'accounting' => {
						'positive' => '¤#,##,##0.00',
					},
					'standard' => {
						'positive' => '¤#,##,##0.00',
					},
				},
			},
		},
} },
);

has 'currencies' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
		'AED' => {
			symbol => 'AED',
			display_name => {
				'currency' => q(संयुक्त अरब अमीरात दिरहाम),
				'one' => q(संयुक्त अरब अमीरात दिरहाम),
				'other' => q(संयुक्त अरब अमीरात दिरहाम),
			},
		},
		'AFA' => {
			display_name => {
				'currency' => q(अफगानी \(1927–2002\)),
			},
		},
		'AFN' => {
			symbol => 'AFN',
			display_name => {
				'currency' => q(अफ़गान अफ़गानी),
				'one' => q(अफ़गान अफ़गानी),
				'other' => q(अफ़गान अफ़गानी),
			},
		},
		'ALL' => {
			symbol => 'ALL',
			display_name => {
				'currency' => q(अल्बानियाई लेक),
				'one' => q(अल्बानियाई लेक),
				'other' => q(अल्बानियाई लेक),
			},
		},
		'AMD' => {
			symbol => 'AMD',
			display_name => {
				'currency' => q(आर्मेनियाई द्राम),
				'one' => q(आर्मेनियाई द्राम),
				'other' => q(आर्मेनियाई द्राम),
			},
		},
		'ANG' => {
			symbol => 'ANG',
			display_name => {
				'currency' => q(नीदरलैंड एंटीलियन गिल्डर),
				'one' => q(नीदरलैंड एंटीलियन गिल्डर),
				'other' => q(नीदरलैंड एंटीलियन गिल्डर),
			},
		},
		'AOA' => {
			symbol => 'AOA',
			display_name => {
				'currency' => q(अंगोला क्वांज़ा),
				'one' => q(अंगोला क्वांज़ा),
				'other' => q(अंगोला क्वांज़ा),
			},
		},
		'ARS' => {
			symbol => 'ARS',
			display_name => {
				'currency' => q(अर्जेंटीनी पेसो),
				'one' => q(अर्जेंटीनी पेसो),
				'other' => q(अर्जेंटीनी पेसो),
			},
		},
		'AUD' => {
			symbol => 'A$',
			display_name => {
				'currency' => q(ऑस्ट्रेलियाई डॉलर),
				'one' => q(ऑस्ट्रेलियाई डॉलर),
				'other' => q(ऑस्ट्रेलियाई डॉलर),
			},
		},
		'AWG' => {
			symbol => 'AWG',
			display_name => {
				'currency' => q(अरूबाई फ़्लोरिन),
				'one' => q(अरूबाई फ़्लोरिन),
				'other' => q(अरूबाई फ़्लोरिन),
			},
		},
		'AZN' => {
			symbol => 'AZN',
			display_name => {
				'currency' => q(अज़रबैजानी मैनेट),
				'one' => q(अज़रबैजानी मैनेट),
				'other' => q(अज़रबैजानी मैनेट),
			},
		},
		'BAM' => {
			symbol => 'BAM',
			display_name => {
				'currency' => q(बोस्निया हर्ज़ेगोविना परिवर्तनीय मार्क),
				'one' => q(बोस्निया हर्ज़ेगोविना परिवर्तनीय मार्क),
				'other' => q(बोस्निया हर्ज़ेगोविना परिवर्तनीय मार्क),
			},
		},
		'BBD' => {
			symbol => 'BBD',
			display_name => {
				'currency' => q(बार्बेडियन डॉलर),
				'one' => q(बार्बेडियन डॉलर),
				'other' => q(बार्बेडियन डॉलर),
			},
		},
		'BDT' => {
			symbol => 'BDT',
			display_name => {
				'currency' => q(बांग्लादेशी टका),
				'one' => q(बांग्लादेशी टका),
				'other' => q(बांग्लादेशी टका),
			},
		},
		'BGN' => {
			symbol => 'BGN',
			display_name => {
				'currency' => q(बुल्गारियाई लेव),
				'one' => q(बुल्गारियाई लेव),
				'other' => q(बुल्गारियाई लेव),
			},
		},
		'BHD' => {
			symbol => 'BHD',
			display_name => {
				'currency' => q(बहरीनी दिनार),
				'one' => q(बहरीनी दिनार),
				'other' => q(बहरीनी दिनार),
			},
		},
		'BIF' => {
			symbol => 'BIF',
			display_name => {
				'currency' => q(बुरूंडी फ़्रैंक),
				'one' => q(बुरूंडी फ़्रैंक),
				'other' => q(बुरूंडी फ़्रैंक),
			},
		},
		'BMD' => {
			symbol => 'BMD',
			display_name => {
				'currency' => q(बरमूडा डॉलर),
				'one' => q(बरमूडा डॉलर),
				'other' => q(बरमूडा डॉलर),
			},
		},
		'BND' => {
			symbol => 'BND',
			display_name => {
				'currency' => q(ब्रूनेई डॉलर),
				'one' => q(ब्रूनेई डॉलर),
				'other' => q(ब्रूनेई डॉलर),
			},
		},
		'BOB' => {
			symbol => 'BOB',
			display_name => {
				'currency' => q(बोलिवियाई बोलिवियानो),
				'one' => q(बोलिवियाई बोलिवियानो),
				'other' => q(बोलिवियाई बोलिवियानो),
			},
		},
		'BRL' => {
			symbol => 'R$',
			display_name => {
				'currency' => q(ब्राज़ीली रियाल),
				'one' => q(ब्राज़ीली रियाल),
				'other' => q(ब्राज़ीली रियाल),
			},
		},
		'BSD' => {
			symbol => 'BSD',
			display_name => {
				'currency' => q(बहामाई डॉलर),
				'one' => q(बहामाई डॉलर),
				'other' => q(बहामाई डॉलर),
			},
		},
		'BTN' => {
			symbol => 'BTN',
			display_name => {
				'currency' => q(भूटानी नंगलट्रम),
				'one' => q(भूटानी नंगलट्रम),
				'other' => q(भूटानी नंगलट्रम),
			},
		},
		'BWP' => {
			symbol => 'BWP',
			display_name => {
				'currency' => q(बोत्सवानियाई पुला),
				'one' => q(बोत्सवानियाई पुला),
				'other' => q(बोत्सवानियाई पुला),
			},
		},
		'BYN' => {
			symbol => 'BYN',
			display_name => {
				'currency' => q(बेलारूसी रूबल),
				'one' => q(बेलारूसी रूबल),
				'other' => q(बेलारूसी रूबल),
			},
		},
		'BYR' => {
			symbol => 'BYR',
			display_name => {
				'currency' => q(बेलारूसी रूबल \(2000–2016\)),
				'one' => q(बेलारूसी रूबल \(2000–2016\)),
				'other' => q(बेलारूसी रूबल \(2000–2016\)),
			},
		},
		'BZD' => {
			symbol => 'BZD',
			display_name => {
				'currency' => q(बेलीज़ डॉलर),
				'one' => q(बेलीज़ डॉलर),
				'other' => q(बेलीज़ डॉलर),
			},
		},
		'CAD' => {
			symbol => 'CA$',
			display_name => {
				'currency' => q(कनाडाई डॉलर),
				'one' => q(कनाडाई डॉलर),
				'other' => q(कनाडाई डॉलर),
			},
		},
		'CDF' => {
			symbol => 'CDF',
			display_name => {
				'currency' => q(कोंगोली फ़्रैंक),
				'one' => q(कोंगोली फ़्रैंक),
				'other' => q(कोंगोली फ़्रैंक),
			},
		},
		'CHF' => {
			symbol => 'CHF',
			display_name => {
				'currency' => q(स्विस फ़्रैंक),
				'one' => q(स्विस फ़्रैंक),
				'other' => q(स्विस फ़्रैंक),
			},
		},
		'CLP' => {
			symbol => 'CLP',
			display_name => {
				'currency' => q(चिली पेसो),
				'one' => q(चिली पेसो),
				'other' => q(चिली पेसो),
			},
		},
		'CNH' => {
			symbol => 'CNH',
			display_name => {
				'currency' => q(चीनी यूआन),
				'one' => q(चीनी यूआन),
				'other' => q(चीनी यूआन),
			},
		},
		'CNY' => {
			symbol => 'CN¥',
			display_name => {
				'currency' => q(चीनी युआन),
				'one' => q(चीनी युआन),
				'other' => q(चीनी युआन),
			},
		},
		'COP' => {
			symbol => 'COP',
			display_name => {
				'currency' => q(कोलंबियाई पेसो),
				'one' => q(कोलंबियाई पेसो),
				'other' => q(कोलंबियाई पेसो),
			},
		},
		'CRC' => {
			symbol => 'CRC',
			display_name => {
				'currency' => q(कोस्टा रिका कोलोन),
				'one' => q(कोस्टा रिका कोलोन),
				'other' => q(कोस्टा रिका कोलोन),
			},
		},
		'CSD' => {
			display_name => {
				'currency' => q(सर्बिय का ढीनार),
			},
		},
		'CUC' => {
			symbol => 'CUC',
			display_name => {
				'currency' => q(क्यूबाई परिवर्तनीय पेसो),
				'one' => q(क्यूबाई परिवर्तनीय पेसो),
				'other' => q(क्यूबाई परिवर्तनीय पेसो),
			},
		},
		'CUP' => {
			symbol => 'CUP',
			display_name => {
				'currency' => q(क्यूबाई पेसो),
				'one' => q(क्यूबाई पेसो),
				'other' => q(क्यूबाई पेसो),
			},
		},
		'CVE' => {
			symbol => 'CVE',
			display_name => {
				'currency' => q(केप वर्ड एस्कूडो),
				'one' => q(केप वर्ड एस्कूडो),
				'other' => q(केप वर्ड एस्कूडो),
			},
		},
		'CYP' => {
			display_name => {
				'currency' => q(साईप्रस पाऊंड),
			},
		},
		'CZK' => {
			symbol => 'CZK',
			display_name => {
				'currency' => q(चेक गणराज्य कोरुना),
				'one' => q(चेक गणराज्य कोरुना),
				'other' => q(चेक गणराज्य कोरुना),
			},
		},
		'DEM' => {
			display_name => {
				'currency' => q(डच मार्क),
			},
		},
		'DJF' => {
			symbol => 'DJF',
			display_name => {
				'currency' => q(जिबूती फ़्रैंक),
				'one' => q(जिबूती फ़्रैंक),
				'other' => q(जिबूती फ़्रैंक),
			},
		},
		'DKK' => {
			symbol => 'DKK',
			display_name => {
				'currency' => q(डैनिश क्रोन),
				'one' => q(डैनिश क्रोन),
				'other' => q(डैनिश क्रोन),
			},
		},
		'DOP' => {
			symbol => 'DOP',
			display_name => {
				'currency' => q(डोमिनिकन पेसो),
				'one' => q(डोमिनिकन पेसो),
				'other' => q(डोमिनिकन पेसो),
			},
		},
		'DZD' => {
			symbol => 'DZD',
			display_name => {
				'currency' => q(अल्जीरियाई दिनार),
				'one' => q(अल्जीरियाई दिनार),
				'other' => q(अल्जीरियाई दिनार),
			},
		},
		'EEK' => {
			display_name => {
				'currency' => q(एस्टोनियाई क्रून्),
			},
		},
		'EGP' => {
			symbol => 'EGP',
			display_name => {
				'currency' => q(मिस्र पाउंड),
				'one' => q(मिस्र पाउंड),
				'other' => q(मिस्र पाउंड),
			},
		},
		'ERN' => {
			symbol => 'ERN',
			display_name => {
				'currency' => q(इरीट्रियन नाक्फ़ा),
				'one' => q(इरीट्रियन नाक्फ़ा),
				'other' => q(इरीट्रियन नाक्फ़ा),
			},
		},
		'ETB' => {
			symbol => 'ETB',
			display_name => {
				'currency' => q(इथियोपियन बिर),
				'one' => q(इथियोपियन बिर),
				'other' => q(इथियोपियन बिर),
			},
		},
		'EUR' => {
			symbol => '€',
			display_name => {
				'currency' => q(यूरो),
				'one' => q(यूरो),
				'other' => q(यूरो),
			},
		},
		'FJD' => {
			symbol => 'FJD',
			display_name => {
				'currency' => q(फ़िजी डॉलर),
				'one' => q(फ़िजी डॉलर),
				'other' => q(फ़िजी डॉलर),
			},
		},
		'FKP' => {
			symbol => 'FKP',
			display_name => {
				'currency' => q(फ़ॉकलैंड द्वीपसमूह पाउंड),
				'one' => q(फ़ॉकलैंड द्वीपसमूह पाउंड),
				'other' => q(फ़ॉकलैंड द्वीपसमूह पाउंड),
			},
		},
		'FRF' => {
			display_name => {
				'currency' => q(फ़्रांसीसी फ़्रैंक),
			},
		},
		'GBP' => {
			symbol => '£',
			display_name => {
				'currency' => q(ब्रिटिश पाउंड स्टर्लिंग),
				'one' => q(ब्रिटिश पाउंड स्टर्लिंग),
				'other' => q(ब्रिटिश पाउंड स्टर्लिंग),
			},
		},
		'GEL' => {
			symbol => 'GEL',
			display_name => {
				'currency' => q(जॉर्जियन लारी),
				'one' => q(जॉर्जियन लारी),
				'other' => q(जॉर्जियन लारी),
			},
		},
		'GHS' => {
			symbol => 'GHS',
			display_name => {
				'currency' => q(घानियन सेडी),
				'one' => q(घानियन सेडी),
				'other' => q(घानियन सेडी),
			},
		},
		'GIP' => {
			symbol => 'GIP',
			display_name => {
				'currency' => q(जिब्राल्टर पाउंड),
				'one' => q(जिब्राल्टर पाउंड),
				'other' => q(जिब्राल्टर पाउंड),
			},
		},
		'GMD' => {
			symbol => 'GMD',
			display_name => {
				'currency' => q(गैंबियन डलासी),
				'one' => q(गैंबियन डलासी),
				'other' => q(गैंबियन डलासी),
			},
		},
		'GNF' => {
			symbol => 'GNF',
			display_name => {
				'currency' => q(गिनीयन फ़्रैंक),
				'one' => q(गिनीयन फ़्रैंक),
				'other' => q(गिनीयन फ़्रैंक),
			},
		},
		'GTQ' => {
			symbol => 'GTQ',
			display_name => {
				'currency' => q(ग्वाटेमाला क्वेटज़ल),
				'one' => q(ग्वाटेमाला क्वेटज़ल),
				'other' => q(ग्वाटेमाला क्वेटज़ल),
			},
		},
		'GYD' => {
			symbol => 'GYD',
			display_name => {
				'currency' => q(गयानीज़ डॉलर),
				'one' => q(गयानीज़ डॉलर),
				'other' => q(गयानीज़ डॉलर),
			},
		},
		'HKD' => {
			symbol => 'HK$',
			display_name => {
				'currency' => q(हाँगकाँग डॉलर),
				'one' => q(हाँगकाँग डॉलर),
				'other' => q(हाँगकाँग डॉलर),
			},
		},
		'HNL' => {
			symbol => 'HNL',
			display_name => {
				'currency' => q(होंडुरन लेम्पिरा),
				'one' => q(होंडुरन लेम्पिरा),
				'other' => q(होंडुरन लेम्पिरा),
			},
		},
		'HRD' => {
			display_name => {
				'currency' => q(क्रोएशियन दिनार),
			},
		},
		'HRK' => {
			symbol => 'HRK',
			display_name => {
				'currency' => q(क्रोएशियाई कुना),
				'one' => q(क्रोएशियाई कुना),
				'other' => q(क्रोएशियाई कुना),
			},
		},
		'HTG' => {
			symbol => 'HTG',
			display_name => {
				'currency' => q(हैतियाई गर्ड),
				'one' => q(हैतियाई गर्ड),
				'other' => q(हैतियाई गर्ड),
			},
		},
		'HUF' => {
			symbol => 'HUF',
			display_name => {
				'currency' => q(हंगेरियन फ़ोरिंट),
				'one' => q(हंगेरियन फ़ोरिंट),
				'other' => q(हंगेरियन फ़ोरिंट),
			},
		},
		'IDR' => {
			symbol => 'IDR',
			display_name => {
				'currency' => q(इंडोनेशियाई रुपिया),
				'one' => q(इंडोनेशियाई रुपिया),
				'other' => q(इंडोनेशियाई रुपिये),
			},
		},
		'ILS' => {
			symbol => '₪',
			display_name => {
				'currency' => q(इज़राइली न्यू शेकेल),
				'one' => q(इज़राइली न्यू शेकेल),
				'other' => q(इज़राइली न्यू शेकेल),
			},
		},
		'INR' => {
			symbol => '₹',
			display_name => {
				'currency' => q(भारतीय रुपया),
				'one' => q(भारतीय रुपया),
				'other' => q(भारतीय रूपए),
			},
		},
		'IQD' => {
			symbol => 'IQD',
			display_name => {
				'currency' => q(इराकी दिनार),
				'one' => q(इराकी दिनार),
				'other' => q(इराकी दिनार),
			},
		},
		'IRR' => {
			symbol => 'IRR',
			display_name => {
				'currency' => q(ईरानी रियाल),
				'one' => q(ईरानी रियाल),
				'other' => q(ईरानी रियाल),
			},
		},
		'ISK' => {
			symbol => 'ISK',
			display_name => {
				'currency' => q(आइसलैंडिक क्रोना),
				'one' => q(आइसलैंडिक क्रोना),
				'other' => q(आइसलैंडिक क्रोना),
			},
		},
		'ITL' => {
			display_name => {
				'currency' => q(इतली का लीरा),
			},
		},
		'JMD' => {
			symbol => 'JMD',
			display_name => {
				'currency' => q(जमैकन डॉलर),
				'one' => q(जमैकन डॉलर),
				'other' => q(जमैकन डॉलर),
			},
		},
		'JOD' => {
			symbol => 'JOD',
			display_name => {
				'currency' => q(जॉर्डनियन दिनार),
				'one' => q(जॉर्डनियन दिनार),
				'other' => q(जॉर्डनियन दिनार),
			},
		},
		'JPY' => {
			symbol => 'JP¥',
			display_name => {
				'currency' => q(जापानी येन),
				'one' => q(जापानी येन),
				'other' => q(जापानी येन),
			},
		},
		'KES' => {
			symbol => 'KES',
			display_name => {
				'currency' => q(केन्याई शिलिंग),
				'one' => q(केन्याई शिलिंग),
				'other' => q(केन्याई शिलिंग),
			},
		},
		'KGS' => {
			symbol => 'KGS',
			display_name => {
				'currency' => q(किर्गिस्तानी सोम),
				'one' => q(किर्गिस्तानी सोम),
				'other' => q(किर्गिस्तानी सोम),
			},
		},
		'KHR' => {
			symbol => 'KHR',
			display_name => {
				'currency' => q(कंबोडियाई रियाल),
				'one' => q(कंबोडियाई रियाल),
				'other' => q(कंबोडियाई रियाल),
			},
		},
		'KMF' => {
			symbol => 'KMF',
			display_name => {
				'currency' => q(कोमोरियन फ़्रैंक),
				'one' => q(कोमोरियन फ़्रैंक),
				'other' => q(कोमोरियन फ़्रैंक),
			},
		},
		'KPW' => {
			symbol => 'KPW',
			display_name => {
				'currency' => q(उत्तर कोरियाई वॉन),
				'one' => q(उत्तर कोरियाई वॉन),
				'other' => q(उत्तर कोरियाई वॉन),
			},
		},
		'KRW' => {
			symbol => '₩',
			display_name => {
				'currency' => q(दक्षिण कोरियाई वॉन),
				'one' => q(दक्षिण कोरियाई वॉन),
				'other' => q(दक्षिण कोरियाई वॉन),
			},
		},
		'KWD' => {
			symbol => 'KWD',
			display_name => {
				'currency' => q(कुवैती दिनार),
				'one' => q(कुवैती दिनार),
				'other' => q(कुवैती दिनार),
			},
		},
		'KYD' => {
			symbol => 'KYD',
			display_name => {
				'currency' => q(कैमेन द्वीपसमूह डॉलर),
				'one' => q(कैमेन द्वीपसमूह डॉलर),
				'other' => q(कैमेन द्वीपसमूह डॉलर),
			},
		},
		'KZT' => {
			symbol => 'KZT',
			display_name => {
				'currency' => q(कज़ाखिस्तानी टेंज़),
				'one' => q(कज़ाखिस्तानी टेंज़),
				'other' => q(कज़ाखिस्तानी टेंज़),
			},
		},
		'LAK' => {
			symbol => 'LAK',
			display_name => {
				'currency' => q(लाओशियन किप),
				'one' => q(लाओशियन किप),
				'other' => q(लाओशियन किप),
			},
		},
		'LBP' => {
			symbol => 'LBP',
			display_name => {
				'currency' => q(लेबनानी पाउंड),
				'one' => q(लेबनानी पाउंड),
				'other' => q(लेबनानी पाउंड),
			},
		},
		'LKR' => {
			symbol => 'LKR',
			display_name => {
				'currency' => q(श्रीलंकाई रुपया),
				'one' => q(श्रीलंकाई रुपया),
				'other' => q(श्रीलंकाई रुपए),
			},
		},
		'LRD' => {
			symbol => 'LRD',
			display_name => {
				'currency' => q(लाइबेरियाई डॉलर),
				'one' => q(लाइबेरियाई डॉलर),
				'other' => q(लाइबेरियाई डॉलर),
			},
		},
		'LSL' => {
			display_name => {
				'currency' => q(लेसोथो लोटी),
			},
		},
		'LTL' => {
			symbol => 'LTL',
			display_name => {
				'currency' => q(लिथुआनियाई लितास),
				'one' => q(लिथुआनियाई लितास),
				'other' => q(लिथुआनियाई लितास),
			},
		},
		'LVL' => {
			symbol => 'LVL',
			display_name => {
				'currency' => q(लात्वियन लैत्स),
				'one' => q(लात्वियन लैत्स),
				'other' => q(लात्वियन लैत्स),
			},
		},
		'LYD' => {
			symbol => 'LYD',
			display_name => {
				'currency' => q(लीबियाई दिनार),
				'one' => q(लीबियाई दिनार),
				'other' => q(लीबियाई दिनार),
			},
		},
		'MAD' => {
			symbol => 'MAD',
			display_name => {
				'currency' => q(मोरक्को दिरहम),
				'one' => q(मोरक्को दिरहम),
				'other' => q(मोरक्को दिरहम),
			},
		},
		'MAF' => {
			display_name => {
				'currency' => q(मोरक्को फ्रैंक),
			},
		},
		'MDL' => {
			symbol => 'MDL',
			display_name => {
				'currency' => q(मोल्डोवन लियू),
				'one' => q(मोल्डोवन लियू),
				'other' => q(मोल्डोवन लियू),
			},
		},
		'MGA' => {
			symbol => 'MGA',
			display_name => {
				'currency' => q(मालागासी आरियरी),
				'one' => q(मालागासी आरियरी),
				'other' => q(मालागासी आरियरी),
			},
		},
		'MKD' => {
			symbol => 'MKD',
			display_name => {
				'currency' => q(मैसीडोनियन दिनार),
				'one' => q(मैसीडोनियन दिनार),
				'other' => q(मैसीडोनियन दिनार),
			},
		},
		'MMK' => {
			symbol => 'MMK',
			display_name => {
				'currency' => q(म्यांमार क्याट),
				'one' => q(म्यांमार क्याट),
				'other' => q(म्यांमार क्याट),
			},
		},
		'MNT' => {
			symbol => 'MNT',
			display_name => {
				'currency' => q(मंगोलियाई टगरिक),
				'one' => q(मंगोलियाई टगरिक),
				'other' => q(मंगोलियाई टगरिक),
			},
		},
		'MOP' => {
			symbol => 'MOP',
			display_name => {
				'currency' => q(मेकानीज़ पाटाका),
				'one' => q(मेकानीज़ पाटाका),
				'other' => q(मेकानीज़ पाटाका),
			},
		},
		'MRO' => {
			symbol => 'MRO',
			display_name => {
				'currency' => q(मॉरीटेनियन ओगुइया \(1973–2017\)),
				'one' => q(मॉरीटेनियन ओगुइया \(1973–2017\)),
				'other' => q(मॉरीटेनियन ओगुइया \(1973–2017\)),
			},
		},
		'MRU' => {
			symbol => 'MRU',
			display_name => {
				'currency' => q(मॉरीटेनियन ओगुइया),
				'one' => q(मॉरीटेनियन ओगुइया),
				'other' => q(मॉरीटेनियन ओगुइया),
			},
		},
		'MUR' => {
			symbol => 'MUR',
			display_name => {
				'currency' => q(मॉरिशियन रुपया),
				'one' => q(मॉरिशियन रुपया),
				'other' => q(मॉरिशियन रुपया),
			},
		},
		'MVR' => {
			symbol => 'MVR',
			display_name => {
				'currency' => q(मालदीवी रुफ़िया),
				'one' => q(मालदीवी रुफ़िया),
				'other' => q(मालदीवी रुफ़िया),
			},
		},
		'MWK' => {
			symbol => 'MWK',
			display_name => {
				'currency' => q(मालावियन क्वाचा),
				'one' => q(मालावियन क्वाचा),
				'other' => q(मालावियन क्वाचा),
			},
		},
		'MXN' => {
			symbol => 'MX$',
			display_name => {
				'currency' => q(मैक्सिकन पेसो),
				'one' => q(मैक्सिकन पेसो),
				'other' => q(मैक्सिकन पेसो),
			},
		},
		'MYR' => {
			symbol => 'MYR',
			display_name => {
				'currency' => q(मलेशियाई रिंगित),
				'one' => q(मलेशियाई रिंगित),
				'other' => q(मलेशियाई रिंगित),
			},
		},
		'MZN' => {
			symbol => 'MZN',
			display_name => {
				'currency' => q(मोज़ाम्बिकन मेटिकल),
				'one' => q(मोज़ाम्बिकन मेटिकल),
				'other' => q(मोज़ाम्बिकन मेटिकल),
			},
		},
		'NAD' => {
			symbol => 'NAD',
			display_name => {
				'currency' => q(नामीबियाई डॉलर),
				'one' => q(नामीबियाई डॉलर),
				'other' => q(नामीबियाई डॉलर),
			},
		},
		'NGN' => {
			symbol => 'NGN',
			display_name => {
				'currency' => q(नाइजीरियाई नाइरा),
				'one' => q(नाइजीरियाई नाइरा),
				'other' => q(नाइजीरियाई नाइरा),
			},
		},
		'NIO' => {
			symbol => 'NIO',
			display_name => {
				'currency' => q(निकारागुअन कोरडोबा),
				'one' => q(निकारागुअन कोरडोबा),
				'other' => q(निकारागुअन कोरडोबा),
			},
		},
		'NOK' => {
			symbol => 'NOK',
			display_name => {
				'currency' => q(नॉर्वेजियन क्रोन),
				'one' => q(नॉर्वेजियन क्रोन),
				'other' => q(नॉर्वेजियन क्रोन),
			},
		},
		'NPR' => {
			symbol => 'NPR',
			display_name => {
				'currency' => q(नेपाली रुपया),
				'one' => q(नेपाली रुपया),
				'other' => q(नेपाली रुपए),
			},
		},
		'NZD' => {
			symbol => 'NZ$',
			display_name => {
				'currency' => q(न्यूज़ीलैंड डॉलर),
				'one' => q(न्यूज़ीलैंड डॉलर),
				'other' => q(न्यूज़ीलैंड डॉलर),
			},
		},
		'OMR' => {
			symbol => 'OMR',
			display_name => {
				'currency' => q(ओमानी रियाल),
				'one' => q(ओमानी रियाल),
				'other' => q(ओमानी रियाल),
			},
		},
		'PAB' => {
			symbol => 'PAB',
			display_name => {
				'currency' => q(पनामेनियन बैल्बोआ),
				'one' => q(पनामेनियन बैल्बोआ),
				'other' => q(पनामेनियन बैल्बोआ),
			},
		},
		'PEN' => {
			symbol => 'PEN',
			display_name => {
				'currency' => q(पेरूवियन सोल),
				'one' => q(पेरूवियन सोल),
				'other' => q(पेरूवियन सोल),
			},
		},
		'PGK' => {
			symbol => 'PGK',
			display_name => {
				'currency' => q(पापुआ न्यू गिनीयन किना),
				'one' => q(पापुआ न्यू गिनीयन किना),
				'other' => q(पापुआ न्यू गिनीयन किना),
			},
		},
		'PHP' => {
			symbol => 'PHP',
			display_name => {
				'currency' => q(फ़िलिपीनी पेसो),
				'one' => q(फ़िलिपीनी पेसो),
				'other' => q(फ़िलिपीनी पेसो),
			},
		},
		'PKR' => {
			symbol => 'PKR',
			display_name => {
				'currency' => q(पाकिस्तानी रुपया),
				'one' => q(पाकिस्तानी रुपया),
				'other' => q(पाकिस्तानी रुपए),
			},
		},
		'PLN' => {
			symbol => 'PLN',
			display_name => {
				'currency' => q(पोलिश ज़्लॉटी),
				'one' => q(पोलिश ज़्लॉटी),
				'other' => q(पोलिश ज़्लॉटी),
			},
		},
		'PYG' => {
			symbol => 'PYG',
			display_name => {
				'currency' => q(पैराग्वियन गुआरानी),
				'one' => q(पैराग्वियन गुआरानी),
				'other' => q(पैराग्वियन गुआरानी),
			},
		},
		'QAR' => {
			symbol => 'QAR',
			display_name => {
				'currency' => q(क़तरी रियाल),
				'one' => q(क़तरी रियाल),
				'other' => q(क़तरी रियाल),
			},
		},
		'RHD' => {
			display_name => {
				'currency' => q(रोडेशियाई डालर),
			},
		},
		'RON' => {
			symbol => 'RON',
			display_name => {
				'currency' => q(रोमानियाई ल्यू),
				'one' => q(रोमानियाई ल्यू),
				'other' => q(रोमानियाई ल्यू),
			},
		},
		'RSD' => {
			symbol => 'RSD',
			display_name => {
				'currency' => q(सर्बियन दिनार),
				'one' => q(सर्बियन दिनार),
				'other' => q(सर्बियन दिनार),
			},
		},
		'RUB' => {
			symbol => 'RUB',
			display_name => {
				'currency' => q(रूसी रूबल),
				'one' => q(रूसी रूबल),
				'other' => q(रूसी रूबल),
			},
		},
		'RWF' => {
			symbol => 'RWF',
			display_name => {
				'currency' => q(रवांडाई फ़्रैंक),
				'one' => q(रवांडाई फ़्रैंक),
				'other' => q(रवांडाई फ़्रैंक),
			},
		},
		'SAR' => {
			symbol => 'SAR',
			display_name => {
				'currency' => q(सउदी रियाल),
				'one' => q(सउदी रियाल),
				'other' => q(सउदी रियाल),
			},
		},
		'SBD' => {
			symbol => 'SBD',
			display_name => {
				'currency' => q(सोलोमन द्वीपसमूह डॉलर),
				'one' => q(सोलोमन द्वीपसमूह डॉलर),
				'other' => q(सोलोमन द्वीपसमूह डॉलर),
			},
		},
		'SCR' => {
			symbol => 'SCR',
			display_name => {
				'currency' => q(सेशेल्सियाई रुपया),
				'one' => q(सेशेल्सियाई रुपया),
				'other' => q(सेशेल्सियाई रुपया),
			},
		},
		'SDD' => {
			display_name => {
				'currency' => q(पुरानी सूडानी दिनार),
			},
		},
		'SDG' => {
			symbol => 'SDG',
			display_name => {
				'currency' => q(सूडानी पाउंड),
				'one' => q(सूडानी पाउंड),
				'other' => q(सूडानी पाउंड),
			},
		},
		'SDP' => {
			display_name => {
				'currency' => q(पुराना सूडानी पाउंड),
			},
		},
		'SEK' => {
			symbol => 'SEK',
			display_name => {
				'currency' => q(स्वीडीश क्रोना),
				'one' => q(स्वीडीश क्रोना),
				'other' => q(स्वीडीश क्रोना),
			},
		},
		'SGD' => {
			symbol => 'SGD',
			display_name => {
				'currency' => q(सिंगापुर डॉलर),
				'one' => q(सिंगापुर डॉलर),
				'other' => q(सिंगापुर डॉलर),
			},
		},
		'SHP' => {
			symbol => 'SHP',
			display_name => {
				'currency' => q(सेंट हेलेना पाउंड),
				'one' => q(सेंट हेलेना पाउंड),
				'other' => q(सेंट हेलेना पाउंड),
			},
		},
		'SIT' => {
			display_name => {
				'currency' => q(स्लोवेनियाई तोलार),
			},
		},
		'SKK' => {
			display_name => {
				'currency' => q(स्लोवाक कोरुना),
			},
		},
		'SLL' => {
			symbol => 'SLL',
			display_name => {
				'currency' => q(सिएरा लियोनियन लियोन),
				'one' => q(सिएरा लियोनियन लियोन),
				'other' => q(सिएरा लियोनियन लियोन),
			},
		},
		'SOS' => {
			symbol => 'SOS',
			display_name => {
				'currency' => q(सोमाली शिलिंग),
				'one' => q(सोमाली शिलिंग),
				'other' => q(सोमाली शिलिंग),
			},
		},
		'SRD' => {
			symbol => 'SRD',
			display_name => {
				'currency' => q(सूरीनामी डॉलर),
				'one' => q(सूरीनामी डॉलर),
				'other' => q(सूरीनामी डॉलर),
			},
		},
		'SRG' => {
			display_name => {
				'currency' => q(सूरीनामी गिल्डर),
			},
		},
		'SSP' => {
			symbol => 'SSP',
			display_name => {
				'currency' => q(दक्षिण सूडानी पाउंड),
				'one' => q(दक्षिण सूडानी पाउंड),
				'other' => q(दक्षिण सूडानी पाउंड),
			},
		},
		'STD' => {
			symbol => 'STD',
			display_name => {
				'currency' => q(साओ तोम और प्रिंसिपे डोबरा \(1977–2017\)),
				'one' => q(साओ तोम और प्रिंसिपे डोबरा \(1977–2017\)),
				'other' => q(साओ तोम और प्रिंसिपे डोबरा \(1977–2017\)),
			},
		},
		'STN' => {
			symbol => 'STN',
			display_name => {
				'currency' => q(साओ टोम और प्रिंसिपे डोबरा),
				'one' => q(साओ टोम और प्रिंसिपे डोबरा),
				'other' => q(साओ टोम और प्रिंसिपे डोबरा),
			},
		},
		'SUR' => {
			display_name => {
				'currency' => q(सोवियत रूबल),
			},
		},
		'SYP' => {
			symbol => 'SYP',
			display_name => {
				'currency' => q(सीरियाई पाउंड),
				'one' => q(सीरियाई पाउंड),
				'other' => q(सीरियाई पाउंड),
			},
		},
		'SZL' => {
			symbol => 'SZL',
			display_name => {
				'currency' => q(स्वाज़ी लिलांजेनी),
				'one' => q(स्वाज़ी लिलांजेनी),
				'other' => q(स्वाज़ी लिलांजेनी),
			},
		},
		'THB' => {
			symbol => '฿',
			display_name => {
				'currency' => q(थाई बहत),
				'one' => q(थाई बहत),
				'other' => q(थाई बहत),
			},
		},
		'TJR' => {
			display_name => {
				'currency' => q(तजाखी रूबल),
			},
		},
		'TJS' => {
			symbol => 'TJS',
			display_name => {
				'currency' => q(ताजिकिस्तानी सोमोनी),
				'one' => q(ताजिकिस्तानी सोमोनी),
				'other' => q(ताजिकिस्तानी सोमोनी),
			},
		},
		'TMT' => {
			symbol => 'TMT',
			display_name => {
				'currency' => q(तुर्कमेनिस्तानी मैनत),
				'one' => q(तुर्कमेनिस्तानी मैनत),
				'other' => q(तुर्कमेनिस्तानी मैनत),
			},
		},
		'TND' => {
			symbol => 'TND',
			display_name => {
				'currency' => q(ट्यूनीशियाई दिनार),
				'one' => q(ट्यूनीशियाई दिनार),
				'other' => q(ट्यूनीशियाई दिनार),
			},
		},
		'TOP' => {
			symbol => 'TOP',
			display_name => {
				'currency' => q(टोंगन पांगा),
				'one' => q(टोंगन पांगा),
				'other' => q(टोंगन पांगा),
			},
		},
		'TRL' => {
			display_name => {
				'currency' => q(पुरानी तुर्की लीरा),
			},
		},
		'TRY' => {
			symbol => 'TRY',
			display_name => {
				'currency' => q(तुर्की लीरा),
				'one' => q(तुर्की लीरा),
				'other' => q(तुर्की लीरा),
			},
		},
		'TTD' => {
			symbol => 'TTD',
			display_name => {
				'currency' => q(त्रिनिदाद और टोबैगो डॉलर),
				'one' => q(त्रिनिदाद और टोबैगो डॉलर),
				'other' => q(त्रिनिदाद और टोबैगो डॉलर),
			},
		},
		'TWD' => {
			symbol => 'NT$',
			display_name => {
				'currency' => q(नया ताईवानी डॉलर),
				'one' => q(नया ताईवानी डॉलर),
				'other' => q(नया ताईवानी डॉलर),
			},
		},
		'TZS' => {
			symbol => 'TZS',
			display_name => {
				'currency' => q(तंज़ानियाई शिलिंग),
				'one' => q(तंज़ानियाई शिलिंग),
				'other' => q(तंज़ानियाई शिलिंग),
			},
		},
		'UAH' => {
			symbol => 'UAH',
			display_name => {
				'currency' => q(यूक्रेनियन रिव्निया),
				'one' => q(यूक्रेनियन रिव्निया),
				'other' => q(यूक्रेनियन रिव्निया),
			},
		},
		'UGX' => {
			symbol => 'UGX',
			display_name => {
				'currency' => q(युगांडाई शिलिंग),
				'one' => q(युगांडाई शिलिंग),
				'other' => q(युगांडाई शिलिंग),
			},
		},
		'USD' => {
			symbol => '$',
			display_name => {
				'currency' => q(यूएस डॉलर),
				'one' => q(यूएस डॉलर),
				'other' => q(यूएस डॉलर),
			},
		},
		'USN' => {
			display_name => {
				'currency' => q(अमेरीकी डालर \(कल\)),
			},
		},
		'USS' => {
			display_name => {
				'currency' => q(अमेरीकी डालर \(आज\)),
			},
		},
		'UYU' => {
			symbol => 'UYU',
			display_name => {
				'currency' => q(उरुग्वियन पेसो),
				'one' => q(उरुग्वियन पेसो),
				'other' => q(उरुग्वियन पेसो),
			},
		},
		'UZS' => {
			symbol => 'UZS',
			display_name => {
				'currency' => q(उज़्बेकिस्तान सोम),
				'one' => q(उज़्बेकिस्तान सोम),
				'other' => q(उज़्बेकिस्तान सोम),
			},
		},
		'VEB' => {
			display_name => {
				'currency' => q(वेनेज़ुएला बोलिवर \(1871–2008\)),
			},
		},
		'VEF' => {
			symbol => 'VEF',
			display_name => {
				'currency' => q(वेनेज़ुएला बोलिवर \(2008–2018\)),
				'one' => q(वेनेज़ुएला बोलिवर \(2008–2018\)),
				'other' => q(वेनेज़ुएला बोलिवर \(2008–2018\)),
			},
		},
		'VES' => {
			symbol => 'VES',
			display_name => {
				'currency' => q(वेनेज़ुएला बोलिवर),
				'one' => q(वेनेज़ुएला बोलिवर),
				'other' => q(वेनेज़ुएला बोलिवर),
			},
		},
		'VND' => {
			symbol => '₫',
			display_name => {
				'currency' => q(वियतनामी डोंग),
				'one' => q(वियतनामी डोंग),
				'other' => q(वियतनामी डोंग),
			},
		},
		'VUV' => {
			symbol => 'VUV',
			display_name => {
				'currency' => q(वनुआतू वातू),
				'one' => q(वनुआतू वातू),
				'other' => q(वनुआतू वातू),
			},
		},
		'WST' => {
			symbol => 'WST',
			display_name => {
				'currency' => q(समोआई ताला),
				'one' => q(समोआई ताला),
				'other' => q(समोआई ताला),
			},
		},
		'XAF' => {
			symbol => 'FCFA',
			display_name => {
				'currency' => q(केंद्रीय अफ़्रीकी CFA फ़्रैंक),
				'one' => q(केंद्रीय अफ़्रीकी CFA फ़्रैंक),
				'other' => q(केंद्रीय अफ़्रीकी CFA फ़्रैंक),
			},
		},
		'XCD' => {
			symbol => 'EC$',
			display_name => {
				'currency' => q(पूर्वी कैरिबियाई डॉलर),
				'one' => q(पूर्वी कैरिबियाई डॉलर),
				'other' => q(पूर्वी कैरिबियाई डॉलर),
			},
		},
		'XOF' => {
			symbol => 'CFA',
			display_name => {
				'currency' => q(पश्चिमी अफ़्रीकी CFA फ़्रैंक),
				'one' => q(पश्चिमी अफ़्रीकी CFA फ़्रैंक),
				'other' => q(पश्चिमी अफ़्रीकी CFA फ़्रैंक),
			},
		},
		'XPF' => {
			symbol => 'CFPF',
			display_name => {
				'currency' => q([CFP] फ़्रैंक),
				'one' => q([CFP] फ़्रैंक),
				'other' => q([CFP] फ़्रैंक),
			},
		},
		'XXX' => {
			display_name => {
				'currency' => q(अज्ञात मुद्रा),
				'one' => q(\(मुद्रा की अज्ञात इकाई\)),
				'other' => q(\(अज्ञात मुद्रा\)),
			},
		},
		'YER' => {
			symbol => 'YER',
			display_name => {
				'currency' => q(यमनी रियाल),
				'one' => q(यमनी रियाल),
				'other' => q(यमनी रियाल),
			},
		},
		'ZAR' => {
			symbol => 'ZAR',
			display_name => {
				'currency' => q(दक्षिण अफ़्रीकी रैंड),
				'one' => q(दक्षिण अफ़्रीकी रैंड),
				'other' => q(दक्षिण अफ़्रीकी रैंड),
			},
		},
		'ZMK' => {
			display_name => {
				'currency' => q(ज़ाम्बियन क्वाचा \(1968–2012\)),
			},
		},
		'ZMW' => {
			symbol => 'ZMW',
			display_name => {
				'currency' => q(ज़ाम्बियन क्वाचा),
				'one' => q(ज़ाम्बियन क्वाचा),
				'other' => q(ज़ाम्बियन क्वाचा),
			},
		},
	} },
);


has 'calendar_months' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
			'ethiopic' => {
				'format' => {
					wide => {
						nonleap => [
							'मस्केरेम',
							'टेकेम्ट',
							'हेदर',
							'तहसास',
							'टर',
							'येकाटिट',
							'मेगाबिट',
							'मियाज़िया',
							'गनबोट',
							'सेन',
							'हम्ले',
							'नेहासे',
							'पागूमन'
						],
						leap => [
							
						],
					},
				},
			},
			'gregorian' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'जन॰',
							'फ़र॰',
							'मार्च',
							'अप्रैल',
							'मई',
							'जून',
							'जुल॰',
							'अग॰',
							'सित॰',
							'अक्तू॰',
							'नव॰',
							'दिस॰'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'ज',
							'फ़',
							'मा',
							'अ',
							'म',
							'जू',
							'जु',
							'अ',
							'सि',
							'अ',
							'न',
							'दि'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'जनवरी',
							'फ़रवरी',
							'मार्च',
							'अप्रैल',
							'मई',
							'जून',
							'जुलाई',
							'अगस्त',
							'सितंबर',
							'अक्तूबर',
							'नवंबर',
							'दिसंबर'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'जन॰',
							'फ़र॰',
							'मार्च',
							'अप्रैल',
							'मई',
							'जून',
							'जुल॰',
							'अग॰',
							'सित॰',
							'अक्तू॰',
							'नव॰',
							'दिस॰'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'ज',
							'फ़',
							'मा',
							'अ',
							'म',
							'जू',
							'जु',
							'अ',
							'सि',
							'अ',
							'न',
							'दि'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'जनवरी',
							'फ़रवरी',
							'मार्च',
							'अप्रैल',
							'मई',
							'जून',
							'जुलाई',
							'अगस्त',
							'सितंबर',
							'अक्तूबर',
							'नवंबर',
							'दिसंबर'
						],
						leap => [
							
						],
					},
				},
			},
			'indian' => {
				'format' => {
					abbreviated => {
						nonleap => [
							'चैत्र',
							'वैशाख',
							'ज्येष्ठ',
							'आषाढ़',
							'श्रावण',
							'भाद्रपद',
							'अश्विन',
							'कार्तिक',
							'अग्रहायण',
							'पौष',
							'माघ',
							'फाल्गुन'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'चैत्र',
							'वैशाख',
							'ज्येष्ठ',
							'आषाढ़',
							'श्रावण',
							'भाद्रपद',
							'अश्विन',
							'कार्तिक',
							'अग्रहायण',
							'पौष',
							'माघ',
							'फाल्गुन'
						],
						leap => [
							
						],
					},
				},
				'stand-alone' => {
					abbreviated => {
						nonleap => [
							'चैत्र',
							'वैशाख',
							'ज्येष्ठ',
							'आषाढ़',
							'श्रावण',
							'भाद्रपद',
							'अश्विन',
							'कार्तिक',
							'अग्रहायण',
							'पौष',
							'माघ',
							'फाल्गुन'
						],
						leap => [
							
						],
					},
					narrow => {
						nonleap => [
							'1',
							'2',
							'3',
							'4',
							'5',
							'6',
							'7',
							'8',
							'9',
							'10',
							'11',
							'12'
						],
						leap => [
							
						],
					},
					wide => {
						nonleap => [
							'चैत्र',
							'वैशाख',
							'ज्येष्ठ',
							'आषाढ़',
							'श्रावण',
							'भाद्रपद',
							'अश्विन',
							'कार्तिक',
							'अग्रहायण',
							'पौष',
							'माघ',
							'फाल्गुन'
						],
						leap => [
							
						],
					},
				},
			},
			'islamic' => {
				'format' => {
					wide => {
						nonleap => [
							'मुहर्रम',
							'सफर',
							'राबी प्रथम',
							'राबी द्वितीय',
							'जुम्डा प्रथम',
							'जुम्डा द्वितीय',
							'रजब',
							'शावन',
							'रमजान',
							'शव्व्ल',
							'जिल-क्दाह',
							'जिल्-हिज्जाह'
						],
						leap => [
							
						],
					},
				},
			},
			'persian' => {
				'format' => {
					wide => {
						nonleap => [
							'फर्वादिन',
							'ओर्दिवेहेस्ट',
							'खोरर्दाद',
							'टिर',
							'मोरदाद',
							'शाहरीवर्',
							'मेहर',
							'अवन',
							'अज़र',
							'डे',
							'बहमन',
							'ईस्फन्द्'
						],
						leap => [
							
						],
					},
				},
			},
	} },
);

has 'calendar_days' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
			'gregorian' => {
				'format' => {
					abbreviated => {
						mon => 'सोम',
						tue => 'मंगल',
						wed => 'बुध',
						thu => 'गुरु',
						fri => 'शुक्र',
						sat => 'शनि',
						sun => 'रवि'
					},
					narrow => {
						mon => 'सो',
						tue => 'मं',
						wed => 'बु',
						thu => 'गु',
						fri => 'शु',
						sat => 'श',
						sun => 'र'
					},
					short => {
						mon => 'सो',
						tue => 'मं',
						wed => 'बु',
						thu => 'गु',
						fri => 'शु',
						sat => 'श',
						sun => 'र'
					},
					wide => {
						mon => 'सोमवार',
						tue => 'मंगलवार',
						wed => 'बुधवार',
						thu => 'गुरुवार',
						fri => 'शुक्रवार',
						sat => 'शनिवार',
						sun => 'रविवार'
					},
				},
				'stand-alone' => {
					abbreviated => {
						mon => 'सोम',
						tue => 'मंगल',
						wed => 'बुध',
						thu => 'गुरु',
						fri => 'शुक्र',
						sat => 'शनि',
						sun => 'रवि'
					},
					narrow => {
						mon => 'सो',
						tue => 'मं',
						wed => 'बु',
						thu => 'गु',
						fri => 'शु',
						sat => 'श',
						sun => 'र'
					},
					short => {
						mon => 'सो',
						tue => 'मं',
						wed => 'बु',
						thu => 'गु',
						fri => 'शु',
						sat => 'श',
						sun => 'र'
					},
					wide => {
						mon => 'सोमवार',
						tue => 'मंगलवार',
						wed => 'बुधवार',
						thu => 'गुरुवार',
						fri => 'शुक्रवार',
						sat => 'शनिवार',
						sun => 'रविवार'
					},
				},
			},
	} },
);

has 'calendar_quarters' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
			'gregorian' => {
				'format' => {
					abbreviated => {0 => 'ति1',
						1 => 'ति2',
						2 => 'ति3',
						3 => 'ति4'
					},
					narrow => {0 => '1',
						1 => '2',
						2 => '3',
						3 => '4'
					},
					wide => {0 => 'पहली तिमाही',
						1 => 'दूसरी तिमाही',
						2 => 'तीसरी तिमाही',
						3 => 'चौथी तिमाही'
					},
				},
				'stand-alone' => {
					abbreviated => {0 => 'ति1',
						1 => 'ति2',
						2 => 'ति3',
						3 => 'ति4'
					},
					narrow => {0 => '1',
						1 => '2',
						2 => '3',
						3 => '4'
					},
					wide => {0 => 'पहली तिमाही',
						1 => 'दूसरी तिमाही',
						2 => 'तीसरी तिमाही',
						3 => 'चौथी तिमाही'
					},
				},
			},
	} },
);

has 'day_period_data' => (
	is			=> 'ro',
	isa			=> CodeRef,
	init_arg	=> undef,
	default		=> sub { sub {
		# Time in hhmm format
		my ($self, $type, $time, $day_period_type) = @_;
		$day_period_type //= 'default';
		SWITCH:
		for ($type) {
			if ($_ eq 'indian') {
				if($day_period_type eq 'default') {
					return 'midnight' if $time == 0;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'morning1' if $time >= 400
						&& $time < 1200;
				}
				if($day_period_type eq 'selection') {
					return 'morning1' if $time >= 400
						&& $time < 1200;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
				}
				last SWITCH;
				}
			if ($_ eq 'islamic') {
				if($day_period_type eq 'default') {
					return 'midnight' if $time == 0;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'morning1' if $time >= 400
						&& $time < 1200;
				}
				if($day_period_type eq 'selection') {
					return 'morning1' if $time >= 400
						&& $time < 1200;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
				}
				last SWITCH;
				}
			if ($_ eq 'gregorian') {
				if($day_period_type eq 'default') {
					return 'midnight' if $time == 0;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'morning1' if $time >= 400
						&& $time < 1200;
				}
				if($day_period_type eq 'selection') {
					return 'morning1' if $time >= 400
						&& $time < 1200;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
				}
				last SWITCH;
				}
			if ($_ eq 'persian') {
				if($day_period_type eq 'default') {
					return 'midnight' if $time == 0;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'morning1' if $time >= 400
						&& $time < 1200;
				}
				if($day_period_type eq 'selection') {
					return 'morning1' if $time >= 400
						&& $time < 1200;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
				}
				last SWITCH;
				}
			if ($_ eq 'ethiopic') {
				if($day_period_type eq 'default') {
					return 'midnight' if $time == 0;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'morning1' if $time >= 400
						&& $time < 1200;
				}
				if($day_period_type eq 'selection') {
					return 'morning1' if $time >= 400
						&& $time < 1200;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
				}
				last SWITCH;
				}
			if ($_ eq 'generic') {
				if($day_period_type eq 'default') {
					return 'midnight' if $time == 0;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'morning1' if $time >= 400
						&& $time < 1200;
				}
				if($day_period_type eq 'selection') {
					return 'morning1' if $time >= 400
						&& $time < 1200;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
				}
				last SWITCH;
				}
			if ($_ eq 'japanese') {
				if($day_period_type eq 'default') {
					return 'midnight' if $time == 0;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'morning1' if $time >= 400
						&& $time < 1200;
				}
				if($day_period_type eq 'selection') {
					return 'morning1' if $time >= 400
						&& $time < 1200;
					return 'evening1' if $time >= 1600
						&& $time < 2000;
					return 'night1' if $time >= 2000;
					return 'night1' if $time < 400;
					return 'afternoon1' if $time >= 1200
						&& $time < 1600;
				}
				last SWITCH;
				}
		}
	} },
);

around day_period_data => sub {
	my ($orig, $self) = @_;
	return $self->$orig;
};

has 'day_periods' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			'format' => {
				'narrow' => {
					'night1' => q{रात},
					'afternoon1' => q{अपराह्न},
					'morning1' => q{सुबह},
					'am' => q{पू},
					'evening1' => q{शाम},
					'midnight' => q{मध्यरात्रि},
					'pm' => q{अ},
				},
				'wide' => {
					'am' => q{पूर्वाह्न},
					'morning1' => q{सुबह},
					'pm' => q{अपराह्न},
					'midnight' => q{मध्यरात्रि},
					'evening1' => q{शाम},
					'night1' => q{रात},
					'afternoon1' => q{अपराह्न},
				},
				'abbreviated' => {
					'afternoon1' => q{अपराह्न},
					'night1' => q{रात},
					'pm' => q{अपराह्न},
					'midnight' => q{मध्यरात्रि},
					'evening1' => q{शाम},
					'am' => q{पूर्वाह्न},
					'morning1' => q{सुबह},
				},
			},
			'stand-alone' => {
				'abbreviated' => {
					'afternoon1' => q{दोपहर},
					'night1' => q{रात},
					'pm' => q{अपराह्न},
					'midnight' => q{मध्यरात्रि},
					'evening1' => q{शाम},
					'am' => q{पूर्वाह्न},
					'morning1' => q{सुबह},
				},
				'narrow' => {
					'morning1' => q{सुबह},
					'am' => q{पू},
					'evening1' => q{शाम},
					'midnight' => q{आधी रात},
					'pm' => q{अ},
					'night1' => q{रात},
					'afternoon1' => q{अपराह्न},
				},
				'wide' => {
					'afternoon1' => q{दोपहर},
					'night1' => q{रात},
					'evening1' => q{शाम},
					'pm' => q{अपराह्न},
					'midnight' => q{मध्यरात्रि},
					'morning1' => q{सुबह},
					'am' => q{पूर्वाह्न},
				},
			},
		},
	} },
);

has 'eras' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
		'ethiopic' => {
		},
		'generic' => {
		},
		'gregorian' => {
			abbreviated => {
				'0' => 'ईसा-पूर्व',
				'1' => 'ईस्वी'
			},
			wide => {
				'0' => 'ईसा-पूर्व',
				'1' => 'ईसवी सन'
			},
		},
		'indian' => {
			abbreviated => {
				'0' => 'शक'
			},
		},
		'islamic' => {
		},
		'japanese' => {
			abbreviated => {
				'0' => 'ताएका (645–650)',
				'1' => 'हाकूची (650–671)',
				'2' => 'हाकूहो (672–686)',
				'3' => 'शूचो (686–701)',
				'4' => 'ताहिओ (701–704)',
				'5' => 'केउन (704–708)',
				'6' => 'वाडू (708–715)',
				'7' => 'रैकी (715–717)',
				'8' => 'योरो (717–724)',
				'9' => 'जिंकी (724–729)',
				'10' => 'टेम्प्यो (729–749)',
				'11' => 'टेम्प्यो-काम्पो (749–749)',
				'12' => 'टेम्प्यो-शोहो (749–757)',
				'13' => 'टेम्प्यो-होजी (757–765)',
				'14' => 'टेम्प्यो-जिंगो (765–767)',
				'15' => 'टेम्प्यो-किउन (767–770)',
				'16' => 'होकी (770–780)',
				'17' => 'टेनो (781–782)',
				'18' => 'इंर्याकू (782–806)',
				'19' => 'डाईडू (806–810)',
				'20' => 'क़ोनिन (810–824)',
				'21' => 'टेंचो (824–834)',
				'22' => 'शोवा (834–848)',
				'23' => 'काज्यो (848–851)',
				'24' => 'निंजू (851–854)',
				'25' => 'शाईकू (854–857)',
				'26' => 'टेनन (857–859)',
				'27' => 'जोगन् (859–877)',
				'28' => 'गेंकेई (877–885)',
				'29' => 'निन्ना (885–889)',
				'30' => 'केम्प्यो (889–898)',
				'31' => 'शूताई (898–901)',
				'32' => 'ईंगी (901–923)',
				'33' => 'ईंचो (923–931)',
				'34' => 'शोहेई (931–938)',
				'35' => 'टेंग्यो (938–947)',
				'36' => 'टेंर्याकू (947–957)',
				'37' => 'टेंटूकू (957–961)',
				'38' => 'ओवा (961–964)',
				'39' => 'कोहो (964–968)',
				'40' => 'अन्ना (968–970)',
				'41' => 'टेंरोकू (970–973)',
				'42' => 'टेन-एन (973–976)',
				'43' => 'जोगन् (976–978)',
				'44' => 'टेंगेन (978–983)',
				'45' => 'ईकान (983–985)',
				'46' => 'कन्ना (985–987)',
				'47' => 'ई-एन (987–989)',
				'48' => 'एइसो (989–990)',
				'49' => 'शोर्याकू (990–995)',
				'50' => 'चोटूकु (995–999)',
				'51' => 'चोहो (999–1004)',
				'52' => 'कंको (1004–1012)',
				'53' => 'च्योवा (1012–1017)',
				'54' => 'कन्निन (1017–1021)',
				'55' => 'ज़ियान (1021–1024)',
				'56' => 'मंजू (1024–1028)',
				'57' => 'चोगन (1028–1037)',
				'58' => 'चोर्याकू (1037–1040)',
				'59' => 'चोक्यु (1040–1044)',
				'60' => 'कांटूको (1044–1046)',
				'61' => 'ईशो (1046–1053)',
				'62' => 'टेंगी (1053–1058)',
				'63' => 'कोहैइ (1058–1065)',
				'64' => 'जिर्याकू (1065–1069)',
				'65' => 'ईंक्यू (1069–1074)',
				'66' => 'सोहो (1074–1077)',
				'67' => 'शोर्याकू (1077–1081)',
				'68' => 'ईहो (1081–1084)',
				'69' => 'ओटूको (1084–1087)',
				'70' => 'कांजि (1087–1094)',
				'71' => 'कोहो (1094–1096)',
				'72' => 'ईचो (1096–1097)',
				'73' => 'शोटूको (1097–1099)',
				'74' => 'कोवा (1099–1104)',
				'75' => 'चोजी (1104–1106)',
				'76' => 'काशो (1106–1108)',
				'77' => 'टेन्निन (1108–1110)',
				'78' => 'टेन-ई (1110–1113)',
				'79' => 'ईक्यू (1113–1118)',
				'80' => 'जेन-ई (1118–1120)',
				'81' => 'होआन (1120–1124)',
				'82' => 'तेंजी (1124–1126)',
				'83' => 'दाईजी (1126–1131)',
				'84' => 'टेंशो (1131–1132)',
				'85' => 'चोशो (1132–1135)',
				'86' => 'होएन (1135–1141)',
				'87' => 'ईजी (1141–1142)',
				'88' => 'कोजी (1142–1144)',
				'89' => 'टेन्यो (1144–1145)',
				'90' => 'क्यूआन (1145–1151)',
				'91' => 'निंपैई (1151–1154)',
				'92' => 'क्योजो (1154–1156)',
				'93' => 'होगेन (1156–1159)',
				'94' => 'हैजी (1159–1160)',
				'95' => 'ईर्याकू (1160–1161)',
				'96' => 'ओहो (1161–1163)',
				'97' => 'चोकान (1163–1165)',
				'98' => 'ईमान (1165–1166)',
				'99' => 'निन-आन (1166–1169)',
				'100' => 'काओ (1169–1171)',
				'101' => 'शोअन (1171–1175)',
				'102' => 'अंजन (1175–1177)',
				'103' => 'जिशो (1177–1181)',
				'104' => 'योवा (1181–1182)',
				'105' => 'जूऐई (1182–1184)',
				'106' => 'जेंर्याकू (1184–1185)',
				'107' => 'बूंजी (1185–1190)',
				'108' => 'केंक्यू (1190–1199)',
				'109' => 'शोजी (1199–1201)',
				'110' => 'केन्निन (1201–1204)',
				'111' => 'जेंक्यू (1204–1206)',
				'112' => 'केन-ई (1206–1207)',
				'113' => 'शोगेन (1207–1211)',
				'114' => 'केंर्याकू (1211–1213)',
				'115' => 'केंपो (1213–1219)',
				'116' => 'शोक्यू (1219–1222)',
				'117' => 'जू (1222–1224)',
				'118' => 'जेन्निन (1224–1225)',
				'119' => 'कोरोकू (1225–1227)',
				'120' => 'अंटैइ (1227–1229)',
				'121' => 'कांकी (1229–1232)',
				'122' => 'जोएई (1232–1233)',
				'123' => 'टेम्पूकू (1233–1234)',
				'124' => 'बुंर्याकू (1234–1235)',
				'125' => 'काटेई (1235–1238)',
				'126' => 'र्याकूनिन (1238–1239)',
				'127' => 'ईन-ओ (1239–1240)',
				'128' => 'निंजी (1240–1243)',
				'129' => 'कांजेन (1243–1247)',
				'130' => 'होजी (1247–1249)',
				'131' => 'केंचो (1249–1256)',
				'132' => 'कोगेन (1256–1257)',
				'133' => 'शोका (1257–1259)',
				'134' => 'शोगेन (1259–1260)',
				'135' => 'बुन-ओ (1260–1261)',
				'136' => 'कोचो (1261–1264)',
				'137' => 'बुन-ई (1264–1275)',
				'138' => 'केंजी (1275–1278)',
				'139' => 'कोअन (1278–1288)',
				'140' => 'शो (1288–1293)',
				'141' => 'ईनिन (1293–1299)',
				'142' => 'शोअन (1299–1302)',
				'143' => 'केंजेन (1302–1303)',
				'144' => 'काजेन (1303–1306)',
				'145' => 'टोकूजी (1306–1308)',
				'146' => 'ईंकेई (1308–1311)',
				'147' => 'ओचो (1311–1312)',
				'148' => 'शोवा (1312–1317)',
				'149' => 'बुंपो (1317–1319)',
				'150' => 'जेनो (1319–1321)',
				'151' => 'जेंक्यो (1321–1324)',
				'152' => 'शोचू (1324–1326)',
				'153' => 'कारेकी (1326–1329)',
				'154' => 'जेंटोकू (1329–1331)',
				'155' => 'गेंको (1331–1334)',
				'156' => 'केम्मू (1334–1336)',
				'157' => 'ईंजेन (1336–1340)',
				'158' => 'कोकोकू (1340–1346)',
				'159' => 'शोहेई (1346–1370)',
				'160' => 'केंटोकू (1370–1372)',
				'161' => 'बूंचो (1372–1375)',
				'162' => 'टेंजो (1375–1379)',
				'163' => 'कोर्याकू (1379–1381)',
				'164' => 'कोवा (1381–1384)',
				'165' => 'जेंचू (1384–1392)',
				'166' => 'मेटोकू (1384–1387)',
				'167' => 'काकेई (1387–1389)',
				'168' => 'कू (1389–1390)',
				'169' => 'मेटोकू (1390–1394)',
				'170' => 'ओई (1394–1428)',
				'171' => 'शोचो (1428–1429)',
				'172' => 'ईक्यो (1429–1441)',
				'173' => 'काकीत्सू (1441–1444)',
				'174' => 'बुन-अन (1444–1449)',
				'175' => 'होटोकू (1449–1452)',
				'176' => 'क्योटोकू (1452–1455)',
				'177' => 'कोशो (1455–1457)',
				'178' => 'चोरोकू (1457–1460)',
				'179' => 'कांशो (1460–1466)',
				'180' => 'बुंशो (1466–1467)',
				'181' => 'ओनिन (1467–1469)',
				'182' => 'बुन्मेई (1469–1487)',
				'183' => 'चोक्यो (1487–1489)',
				'184' => 'ईंटोकू (1489–1492)',
				'185' => 'मेईओ (1492–1501)',
				'186' => 'बुंकी (1501–1504)',
				'187' => 'ईशो (1504–1521)',
				'188' => 'ताईएई (1521–1528)',
				'189' => 'क्योरोकू (1528–1532)',
				'190' => 'टेन्मन (1532–1555)',
				'191' => 'कोजी (1555–1558)',
				'192' => 'ईरोकू (1558–1570)',
				'193' => 'जेंकी (1570–1573)',
				'194' => 'टेंशो (1573–1592)',
				'195' => 'बुंरोकू (1592–1596)',
				'196' => 'केईचो (1596–1615)',
				'197' => 'जेनवा (1615–1624)',
				'198' => 'कान-एई (1624–1644)',
				'199' => 'शोहो (1644–1648)',
				'200' => 'केईआन (1648–1652)',
				'201' => 'शो (1652–1655)',
				'202' => 'मेईर्याकू (1655–1658)',
				'203' => 'मानजी (1658–1661)',
				'204' => 'कनबुन (1661–1673)',
				'205' => 'ईंपो (1673–1681)',
				'206' => 'टेंवा (1681–1684)',
				'207' => 'जोक्यो (1684–1688)',
				'208' => 'जेंरोकू (1688–1704)',
				'209' => 'होएई (1704–1711)',
				'210' => 'शोटूको (1711–1716)',
				'211' => 'क्योहो (1716–1736)',
				'212' => 'जेंबुन (1736–1741)',
				'213' => 'कांपो (1741–1744)',
				'214' => 'इंक्यो (1744–1748)',
				'215' => 'कान-एन (1748–1751)',
				'216' => 'होर्याकू (1751–1764)',
				'217' => 'मेईवा (1764–1772)',
				'218' => 'अन-एई (1772–1781)',
				'219' => 'टेनमेई (1781–1789)',
				'220' => 'कांसेई (1789–1801)',
				'221' => 'क्योवा (1801–1804)',
				'222' => 'बुंका (1804–1818)',
				'223' => 'बुंसेई (1818–1830)',
				'224' => 'टेंपो (1830–1844)',
				'225' => 'कोका (1844–1848)',
				'226' => 'काईए (1848–1854)',
				'227' => 'अंसेई (1854–1860)',
				'228' => 'मान-ईन (1860–1861)',
				'229' => 'बुंक्यौ (1861–1864)',
				'230' => 'जेंजी (1864–1865)',
				'231' => 'केईओ (1865–1868)',
				'232' => 'मेजी',
				'233' => 'ताईशो',
				'234' => 'शोवा',
				'235' => 'हेईसेई'
			},
		},
		'persian' => {
		},
	} },
);

has 'date_formats' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
		'ethiopic' => {
		},
		'generic' => {
			'full' => q{G EEEE, d MMMM y},
			'long' => q{G d MMMM y},
			'medium' => q{G d MMM y},
			'short' => q{G d/M/y},
		},
		'gregorian' => {
			'full' => q{EEEE, d MMMM y},
			'long' => q{d MMMM y},
			'medium' => q{d MMM y},
			'short' => q{d/M/yy},
		},
		'indian' => {
		},
		'islamic' => {
		},
		'japanese' => {
		},
		'persian' => {
		},
	} },
);

has 'time_formats' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
		'ethiopic' => {
		},
		'generic' => {
		},
		'gregorian' => {
			'full' => q{h:mm:ss a zzzz},
			'long' => q{h:mm:ss a z},
			'medium' => q{h:mm:ss a},
			'short' => q{h:mm a},
		},
		'indian' => {
		},
		'islamic' => {
		},
		'japanese' => {
		},
		'persian' => {
		},
	} },
);

has 'datetime_formats' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
		'ethiopic' => {
		},
		'generic' => {
			'full' => q{{1} को {0}},
			'long' => q{{1} को {0}},
			'medium' => q{{1}, {0}},
			'short' => q{{1}, {0}},
		},
		'gregorian' => {
			'full' => q{{1} को {0}},
			'long' => q{{1} को {0}},
			'medium' => q{{1}, {0}},
			'short' => q{{1}, {0}},
		},
		'indian' => {
		},
		'islamic' => {
		},
		'japanese' => {
		},
		'persian' => {
		},
	} },
);

has 'datetime_formats_available_formats' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			Bh => q{B h},
			Bhm => q{B h:mm},
			Bhms => q{B h:mm:ss},
			E => q{ccc},
			EBhm => q{E B h:mm},
			EBhms => q{E B h:mm:ss},
			EHm => q{E HH:mm},
			EHms => q{E HH:mm:ss},
			Ed => q{E d},
			Ehm => q{E h:mm a},
			Ehms => q{E h:mm:ss a},
			Gy => q{y G},
			GyMMM => q{MMM G y},
			GyMMMEd => q{E, d MMM y G},
			GyMMMd => q{d MMM y G},
			H => q{HH},
			Hm => q{HH:mm},
			Hms => q{HH:mm:ss},
			Hmsv => q{HH:mm:ss v},
			Hmv => q{HH:mm v},
			M => q{L},
			MEd => q{E, d/M},
			MMM => q{LLL},
			MMMEd => q{E, d MMM},
			MMMMEd => q{E, d MMMM},
			MMMMW => q{MMM का सप्ताह W},
			MMMMd => q{d MMMM},
			MMMd => q{d MMM},
			MMdd => q{dd/MM},
			Md => q{d/M},
			d => q{d},
			h => q{h a},
			hm => q{h:mm a},
			hms => q{h:mm:ss a},
			hmsv => q{h:mm:ss a v},
			hmv => q{h:mm a v},
			ms => q{mm:ss},
			y => q{y},
			yM => q{M/y},
			yMEd => q{E, d/M/y},
			yMM => q{MM/y},
			yMMM => q{MMM y},
			yMMMEd => q{E, d MMM y},
			yMMMM => q{MMMM y},
			yMMMd => q{d MMM y},
			yMMdd => q{dd/MM/y},
			yMd => q{d/M/y},
			yQQQ => q{QQQ y},
			yQQQQ => q{QQQQ y},
			yw => q{Y का सप्ताह w},
		},
		'generic' => {
			Bh => q{h B},
			Bhm => q{h:mm B},
			Bhms => q{h:mm:ss B},
			E => q{ccc},
			EBhm => q{E h:mm B},
			EBhms => q{E h:mm:ss B},
			EHm => q{E HH:mm},
			EHms => q{E HH:mm:ss},
			Ed => q{d E},
			Ehm => q{E h:mm a},
			Ehms => q{E h:mm:ss a},
			Gy => q{G y},
			GyMMM => q{G y MMM},
			GyMMMEd => q{G E, d MMM y},
			GyMMMd => q{G d MMM y},
			H => q{HH},
			Hm => q{HH:mm},
			Hms => q{HH:mm:ss},
			M => q{M},
			MEd => q{E, d/M},
			MMM => q{MMM},
			MMMEd => q{E, d MMM},
			MMMMd => q{MMMM d},
			MMMd => q{d MMM},
			MMdd => q{dd-MM},
			Md => q{d/M},
			d => q{d},
			h => q{h a},
			hm => q{h:mm a},
			hms => q{h:mm:ss a},
			ms => q{mm:ss},
			y => q{G y},
			yyyy => q{G y},
			yyyyM => q{GGGGG M/y},
			yyyyMEd => q{G E, d/M/y},
			yyyyMMM => q{G MMM y},
			yyyyMMMEd => q{G E, d MMM y},
			yyyyMMMM => q{G y MMMM},
			yyyyMMMd => q{G d MMM y},
			yyyyMMdd => q{dd-MM-y G},
			yyyyMd => q{G d/M/y},
			yyyyQQQ => q{QQQ G y},
			yyyyQQQQ => q{QQQQ G y},
		},
	} },
);

has 'datetime_formats_append_item' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			'Timezone' => '{0} {1}',
		},
	} },
);

has 'datetime_formats_interval' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {
		'gregorian' => {
			H => {
				H => q{HH–HH},
			},
			Hm => {
				H => q{HH:mm–HH:mm},
				m => q{HH:mm–HH:mm},
			},
			Hmv => {
				H => q{HH:mm–HH:mm v},
				m => q{HH:mm–HH:mm v},
			},
			Hv => {
				H => q{HH–HH v},
			},
			M => {
				M => q{M–M},
			},
			MEd => {
				M => q{E, d/M – E, d/M},
				d => q{E, d/M – E, d/M},
			},
			MMM => {
				M => q{MMM–MMM},
			},
			MMMEd => {
				M => q{E, d MMM – E, d MMM},
				d => q{E, d MMM – E, d MMM},
			},
			MMMd => {
				M => q{d MMM – d MMM},
				d => q{d MMM–d},
			},
			Md => {
				M => q{d/M – d/M},
				d => q{d/M – d/M},
			},
			d => {
				d => q{d–d},
			},
			fallback => '{0} – {1}',
			h => {
				a => q{h a – h a},
				h => q{h–h a},
			},
			hm => {
				a => q{h:mm a – h:mm a},
				h => q{h:mm–h:mm a},
				m => q{h:mm–h:mm a},
			},
			hmv => {
				a => q{h:mm a – h:mm a v},
				h => q{h:mm–h:mm a v},
				m => q{h:mm–h:mm a v},
			},
			hv => {
				a => q{h a – h a v},
				h => q{h–h a v},
			},
			y => {
				y => q{y–y},
			},
			yM => {
				M => q{M/y – M/y},
				y => q{M/y – M/y},
			},
			yMEd => {
				M => q{E, d/M/y – E, d/M/y},
				d => q{E, d/M/y – E, d/M/y},
				y => q{E, d/M/y – E, d/M/y},
			},
			yMMM => {
				M => q{MMM–MMM y},
				y => q{MMM y – MMM y},
			},
			yMMMEd => {
				M => q{E, d MMM – E, d MMM y},
				d => q{E, d MMM – E, d MMM y},
				y => q{E, d MMM y – E, d MMM y},
			},
			yMMMM => {
				M => q{MMMM – MMMM y},
				y => q{MMMM y – MMMM y},
			},
			yMMMd => {
				M => q{d MMM – d MMM y},
				d => q{d–d MMM y},
				y => q{d MMM y – d MMM y},
			},
			yMd => {
				M => q{d/M/y – d/M/y},
				d => q{d/M/y – d/M/y},
				y => q{d/M/y – d/M/y},
			},
		},
		'generic' => {
			H => {
				H => q{HH–HH},
			},
			Hm => {
				H => q{HH:mm–HH:mm},
				m => q{HH:mm–HH:mm},
			},
			Hmv => {
				H => q{HH:mm–HH:mm v},
				m => q{HH:mm–HH:mm v},
			},
			Hv => {
				H => q{HH–HH v},
			},
			M => {
				M => q{M–M},
			},
			MEd => {
				M => q{E, d/M – E, d/M},
				d => q{E, d/M – E, d/M},
			},
			MMM => {
				M => q{MMM–MMM},
			},
			MMMEd => {
				M => q{E, d MMM – E, d MMM},
				d => q{E, d MMM – E, d MMM},
			},
			MMMd => {
				M => q{d MMM – d MMM},
				d => q{d–d MMM},
			},
			Md => {
				M => q{d/M – d/M},
				d => q{d/M – d/M},
			},
			d => {
				d => q{d–d},
			},
			fallback => '{0} – {1}',
			h => {
				a => q{h a – h a},
				h => q{h–h a},
			},
			hm => {
				a => q{h:mm a – h:mm a},
				h => q{h:mm–h:mm a},
				m => q{h:mm–h:mm a},
			},
			hmv => {
				a => q{h:mm a – h:mm a v},
				h => q{h:mm–h:mm a v},
				m => q{h:mm–h:mm a v},
			},
			hv => {
				a => q{h a – h a v},
				h => q{h–h a v},
			},
			y => {
				y => q{y–y G},
			},
			yM => {
				M => q{M/y – M/y G},
				y => q{M/y – M/y G},
			},
			yMEd => {
				M => q{E, d/M/y – E, d/M/y G},
				d => q{E, d/M/y – E, d/M/y G},
				y => q{E, d/M/y – E, d/M/y G},
			},
			yMMM => {
				M => q{MMM–MMM y G},
				y => q{MMM y – MMM y G},
			},
			yMMMEd => {
				M => q{E, d MMM – E, d MMM y G},
				d => q{E, d MMM – E, d MMM y G},
				y => q{E, d MMM y – E, d MMM y G},
			},
			yMMMM => {
				M => q{MMMM–MMMM y G},
				y => q{MMMM y – MMMM y G},
			},
			yMMMd => {
				M => q{d MMM – d MMM y G},
				d => q{d – d MMM y G},
				y => q{d MMM y – d MMM y G},
			},
			yMd => {
				M => q{d/M/y – d/M/y G},
				d => q{d/M/y – d/M/y G},
				y => q{d/M/y – d/M/y G},
			},
		},
	} },
);

has 'time_zone_names' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default	=> sub { {
		hourFormat => q(+HH:mm;-HH:mm),
		gmtFormat => q(GMT{0}),
		gmtZeroFormat => q(GMT),
		regionFormat => q({0} समय),
		regionFormat => q({0} डेलाइट समय),
		regionFormat => q({0} मानक समय),
		fallbackFormat => q({1} ({0})),
		'Afghanistan' => {
			long => {
				'standard' => q#अफ़गानिस्तान समय#,
			},
		},
		'Africa/Abidjan' => {
			exemplarCity => q#अबिदजान#,
		},
		'Africa/Accra' => {
			exemplarCity => q#एक्रा#,
		},
		'Africa/Addis_Ababa' => {
			exemplarCity => q#अदीस अबाबा#,
		},
		'Africa/Algiers' => {
			exemplarCity => q#अल्जीयर्स#,
		},
		'Africa/Asmera' => {
			exemplarCity => q#अस्मारा#,
		},
		'Africa/Bamako' => {
			exemplarCity => q#बामाको#,
		},
		'Africa/Bangui' => {
			exemplarCity => q#बांगुइ#,
		},
		'Africa/Banjul' => {
			exemplarCity => q#बैंजुल#,
		},
		'Africa/Bissau' => {
			exemplarCity => q#बिसाऊ#,
		},
		'Africa/Blantyre' => {
			exemplarCity => q#ब्लांटायर#,
		},
		'Africa/Brazzaville' => {
			exemplarCity => q#ब्राज़ाविले#,
		},
		'Africa/Bujumbura' => {
			exemplarCity => q#बुजुंबूरा#,
		},
		'Africa/Cairo' => {
			exemplarCity => q#कायरो#,
		},
		'Africa/Casablanca' => {
			exemplarCity => q#कासाब्लांका#,
		},
		'Africa/Ceuta' => {
			exemplarCity => q#सेउटा#,
		},
		'Africa/Conakry' => {
			exemplarCity => q#कोनाक्री#,
		},
		'Africa/Dakar' => {
			exemplarCity => q#डकार#,
		},
		'Africa/Dar_es_Salaam' => {
			exemplarCity => q#दार अस सलाम#,
		},
		'Africa/Djibouti' => {
			exemplarCity => q#जिबूती#,
		},
		'Africa/Douala' => {
			exemplarCity => q#डूआला#,
		},
		'Africa/El_Aaiun' => {
			exemplarCity => q#अल आइयून#,
		},
		'Africa/Freetown' => {
			exemplarCity => q#फ़्रीटाउन#,
		},
		'Africa/Gaborone' => {
			exemplarCity => q#गाबोरोन#,
		},
		'Africa/Harare' => {
			exemplarCity => q#हरारे#,
		},
		'Africa/Johannesburg' => {
			exemplarCity => q#जोहांसबर्ग#,
		},
		'Africa/Juba' => {
			exemplarCity => q#जुबा#,
		},
		'Africa/Kampala' => {
			exemplarCity => q#कंपाला#,
		},
		'Africa/Khartoum' => {
			exemplarCity => q#खार्तूम#,
		},
		'Africa/Kigali' => {
			exemplarCity => q#किगाली#,
		},
		'Africa/Kinshasa' => {
			exemplarCity => q#किंशासा#,
		},
		'Africa/Lagos' => {
			exemplarCity => q#लागोस#,
		},
		'Africa/Libreville' => {
			exemplarCity => q#लिब्रेविले#,
		},
		'Africa/Lome' => {
			exemplarCity => q#लोम#,
		},
		'Africa/Luanda' => {
			exemplarCity => q#लुआंडा#,
		},
		'Africa/Lubumbashi' => {
			exemplarCity => q#लुबुमबाशी#,
		},
		'Africa/Lusaka' => {
			exemplarCity => q#लुसाका#,
		},
		'Africa/Malabo' => {
			exemplarCity => q#मलाबो#,
		},
		'Africa/Maputo' => {
			exemplarCity => q#मापुटो#,
		},
		'Africa/Maseru' => {
			exemplarCity => q#मासेरू#,
		},
		'Africa/Mbabane' => {
			exemplarCity => q#एमबाबेन#,
		},
		'Africa/Mogadishu' => {
			exemplarCity => q#मोगादिशु#,
		},
		'Africa/Monrovia' => {
			exemplarCity => q#मोनरोविया#,
		},
		'Africa/Nairobi' => {
			exemplarCity => q#नैरोबी#,
		},
		'Africa/Ndjamena' => {
			exemplarCity => q#नेद्जामीना#,
		},
		'Africa/Niamey' => {
			exemplarCity => q#नियामी#,
		},
		'Africa/Nouakchott' => {
			exemplarCity => q#नौआकशॉट#,
		},
		'Africa/Ouagadougou' => {
			exemplarCity => q#औगाडोगू#,
		},
		'Africa/Porto-Novo' => {
			exemplarCity => q#पोर्टो-नोवो#,
		},
		'Africa/Sao_Tome' => {
			exemplarCity => q#साओ टोम#,
		},
		'Africa/Tripoli' => {
			exemplarCity => q#त्रिपोली#,
		},
		'Africa/Tunis' => {
			exemplarCity => q#ट्यूनिस#,
		},
		'Africa/Windhoek' => {
			exemplarCity => q#विंडहोक#,
		},
		'Africa_Central' => {
			long => {
				'standard' => q#मध्य अफ़्रीका समय#,
			},
		},
		'Africa_Eastern' => {
			long => {
				'standard' => q#पूर्वी अफ़्रीका समय#,
			},
		},
		'Africa_Southern' => {
			long => {
				'standard' => q#दक्षिण अफ़्रीका मानक समय#,
			},
		},
		'Africa_Western' => {
			long => {
				'daylight' => q#पश्चिम अफ़्रीका ग्रीष्मकालीन समय#,
				'generic' => q#पश्चिम अफ़्रीका समय#,
				'standard' => q#पश्चिम अफ़्रीका मानक समय#,
			},
		},
		'Alaska' => {
			long => {
				'daylight' => q#अलास्‍का डेलाइट समय#,
				'generic' => q#अलास्का समय#,
				'standard' => q#अलास्‍का मानक समय#,
			},
		},
		'Amazon' => {
			long => {
				'daylight' => q#अमेज़न ग्रीष्मकालीन समय#,
				'generic' => q#अमेज़न समय#,
				'standard' => q#अमेज़न मानक समय#,
			},
		},
		'America/Adak' => {
			exemplarCity => q#अडक#,
		},
		'America/Anchorage' => {
			exemplarCity => q#एंकरेज#,
		},
		'America/Anguilla' => {
			exemplarCity => q#एंग्विला#,
		},
		'America/Antigua' => {
			exemplarCity => q#एंटीगुआ#,
		},
		'America/Araguaina' => {
			exemplarCity => q#आराग्वेना#,
		},
		'America/Argentina/La_Rioja' => {
			exemplarCity => q#ला रिओजा#,
		},
		'America/Argentina/Rio_Gallegos' => {
			exemplarCity => q#रियो गालेगोस#,
		},
		'America/Argentina/Salta' => {
			exemplarCity => q#साल्टा#,
		},
		'America/Argentina/San_Juan' => {
			exemplarCity => q#सैन ह्वान#,
		},
		'America/Argentina/San_Luis' => {
			exemplarCity => q#सैन लूई#,
		},
		'America/Argentina/Tucuman' => {
			exemplarCity => q#टोकूमन#,
		},
		'America/Argentina/Ushuaia' => {
			exemplarCity => q#उशुआइया#,
		},
		'America/Aruba' => {
			exemplarCity => q#अरूबा#,
		},
		'America/Asuncion' => {
			exemplarCity => q#एसनशियॉन#,
		},
		'America/Bahia' => {
			exemplarCity => q#बहिया#,
		},
		'America/Bahia_Banderas' => {
			exemplarCity => q#बेहिया बांडेरास#,
		},
		'America/Barbados' => {
			exemplarCity => q#बारबाडोस#,
		},
		'America/Belem' => {
			exemplarCity => q#बेलेम#,
		},
		'America/Belize' => {
			exemplarCity => q#बेलीज़#,
		},
		'America/Blanc-Sablon' => {
			exemplarCity => q#ब्लांक-सेबलोन#,
		},
		'America/Boa_Vista' => {
			exemplarCity => q#बोआ विस्ता#,
		},
		'America/Bogota' => {
			exemplarCity => q#बोगोटा#,
		},
		'America/Boise' => {
			exemplarCity => q#बॉइसी#,
		},
		'America/Buenos_Aires' => {
			exemplarCity => q#ब्यूनस आयरस#,
		},
		'America/Cambridge_Bay' => {
			exemplarCity => q#कैम्ब्रिज खाड़ी#,
		},
		'America/Campo_Grande' => {
			exemplarCity => q#कैंपो ग्रांडे#,
		},
		'America/Cancun' => {
			exemplarCity => q#कैनकुन#,
		},
		'America/Caracas' => {
			exemplarCity => q#काराकस#,
		},
		'America/Catamarca' => {
			exemplarCity => q#काटामार्का#,
		},
		'America/Cayenne' => {
			exemplarCity => q#कायेन#,
		},
		'America/Cayman' => {
			exemplarCity => q#कैमेन#,
		},
		'America/Chicago' => {
			exemplarCity => q#शिकागो#,
		},
		'America/Chihuahua' => {
			exemplarCity => q#चिहुआहुआ#,
		},
		'America/Coral_Harbour' => {
			exemplarCity => q#अटिकोकान#,
		},
		'America/Cordoba' => {
			exemplarCity => q#कोर्डोबा#,
		},
		'America/Costa_Rica' => {
			exemplarCity => q#कोस्टा रिका#,
		},
		'America/Creston' => {
			exemplarCity => q#क्रेस्टन#,
		},
		'America/Cuiaba' => {
			exemplarCity => q#क्यूआबा#,
		},
		'America/Curacao' => {
			exemplarCity => q#कुराकाओ#,
		},
		'America/Danmarkshavn' => {
			exemplarCity => q#डेनमार्कशॉन#,
		},
		'America/Dawson' => {
			exemplarCity => q#डॉसन#,
		},
		'America/Dawson_Creek' => {
			exemplarCity => q#डॉसन क्रीक#,
		},
		'America/Denver' => {
			exemplarCity => q#डेनवर#,
		},
		'America/Detroit' => {
			exemplarCity => q#डेट्रॉयट#,
		},
		'America/Dominica' => {
			exemplarCity => q#डोमिनिका#,
		},
		'America/Edmonton' => {
			exemplarCity => q#एडमंटन#,
		},
		'America/Eirunepe' => {
			exemplarCity => q#ईरुनेपे#,
		},
		'America/El_Salvador' => {
			exemplarCity => q#अल सल्वाडोर#,
		},
		'America/Fort_Nelson' => {
			exemplarCity => q#फ़ोर्ट नेल्सन#,
		},
		'America/Fortaleza' => {
			exemplarCity => q#फ़ोर्टालेज़ा#,
		},
		'America/Glace_Bay' => {
			exemplarCity => q#ग्लेस खाड़ी#,
		},
		'America/Godthab' => {
			exemplarCity => q#नुक#,
		},
		'America/Goose_Bay' => {
			exemplarCity => q#गूस खाड़ी#,
		},
		'America/Grand_Turk' => {
			exemplarCity => q#ग्रांड टर्क#,
		},
		'America/Grenada' => {
			exemplarCity => q#ग्रेनाडा#,
		},
		'America/Guadeloupe' => {
			exemplarCity => q#ग्वाडेलोप#,
		},
		'America/Guatemala' => {
			exemplarCity => q#ग्वाटेमाला#,
		},
		'America/Guayaquil' => {
			exemplarCity => q#ग्वायाकील#,
		},
		'America/Guyana' => {
			exemplarCity => q#गयाना#,
		},
		'America/Halifax' => {
			exemplarCity => q#हेलिफ़ैक्स#,
		},
		'America/Havana' => {
			exemplarCity => q#हवाना#,
		},
		'America/Hermosillo' => {
			exemplarCity => q#हर्मोसिल्लो#,
		},
		'America/Indiana/Knox' => {
			exemplarCity => q#नौक्स, इंडियाना#,
		},
		'America/Indiana/Marengo' => {
			exemplarCity => q#मारेंगो, इंडियाना#,
		},
		'America/Indiana/Petersburg' => {
			exemplarCity => q#पीटर्सबर्ग, इंडियाना#,
		},
		'America/Indiana/Tell_City' => {
			exemplarCity => q#टेल सिटी, इंडियाना#,
		},
		'America/Indiana/Vevay' => {
			exemplarCity => q#वेवे, इंडियाना#,
		},
		'America/Indiana/Vincennes' => {
			exemplarCity => q#विंसेनेस, इंडियाना#,
		},
		'America/Indiana/Winamac' => {
			exemplarCity => q#विनामेक, इंडियाना#,
		},
		'America/Indianapolis' => {
			exemplarCity => q#इंडियानापोलिस#,
		},
		'America/Inuvik' => {
			exemplarCity => q#इनूविक#,
		},
		'America/Iqaluit' => {
			exemplarCity => q#इकालुईट#,
		},
		'America/Jamaica' => {
			exemplarCity => q#जमैका#,
		},
		'America/Jujuy' => {
			exemplarCity => q#जुजोए#,
		},
		'America/Juneau' => {
			exemplarCity => q#ज्यूनाउ#,
		},
		'America/Kentucky/Monticello' => {
			exemplarCity => q#मोंटीसेलो, केंटकी#,
		},
		'America/Kralendijk' => {
			exemplarCity => q#क्रालैंडिजिक#,
		},
		'America/La_Paz' => {
			exemplarCity => q#ला पाज़#,
		},
		'America/Lima' => {
			exemplarCity => q#लीमा#,
		},
		'America/Los_Angeles' => {
			exemplarCity => q#लॉस एंजिल्स#,
		},
		'America/Louisville' => {
			exemplarCity => q#लुइसविले#,
		},
		'America/Lower_Princes' => {
			exemplarCity => q#लोअर प्रिंसेस क्वार्टर#,
		},
		'America/Maceio' => {
			exemplarCity => q#मेसीओ#,
		},
		'America/Managua' => {
			exemplarCity => q#मानागुआ#,
		},
		'America/Manaus' => {
			exemplarCity => q#मनौस#,
		},
		'America/Marigot' => {
			exemplarCity => q#मैरीगोट#,
		},
		'America/Martinique' => {
			exemplarCity => q#मार्टिनिक#,
		},
		'America/Matamoros' => {
			exemplarCity => q#माटामोरोस#,
		},
		'America/Mazatlan' => {
			exemplarCity => q#माज़ाटलान#,
		},
		'America/Mendoza' => {
			exemplarCity => q#मेंडोज़ा#,
		},
		'America/Menominee' => {
			exemplarCity => q#मेनोमिनी#,
		},
		'America/Merida' => {
			exemplarCity => q#मेरिडा#,
		},
		'America/Metlakatla' => {
			exemplarCity => q#मेट्लेकाट्ला#,
		},
		'America/Mexico_City' => {
			exemplarCity => q#मेक्सिको सिटी#,
		},
		'America/Miquelon' => {
			exemplarCity => q#मिकेलॉन#,
		},
		'America/Moncton' => {
			exemplarCity => q#मोंकटन#,
		},
		'America/Monterrey' => {
			exemplarCity => q#मोंटेरेरी#,
		},
		'America/Montevideo' => {
			exemplarCity => q#मोंटेवीडियो#,
		},
		'America/Montserrat' => {
			exemplarCity => q#मोंटसेरात#,
		},
		'America/Nassau' => {
			exemplarCity => q#नासाउ#,
		},
		'America/New_York' => {
			exemplarCity => q#न्यूयॉर्क#,
		},
		'America/Nipigon' => {
			exemplarCity => q#निपिगन#,
		},
		'America/Nome' => {
			exemplarCity => q#नोम#,
		},
		'America/Noronha' => {
			exemplarCity => q#नोरोन्हा#,
		},
		'America/North_Dakota/Beulah' => {
			exemplarCity => q#ब्यूला, उत्तरी डकोटा#,
		},
		'America/North_Dakota/Center' => {
			exemplarCity => q#मध्य, उत्तरी दाकोता#,
		},
		'America/North_Dakota/New_Salem' => {
			exemplarCity => q#न्यू सालेम, उत्तरी डकोटा#,
		},
		'America/Ojinaga' => {
			exemplarCity => q#ओखाजीनागा#,
		},
		'America/Panama' => {
			exemplarCity => q#पनामा#,
		},
		'America/Pangnirtung' => {
			exemplarCity => q#पांगनिर्टंग#,
		},
		'America/Paramaribo' => {
			exemplarCity => q#पारामारिबो#,
		},
		'America/Phoenix' => {
			exemplarCity => q#फ़ीनिक्स#,
		},
		'America/Port-au-Prince' => {
			exemplarCity => q#पोर्ट-ऑ-प्रिंस#,
		},
		'America/Port_of_Spain' => {
			exemplarCity => q#पोर्ट ऑफ़ स्पेन#,
		},
		'America/Porto_Velho' => {
			exemplarCity => q#पोर्टो वेल्हो#,
		},
		'America/Puerto_Rico' => {
			exemplarCity => q#पोर्टो रिको#,
		},
		'America/Punta_Arenas' => {
			exemplarCity => q#पुंटा एरिनास#,
		},
		'America/Rainy_River' => {
			exemplarCity => q#रेनी नदी#,
		},
		'America/Rankin_Inlet' => {
			exemplarCity => q#रेंकिन इनलेट#,
		},
		'America/Recife' => {
			exemplarCity => q#रेसाइफ़#,
		},
		'America/Regina' => {
			exemplarCity => q#रेजिना#,
		},
		'America/Resolute' => {
			exemplarCity => q#रिसोल्यूट#,
		},
		'America/Rio_Branco' => {
			exemplarCity => q#रियो ब्रांको#,
		},
		'America/Santa_Isabel' => {
			exemplarCity => q#सांता इसाबेल#,
		},
		'America/Santarem' => {
			exemplarCity => q#सैंटारेम#,
		},
		'America/Santiago' => {
			exemplarCity => q#सैंटियागो#,
		},
		'America/Santo_Domingo' => {
			exemplarCity => q#सेंटो डोमिंगो#,
		},
		'America/Sao_Paulo' => {
			exemplarCity => q#साओ पाउलो#,
		},
		'America/Scoresbysund' => {
			exemplarCity => q#इटोकोर्टोरमिट#,
		},
		'America/Sitka' => {
			exemplarCity => q#सिट्का#,
		},
		'America/St_Barthelemy' => {
			exemplarCity => q#सेंट बार्थेलेमी#,
		},
		'America/St_Johns' => {
			exemplarCity => q#सेंट जोंस#,
		},
		'America/St_Kitts' => {
			exemplarCity => q#सेंट किट्स#,
		},
		'America/St_Lucia' => {
			exemplarCity => q#सेंट लूसिया#,
		},
		'America/St_Thomas' => {
			exemplarCity => q#सेंट थॉमस#,
		},
		'America/St_Vincent' => {
			exemplarCity => q#सेंट विंसेंट#,
		},
		'America/Swift_Current' => {
			exemplarCity => q#स्विफ़्ट करंट#,
		},
		'America/Tegucigalpa' => {
			exemplarCity => q#टेगुसिगल्पा#,
		},
		'America/Thule' => {
			exemplarCity => q#थ्यूले#,
		},
		'America/Thunder_Bay' => {
			exemplarCity => q#थंडर खाड़ी#,
		},
		'America/Tijuana' => {
			exemplarCity => q#तिजुआना#,
		},
		'America/Toronto' => {
			exemplarCity => q#टोरंटो#,
		},
		'America/Tortola' => {
			exemplarCity => q#टोर्टोला#,
		},
		'America/Vancouver' => {
			exemplarCity => q#वैंकूवर#,
		},
		'America/Whitehorse' => {
			exemplarCity => q#व्हाइटहोर्स#,
		},
		'America/Winnipeg' => {
			exemplarCity => q#विनीपेग#,
		},
		'America/Yakutat' => {
			exemplarCity => q#याकूटाट#,
		},
		'America/Yellowknife' => {
			exemplarCity => q#येलोनाइफ़#,
		},
		'America_Central' => {
			long => {
				'daylight' => q#उत्तरी अमेरिकी केंद्रीय डेलाइट समय#,
				'generic' => q#उत्तरी अमेरिकी केंद्रीय समय#,
				'standard' => q#उत्तरी अमेरिकी केंद्रीय मानक समय#,
			},
		},
		'America_Eastern' => {
			long => {
				'daylight' => q#उत्तरी अमेरिकी पूर्वी डेलाइट समय#,
				'generic' => q#उत्तरी अमेरिकी पूर्वी समय#,
				'standard' => q#उत्तरी अमेरिकी पूर्वी मानक समय#,
			},
		},
		'America_Mountain' => {
			long => {
				'daylight' => q#उत्तरी अमेरिकी माउंटेन डेलाइट समय#,
				'generic' => q#उत्तरी अमेरिकी माउंटेन समय#,
				'standard' => q#उत्तरी अमेरिकी माउंटेन मानक समय#,
			},
		},
		'America_Pacific' => {
			long => {
				'daylight' => q#उत्तरी अमेरिकी प्रशांत डेलाइट समय#,
				'generic' => q#उत्तरी अमेरिकी प्रशांत समय#,
				'standard' => q#उत्तरी अमेरिकी प्रशांत मानक समय#,
			},
		},
		'Anadyr' => {
			long => {
				'daylight' => q#एनाडीयर ग्रीष्मकालीन समय#,
				'generic' => q#एनाडीयर समय#,
				'standard' => q#एनाडीयर मानक समय#,
			},
		},
		'Antarctica/Casey' => {
			exemplarCity => q#केसी#,
		},
		'Antarctica/Davis' => {
			exemplarCity => q#डेविस#,
		},
		'Antarctica/DumontDUrville' => {
			exemplarCity => q#ड्यूमोंट डी अर्विले#,
		},
		'Antarctica/Macquarie' => {
			exemplarCity => q#मक्वारी#,
		},
		'Antarctica/Mawson' => {
			exemplarCity => q#मॉसन#,
		},
		'Antarctica/McMurdo' => {
			exemplarCity => q#मैकमुर्डो#,
		},
		'Antarctica/Palmer' => {
			exemplarCity => q#पॉमर#,
		},
		'Antarctica/Rothera' => {
			exemplarCity => q#रोथेरा#,
		},
		'Antarctica/Syowa' => {
			exemplarCity => q#स्योवा#,
		},
		'Antarctica/Troll' => {
			exemplarCity => q#ट्रोल#,
		},
		'Antarctica/Vostok' => {
			exemplarCity => q#वोस्तोक#,
		},
		'Apia' => {
			long => {
				'daylight' => q#एपिआ डेलाइट समय#,
				'generic' => q#एपिआ समय#,
				'standard' => q#एपिआ मानक समय#,
			},
		},
		'Arabian' => {
			long => {
				'daylight' => q#अरब डेलाइट समय#,
				'generic' => q#अरब समय#,
				'standard' => q#अरब मानक समय#,
			},
		},
		'Arctic/Longyearbyen' => {
			exemplarCity => q#लॉन्गईयरबायेन#,
		},
		'Argentina' => {
			long => {
				'daylight' => q#अर्जेंटीना ग्रीष्मकालीन समय#,
				'generic' => q#अर्जेंटीना समय#,
				'standard' => q#अर्जेंटीना मानक समय#,
			},
		},
		'Argentina_Western' => {
			long => {
				'daylight' => q#पश्चिमी अर्जेंटीना ग्रीष्मकालीन समय#,
				'generic' => q#पश्चिमी अर्जेंटीना समय#,
				'standard' => q#पश्चिमी अर्जेंटीना मानक समय#,
			},
		},
		'Armenia' => {
			long => {
				'daylight' => q#आर्मेनिया ग्रीष्मकालीन समय#,
				'generic' => q#आर्मेनिया समय#,
				'standard' => q#आर्मेनिया मानक समय#,
			},
		},
		'Asia/Aden' => {
			exemplarCity => q#आदेन#,
		},
		'Asia/Almaty' => {
			exemplarCity => q#अल्माटी#,
		},
		'Asia/Amman' => {
			exemplarCity => q#अम्मान#,
		},
		'Asia/Anadyr' => {
			exemplarCity => q#अनाडिर#,
		},
		'Asia/Aqtau' => {
			exemplarCity => q#अक्ताउ#,
		},
		'Asia/Aqtobe' => {
			exemplarCity => q#अक्तोब#,
		},
		'Asia/Ashgabat' => {
			exemplarCity => q#अश्गाबात#,
		},
		'Asia/Atyrau' => {
			exemplarCity => q#एतराउ#,
		},
		'Asia/Baghdad' => {
			exemplarCity => q#बगदाद#,
		},
		'Asia/Bahrain' => {
			exemplarCity => q#बहरीन#,
		},
		'Asia/Baku' => {
			exemplarCity => q#बाकु#,
		},
		'Asia/Bangkok' => {
			exemplarCity => q#बैंकॉक#,
		},
		'Asia/Barnaul' => {
			exemplarCity => q#बर्नोल#,
		},
		'Asia/Beirut' => {
			exemplarCity => q#बेरुत#,
		},
		'Asia/Bishkek' => {
			exemplarCity => q#बिश्केक#,
		},
		'Asia/Brunei' => {
			exemplarCity => q#ब्रूनेई#,
		},
		'Asia/Calcutta' => {
			exemplarCity => q#कोलकाता#,
		},
		'Asia/Chita' => {
			exemplarCity => q#त्शिता#,
		},
		'Asia/Choibalsan' => {
			exemplarCity => q#चोइबालसन#,
		},
		'Asia/Colombo' => {
			exemplarCity => q#कोलंबो#,
		},
		'Asia/Damascus' => {
			exemplarCity => q#दमास्कस#,
		},
		'Asia/Dhaka' => {
			exemplarCity => q#ढाका#,
		},
		'Asia/Dili' => {
			exemplarCity => q#डिलि#,
		},
		'Asia/Dubai' => {
			exemplarCity => q#दुबई#,
		},
		'Asia/Dushanbe' => {
			exemplarCity => q#दुशांबे#,
		},
		'Asia/Famagusta' => {
			exemplarCity => q#फ़ामागुस्ता#,
		},
		'Asia/Gaza' => {
			exemplarCity => q#गाज़ा#,
		},
		'Asia/Hebron' => {
			exemplarCity => q#हेब्रोन#,
		},
		'Asia/Hong_Kong' => {
			exemplarCity => q#हाँग काँग#,
		},
		'Asia/Hovd' => {
			exemplarCity => q#होव्ड#,
		},
		'Asia/Irkutsk' => {
			exemplarCity => q#इर्कुत्स्क#,
		},
		'Asia/Jakarta' => {
			exemplarCity => q#जकार्ता#,
		},
		'Asia/Jayapura' => {
			exemplarCity => q#जयापुरा#,
		},
		'Asia/Jerusalem' => {
			exemplarCity => q#यरूशलम#,
		},
		'Asia/Kabul' => {
			exemplarCity => q#काबुल#,
		},
		'Asia/Kamchatka' => {
			exemplarCity => q#कमचत्का#,
		},
		'Asia/Karachi' => {
			exemplarCity => q#कराची#,
		},
		'Asia/Katmandu' => {
			exemplarCity => q#काठमांडू#,
		},
		'Asia/Khandyga' => {
			exemplarCity => q#खांडिगा#,
		},
		'Asia/Krasnoyarsk' => {
			exemplarCity => q#क्रास्नोयार्स्क#,
		},
		'Asia/Kuala_Lumpur' => {
			exemplarCity => q#कुआलालंपुर#,
		},
		'Asia/Kuching' => {
			exemplarCity => q#कूचिंग#,
		},
		'Asia/Kuwait' => {
			exemplarCity => q#कुवैत#,
		},
		'Asia/Macau' => {
			exemplarCity => q#मकाउ#,
		},
		'Asia/Magadan' => {
			exemplarCity => q#मागादान#,
		},
		'Asia/Makassar' => {
			exemplarCity => q#मकस्सर#,
		},
		'Asia/Manila' => {
			exemplarCity => q#मनीला#,
		},
		'Asia/Muscat' => {
			exemplarCity => q#मस्कट#,
		},
		'Asia/Nicosia' => {
			exemplarCity => q#निकोसिया#,
		},
		'Asia/Novokuznetsk' => {
			exemplarCity => q#नोवोकुज़्नेत्स्क#,
		},
		'Asia/Novosibirsk' => {
			exemplarCity => q#नोवोसिबिर्स्क#,
		},
		'Asia/Omsk' => {
			exemplarCity => q#ओम्स्क#,
		},
		'Asia/Oral' => {
			exemplarCity => q#ओरल#,
		},
		'Asia/Phnom_Penh' => {
			exemplarCity => q#नॉम पेन्ह#,
		},
		'Asia/Pontianak' => {
			exemplarCity => q#पोंटीयांक#,
		},
		'Asia/Pyongyang' => {
			exemplarCity => q#प्योंगयांग#,
		},
		'Asia/Qatar' => {
			exemplarCity => q#कतर#,
		},
		'Asia/Qyzylorda' => {
			exemplarCity => q#केज़ेलोर्डा#,
		},
		'Asia/Rangoon' => {
			exemplarCity => q#रंगून#,
		},
		'Asia/Riyadh' => {
			exemplarCity => q#रियाद#,
		},
		'Asia/Saigon' => {
			exemplarCity => q#हो ची मिन्ह सिटी#,
		},
		'Asia/Sakhalin' => {
			exemplarCity => q#सखालिन#,
		},
		'Asia/Samarkand' => {
			exemplarCity => q#समरकंद#,
		},
		'Asia/Seoul' => {
			exemplarCity => q#सिओल#,
		},
		'Asia/Shanghai' => {
			exemplarCity => q#शंघाई#,
		},
		'Asia/Singapore' => {
			exemplarCity => q#सिंगापुर#,
		},
		'Asia/Srednekolymsk' => {
			exemplarCity => q#स्रेद्निकोलिमस्क#,
		},
		'Asia/Taipei' => {
			exemplarCity => q#ताईपेई#,
		},
		'Asia/Tashkent' => {
			exemplarCity => q#ताशकंद#,
		},
		'Asia/Tbilisi' => {
			exemplarCity => q#टबिलिसी#,
		},
		'Asia/Tehran' => {
			exemplarCity => q#तेहरान#,
		},
		'Asia/Thimphu' => {
			exemplarCity => q#थिंपू#,
		},
		'Asia/Tokyo' => {
			exemplarCity => q#टोक्यो#,
		},
		'Asia/Tomsk' => {
			exemplarCity => q#तोम्स्क#,
		},
		'Asia/Ulaanbaatar' => {
			exemplarCity => q#उलानबातर#,
		},
		'Asia/Urumqi' => {
			exemplarCity => q#उरूम्की#,
		},
		'Asia/Ust-Nera' => {
			exemplarCity => q#यूस्ट–नेरा#,
		},
		'Asia/Vientiane' => {
			exemplarCity => q#विएनतियान#,
		},
		'Asia/Vladivostok' => {
			exemplarCity => q#व्लादिवोस्तोक#,
		},
		'Asia/Yakutsk' => {
			exemplarCity => q#याकूत्स्क#,
		},
		'Asia/Yekaterinburg' => {
			exemplarCity => q#येकातेरिनबर्ग#,
		},
		'Asia/Yerevan' => {
			exemplarCity => q#येरेवान#,
		},
		'Atlantic' => {
			long => {
				'daylight' => q#अटलांटिक डेलाइट समय#,
				'generic' => q#अटलांटिक समय#,
				'standard' => q#अटलांटिक मानक समय#,
			},
		},
		'Atlantic/Azores' => {
			exemplarCity => q#अज़ोरेस#,
		},
		'Atlantic/Bermuda' => {
			exemplarCity => q#बरमूडा#,
		},
		'Atlantic/Canary' => {
			exemplarCity => q#कैनेरी#,
		},
		'Atlantic/Cape_Verde' => {
			exemplarCity => q#केप वर्ड#,
		},
		'Atlantic/Faeroe' => {
			exemplarCity => q#फ़ैरो#,
		},
		'Atlantic/Madeira' => {
			exemplarCity => q#मडेरा#,
		},
		'Atlantic/Reykjavik' => {
			exemplarCity => q#रेक्याविक#,
		},
		'Atlantic/South_Georgia' => {
			exemplarCity => q#दक्षिण जॉर्जिया#,
		},
		'Atlantic/St_Helena' => {
			exemplarCity => q#सेंट हेलेना#,
		},
		'Atlantic/Stanley' => {
			exemplarCity => q#स्टैनली#,
		},
		'Australia/Adelaide' => {
			exemplarCity => q#एडिलेड#,
		},
		'Australia/Brisbane' => {
			exemplarCity => q#ब्रिस्बन#,
		},
		'Australia/Broken_Hill' => {
			exemplarCity => q#ब्रोकन हिल#,
		},
		'Australia/Currie' => {
			exemplarCity => q#क्यूरी#,
		},
		'Australia/Darwin' => {
			exemplarCity => q#डार्विन#,
		},
		'Australia/Eucla' => {
			exemplarCity => q#यूक्ला#,
		},
		'Australia/Hobart' => {
			exemplarCity => q#होबार्ट#,
		},
		'Australia/Lindeman' => {
			exemplarCity => q#लिंडेमान#,
		},
		'Australia/Lord_Howe' => {
			exemplarCity => q#लॉर्ड होवे#,
		},
		'Australia/Melbourne' => {
			exemplarCity => q#मेलबोर्न#,
		},
		'Australia/Perth' => {
			exemplarCity => q#पर्थ#,
		},
		'Australia/Sydney' => {
			exemplarCity => q#सिडनी#,
		},
		'Australia_Central' => {
			long => {
				'daylight' => q#ऑस्‍ट्रेलियाई केंद्रीय डेलाइट समय#,
				'generic' => q#मध्य ऑस्ट्रेलियाई समय#,
				'standard' => q#ऑस्‍ट्रेलियाई केंद्रीय मानक समय#,
			},
		},
		'Australia_CentralWestern' => {
			long => {
				'daylight' => q#ऑस्‍ट्रेलियाई केंद्रीय पश्चिमी डेलाइट समय#,
				'generic' => q#ऑस्‍ट्रेलियाई केंद्रीय पश्चिमी समय#,
				'standard' => q#ऑस्‍ट्रेलियाई केंद्रीय पश्चिमी मानक समय#,
			},
		},
		'Australia_Eastern' => {
			long => {
				'daylight' => q#ऑस्‍ट्रेलियाई पूर्वी डेलाइट समय#,
				'generic' => q#पूर्वी ऑस्ट्रेलिया समय#,
				'standard' => q#ऑस्‍ट्रेलियाई पूर्वी मानक समय#,
			},
		},
		'Australia_Western' => {
			long => {
				'daylight' => q#ऑस्ट्रेलियाई पश्चिमी डेलाइट समय#,
				'generic' => q#पश्चिमी ऑस्ट्रेलिया समय#,
				'standard' => q#ऑस्ट्रेलियाई पश्चिमी मानक समय#,
			},
		},
		'Azerbaijan' => {
			long => {
				'daylight' => q#अज़रबैजान ग्रीष्मकालीन समय#,
				'generic' => q#अज़रबैजान समय#,
				'standard' => q#अज़रबैजान मानक समय#,
			},
		},
		'Azores' => {
			long => {
				'daylight' => q#अज़ोरेस ग्रीष्मकालीन समय#,
				'generic' => q#अज़ोरेस समय#,
				'standard' => q#अज़ोरेस मानक समय#,
			},
		},
		'Bangladesh' => {
			long => {
				'daylight' => q#बांग्लादेश ग्रीष्मकालीन समय#,
				'generic' => q#बांग्लादेश समय#,
				'standard' => q#बांग्लादेश मानक समय#,
			},
		},
		'Bhutan' => {
			long => {
				'standard' => q#भूटान समय#,
			},
		},
		'Bolivia' => {
			long => {
				'standard' => q#बोलीविया समय#,
			},
		},
		'Brasilia' => {
			long => {
				'daylight' => q#ब्राज़ीलिया ग्रीष्मकालीन समय#,
				'generic' => q#ब्राज़ीलिया समय#,
				'standard' => q#ब्राज़ीलिया मानक समय#,
			},
		},
		'Brunei' => {
			long => {
				'standard' => q#ब्रूनेई दारूस्सलम समय#,
			},
		},
		'Cape_Verde' => {
			long => {
				'daylight' => q#केप वर्ड ग्रीष्मकालीन समय#,
				'generic' => q#केप वर्ड समय#,
				'standard' => q#केप वर्ड मानक समय#,
			},
		},
		'Chamorro' => {
			long => {
				'standard' => q#चामोरो मानक समय#,
			},
		},
		'Chatham' => {
			long => {
				'daylight' => q#चैथम डेलाइट समय#,
				'generic' => q#चैथम समय#,
				'standard' => q#चैथम मानक समय#,
			},
		},
		'Chile' => {
			long => {
				'daylight' => q#चिली ग्रीष्मकालीन समय#,
				'generic' => q#चिली समय#,
				'standard' => q#चिली मानक समय#,
			},
		},
		'China' => {
			long => {
				'daylight' => q#चीन डेलाइट समय#,
				'generic' => q#चीन समय#,
				'standard' => q#चीन मानक समय#,
			},
		},
		'Choibalsan' => {
			long => {
				'daylight' => q#कॉइबाल्सन ग्रीष्मकालीन समय#,
				'generic' => q#कॉइबाल्सन समय#,
				'standard' => q#कॉइबाल्सन मानक समय#,
			},
		},
		'Christmas' => {
			long => {
				'standard' => q#क्रिसमस द्वीप समय#,
			},
		},
		'Cocos' => {
			long => {
				'standard' => q#कोकोस द्वीपसमूह समय#,
			},
		},
		'Colombia' => {
			long => {
				'daylight' => q#कोलंबिया ग्रीष्मकालीन समय#,
				'generic' => q#कोलंबिया समय#,
				'standard' => q#कोलंबिया मानक समय#,
			},
		},
		'Cook' => {
			long => {
				'daylight' => q#कुक द्वीपसमूह अर्द्ध ग्रीष्मकालीन समय#,
				'generic' => q#कुक द्वीपसमूह समय#,
				'standard' => q#कुक द्वीपसमूह मानक समय#,
			},
		},
		'Cuba' => {
			long => {
				'daylight' => q#क्यूबा डेलाइट समय#,
				'generic' => q#क्यूबा समय#,
				'standard' => q#क्यूबा मानक समय#,
			},
		},
		'Davis' => {
			long => {
				'standard' => q#डेविस समय#,
			},
		},
		'DumontDUrville' => {
			long => {
				'standard' => q#ड्यूमोंट डी अर्विले समय#,
			},
		},
		'East_Timor' => {
			long => {
				'standard' => q#पूर्वी तिमोर समय#,
			},
		},
		'Easter' => {
			long => {
				'daylight' => q#ईस्टर द्वीप ग्रीष्मकालीन समय#,
				'generic' => q#ईस्टर द्वीप समय#,
				'standard' => q#ईस्टर द्वीप मानक समय#,
			},
		},
		'Ecuador' => {
			long => {
				'standard' => q#इक्वाडोर समय#,
			},
		},
		'Etc/UTC' => {
			long => {
				'standard' => q#समन्वित वैश्विक समय#,
			},
		},
		'Etc/Unknown' => {
			exemplarCity => q#अज्ञात शहर#,
		},
		'Europe/Amsterdam' => {
			exemplarCity => q#एम्स्टर्डम#,
		},
		'Europe/Andorra' => {
			exemplarCity => q#अंडोरा#,
		},
		'Europe/Astrakhan' => {
			exemplarCity => q#आस्ट्राखान#,
		},
		'Europe/Athens' => {
			exemplarCity => q#एथेंस#,
		},
		'Europe/Belgrade' => {
			exemplarCity => q#बेलग्रेड#,
		},
		'Europe/Berlin' => {
			exemplarCity => q#बर्लिन#,
		},
		'Europe/Bratislava' => {
			exemplarCity => q#ब्रातिस्लावा#,
		},
		'Europe/Brussels' => {
			exemplarCity => q#ब्रूसेल्स#,
		},
		'Europe/Bucharest' => {
			exemplarCity => q#बुख़ारेस्ट#,
		},
		'Europe/Budapest' => {
			exemplarCity => q#बुडापेस्ट#,
		},
		'Europe/Busingen' => {
			exemplarCity => q#ब्यूसिनजेन#,
		},
		'Europe/Chisinau' => {
			exemplarCity => q#चिसीनाउ#,
		},
		'Europe/Copenhagen' => {
			exemplarCity => q#कोपेनहेगन#,
		},
		'Europe/Dublin' => {
			exemplarCity => q#डबलिन#,
			long => {
				'daylight' => q#आइरिश मानक समय#,
			},
		},
		'Europe/Gibraltar' => {
			exemplarCity => q#जिब्राल्टर#,
		},
		'Europe/Guernsey' => {
			exemplarCity => q#गर्नसी#,
		},
		'Europe/Helsinki' => {
			exemplarCity => q#हेलसिंकी#,
		},
		'Europe/Isle_of_Man' => {
			exemplarCity => q#आइल ऑफ़ मैन#,
		},
		'Europe/Istanbul' => {
			exemplarCity => q#इस्तांबुल#,
		},
		'Europe/Jersey' => {
			exemplarCity => q#जर्सी#,
		},
		'Europe/Kaliningrad' => {
			exemplarCity => q#कालीनिनग्राड#,
		},
		'Europe/Kiev' => {
			exemplarCity => q#कीव#,
		},
		'Europe/Kirov' => {
			exemplarCity => q#किरोव#,
		},
		'Europe/Lisbon' => {
			exemplarCity => q#लिस्बन#,
		},
		'Europe/Ljubljana' => {
			exemplarCity => q#ल्यूबेलजाना#,
		},
		'Europe/London' => {
			exemplarCity => q#लंदन#,
			long => {
				'daylight' => q#ब्रिटिश ग्रीष्मकालीन समय#,
			},
		},
		'Europe/Luxembourg' => {
			exemplarCity => q#लक्ज़मबर्ग#,
		},
		'Europe/Madrid' => {
			exemplarCity => q#मैड्रिड#,
		},
		'Europe/Malta' => {
			exemplarCity => q#माल्टा#,
		},
		'Europe/Mariehamn' => {
			exemplarCity => q#मारियाहैम#,
		},
		'Europe/Minsk' => {
			exemplarCity => q#मिंस्क#,
		},
		'Europe/Monaco' => {
			exemplarCity => q#मोनाको#,
		},
		'Europe/Moscow' => {
			exemplarCity => q#मॉस्को#,
		},
		'Europe/Oslo' => {
			exemplarCity => q#ओस्लो#,
		},
		'Europe/Paris' => {
			exemplarCity => q#पेरिस#,
		},
		'Europe/Podgorica' => {
			exemplarCity => q#पोड्गोरिका#,
		},
		'Europe/Prague' => {
			exemplarCity => q#प्राग#,
		},
		'Europe/Riga' => {
			exemplarCity => q#रीगा#,
		},
		'Europe/Rome' => {
			exemplarCity => q#रोम#,
		},
		'Europe/Samara' => {
			exemplarCity => q#समारा#,
		},
		'Europe/San_Marino' => {
			exemplarCity => q#सैन मारीनो#,
		},
		'Europe/Sarajevo' => {
			exemplarCity => q#साराजेवो#,
		},
		'Europe/Saratov' => {
			exemplarCity => q#सारातोव#,
		},
		'Europe/Simferopol' => {
			exemplarCity => q#सिम्फ़ेरोपोल#,
		},
		'Europe/Skopje' => {
			exemplarCity => q#स्कोप्जे#,
		},
		'Europe/Sofia' => {
			exemplarCity => q#सोफ़िया#,
		},
		'Europe/Stockholm' => {
			exemplarCity => q#स्टॉकहोम#,
		},
		'Europe/Tallinn' => {
			exemplarCity => q#तेलिन#,
		},
		'Europe/Tirane' => {
			exemplarCity => q#टाइरेन#,
		},
		'Europe/Ulyanovsk' => {
			exemplarCity => q#उल्यानोव्स्क#,
		},
		'Europe/Uzhgorod' => {
			exemplarCity => q#अज़्गोरोद#,
		},
		'Europe/Vaduz' => {
			exemplarCity => q#वादुज़#,
		},
		'Europe/Vatican' => {
			exemplarCity => q#वेटिकन#,
		},
		'Europe/Vienna' => {
			exemplarCity => q#विएना#,
		},
		'Europe/Vilnius' => {
			exemplarCity => q#विल्नियस#,
		},
		'Europe/Volgograd' => {
			exemplarCity => q#वोल्गोग्राड#,
		},
		'Europe/Warsaw' => {
			exemplarCity => q#वॉरसॉ#,
		},
		'Europe/Zagreb' => {
			exemplarCity => q#ज़ाग्रेब#,
		},
		'Europe/Zaporozhye' => {
			exemplarCity => q#ज़ैपोरोज़ाई#,
		},
		'Europe/Zurich' => {
			exemplarCity => q#ज़्यूरिख़#,
		},
		'Europe_Central' => {
			long => {
				'daylight' => q#मध्‍य यूरोपीय ग्रीष्‍मकालीन समय#,
				'generic' => q#मध्य यूरोपीय समय#,
				'standard' => q#मध्य यूरोपीय मानक समय#,
			},
		},
		'Europe_Eastern' => {
			long => {
				'daylight' => q#पूर्वी यूरोपीय ग्रीष्मकालीन समय#,
				'generic' => q#पूर्वी यूरोपीय समय#,
				'standard' => q#पूर्वी यूरोपीय मानक समय#,
			},
		},
		'Europe_Further_Eastern' => {
			long => {
				'standard' => q#अग्र पूर्वी यूरोपीय समय#,
			},
		},
		'Europe_Western' => {
			long => {
				'daylight' => q#पश्चिमी यूरोपीय ग्रीष्‍मकालीन समय#,
				'generic' => q#पश्चिमी यूरोपीय समय#,
				'standard' => q#पश्चिमी यूरोपीय मानक समय#,
			},
		},
		'Falkland' => {
			long => {
				'daylight' => q#फ़ॉकलैंड द्वीपसमूह ग्रीष्मकालीन समय#,
				'generic' => q#फ़ॉकलैंड द्वीपसमूह समय#,
				'standard' => q#फ़ॉकलैंड द्वीपसमूह मानक समय#,
			},
		},
		'Fiji' => {
			long => {
				'daylight' => q#फ़िजी ग्रीष्मकालीन समय#,
				'generic' => q#फ़िजी समय#,
				'standard' => q#फ़िजी मानक समय#,
			},
		},
		'French_Guiana' => {
			long => {
				'standard' => q#फ़्रेंच गुयाना समय#,
			},
		},
		'French_Southern' => {
			long => {
				'standard' => q#दक्षिणी फ़्रांस और अंटार्कटिक समय#,
			},
		},
		'GMT' => {
			long => {
				'standard' => q#ग्रीनविच मीन टाइम#,
			},
		},
		'Galapagos' => {
			long => {
				'standard' => q#गैलापेगोस का समय#,
			},
		},
		'Gambier' => {
			long => {
				'standard' => q#गैंबियर समय#,
			},
		},
		'Georgia' => {
			long => {
				'daylight' => q#जॉर्जिया ग्रीष्मकालीन समय#,
				'generic' => q#जॉर्जिया समय#,
				'standard' => q#जॉर्जिया मानक समय#,
			},
		},
		'Gilbert_Islands' => {
			long => {
				'standard' => q#गिल्बर्ट द्वीपसमूह समय#,
			},
		},
		'Greenland_Eastern' => {
			long => {
				'daylight' => q#पूर्वी ग्रीनलैंड ग्रीष्मकालीन समय#,
				'generic' => q#पूर्वी ग्रीनलैंड समय#,
				'standard' => q#पूर्वी ग्रीनलैंड मानक समय#,
			},
		},
		'Greenland_Western' => {
			long => {
				'daylight' => q#पश्चिमी ग्रीनलैंड ग्रीष्मकालीन समय#,
				'generic' => q#पश्चिमी ग्रीनलैंड समय#,
				'standard' => q#पश्चिमी ग्रीनलैंड मानक समय#,
			},
		},
		'Gulf' => {
			long => {
				'standard' => q#खाड़ी मानक समय#,
			},
		},
		'Guyana' => {
			long => {
				'standard' => q#गुयाना समय#,
			},
		},
		'Hawaii_Aleutian' => {
			long => {
				'daylight' => q#हवाई–आल्यूशन डेलाइट समय#,
				'generic' => q#हवाई–आल्यूशन समय#,
				'standard' => q#हवाई–आल्यूशन मानक समय#,
			},
		},
		'Hong_Kong' => {
			long => {
				'daylight' => q#हाँग काँग ग्रीष्मकालीन समय#,
				'generic' => q#हाँग काँग समय#,
				'standard' => q#हाँग काँग मानक समय#,
			},
		},
		'Hovd' => {
			long => {
				'daylight' => q#होव्ड ग्रीष्मकालीन समय#,
				'generic' => q#होव्ड समय#,
				'standard' => q#होव्ड मानक समय#,
			},
		},
		'India' => {
			long => {
				'standard' => q#भारतीय मानक समय#,
			},
			short => {
				'standard' => q#IST#,
			},
		},
		'Indian/Antananarivo' => {
			exemplarCity => q#एंटानानरीवो#,
		},
		'Indian/Chagos' => {
			exemplarCity => q#शागोस#,
		},
		'Indian/Christmas' => {
			exemplarCity => q#क्रिसमस#,
		},
		'Indian/Cocos' => {
			exemplarCity => q#कोकोस#,
		},
		'Indian/Comoro' => {
			exemplarCity => q#कोमोरो#,
		},
		'Indian/Kerguelen' => {
			exemplarCity => q#करगुलेन#,
		},
		'Indian/Mahe' => {
			exemplarCity => q#माहे#,
		},
		'Indian/Maldives' => {
			exemplarCity => q#मालदीव#,
		},
		'Indian/Mauritius' => {
			exemplarCity => q#मॉरीशस#,
		},
		'Indian/Mayotte' => {
			exemplarCity => q#मायोत्ते#,
		},
		'Indian/Reunion' => {
			exemplarCity => q#रीयूनियन#,
		},
		'Indian_Ocean' => {
			long => {
				'standard' => q#हिंद महासागर समय#,
			},
		},
		'Indochina' => {
			long => {
				'standard' => q#इंडोचाइना समय#,
			},
		},
		'Indonesia_Central' => {
			long => {
				'standard' => q#मध्य इंडोनेशिया समय#,
			},
		},
		'Indonesia_Eastern' => {
			long => {
				'standard' => q#पूर्वी इंडोनेशिया समय#,
			},
		},
		'Indonesia_Western' => {
			long => {
				'standard' => q#पश्चिमी इंडोनेशिया समय#,
			},
		},
		'Iran' => {
			long => {
				'daylight' => q#ईरान डेलाइट समय#,
				'generic' => q#ईरान समय#,
				'standard' => q#ईरान मानक समय#,
			},
		},
		'Irkutsk' => {
			long => {
				'daylight' => q#इर्कुत्स्क ग्रीष्मकालीन समय#,
				'generic' => q#इर्कुत्स्क समय#,
				'standard' => q#इर्कुत्स्क मानक समय#,
			},
		},
		'Israel' => {
			long => {
				'daylight' => q#इज़राइल डेलाइट समय#,
				'generic' => q#इज़राइल समय#,
				'standard' => q#इज़राइल मानक समय#,
			},
		},
		'Japan' => {
			long => {
				'daylight' => q#जापान डेलाइट समय#,
				'generic' => q#जापान समय#,
				'standard' => q#जापान मानक समय#,
			},
		},
		'Kamchatka' => {
			long => {
				'daylight' => q#पेट्रोपेवलास्क-कैमचात्सकी ग्रीष्मकालीन समय#,
				'generic' => q#पेट्रोपेवलास्क-कैमचात्सकी समय#,
				'standard' => q#पेट्रोपेवलास्क-कैमचात्सकी मानक समय#,
			},
		},
		'Kazakhstan_Eastern' => {
			long => {
				'standard' => q#पूर्व कज़ाखस्तान समय#,
			},
		},
		'Kazakhstan_Western' => {
			long => {
				'standard' => q#पश्चिम कज़ाखस्तान समय#,
			},
		},
		'Korea' => {
			long => {
				'daylight' => q#कोरियाई डेलाइट समय#,
				'generic' => q#कोरियाई समय#,
				'standard' => q#कोरियाई मानक समय#,
			},
		},
		'Kosrae' => {
			long => {
				'standard' => q#कोसराए समय#,
			},
		},
		'Krasnoyarsk' => {
			long => {
				'daylight' => q#क्रास्नोयार्स्क ग्रीष्मकालीन समय#,
				'generic' => q#क्रास्नोयार्स्क समय#,
				'standard' => q#क्रास्नोयार्स्क मानक समय#,
			},
		},
		'Kyrgystan' => {
			long => {
				'standard' => q#किर्गिस्‍तान समय#,
			},
		},
		'Line_Islands' => {
			long => {
				'standard' => q#लाइन द्वीपसमूह समय#,
			},
		},
		'Lord_Howe' => {
			long => {
				'daylight' => q#लॉर्ड होवे डेलाइट समय#,
				'generic' => q#लॉर्ड होवे समय#,
				'standard' => q#लॉर्ड होवे मानक समय#,
			},
		},
		'Macquarie' => {
			long => {
				'standard' => q#मक्वारी द्वीप समय#,
			},
		},
		'Magadan' => {
			long => {
				'daylight' => q#मागादान ग्रीष्मकालीन समय#,
				'generic' => q#मागादान समय#,
				'standard' => q#मागादान मानक समय#,
			},
		},
		'Malaysia' => {
			long => {
				'standard' => q#मलेशिया समय#,
			},
		},
		'Maldives' => {
			long => {
				'standard' => q#मालदीव समय#,
			},
		},
		'Marquesas' => {
			long => {
				'standard' => q#मार्केसस समय#,
			},
		},
		'Marshall_Islands' => {
			long => {
				'standard' => q#मार्शल द्वीपसमूह समय#,
			},
		},
		'Mauritius' => {
			long => {
				'daylight' => q#मॉरीशस ग्रीष्मकालीन समय#,
				'generic' => q#मॉरीशस समय#,
				'standard' => q#मॉरीशस मानक समय#,
			},
		},
		'Mawson' => {
			long => {
				'standard' => q#माव्सन समय#,
			},
		},
		'Mexico_Northwest' => {
			long => {
				'daylight' => q#उत्तर पश्चिमी मेक्सिको डेलाइट समय#,
				'generic' => q#उत्तर पश्चिमी मेक्सिको समय#,
				'standard' => q#उत्तर पश्चिमी मेक्सिको मानक समय#,
			},
		},
		'Mexico_Pacific' => {
			long => {
				'daylight' => q#मेक्सिकन प्रशांत डेलाइट समय#,
				'generic' => q#मेक्सिकन प्रशांत समय#,
				'standard' => q#मेक्सिकन प्रशांत मानक समय#,
			},
		},
		'Mongolia' => {
			long => {
				'daylight' => q#उलान बटोर ग्रीष्मकालीन समय#,
				'generic' => q#उलान बटोर समय#,
				'standard' => q#उलान बटोर मानक समय#,
			},
		},
		'Moscow' => {
			long => {
				'daylight' => q#मॉस्को ग्रीष्मकालीन समय#,
				'generic' => q#मॉस्को समय#,
				'standard' => q#मॉस्को मानक समय#,
			},
		},
		'Myanmar' => {
			long => {
				'standard' => q#म्यांमार समय#,
			},
		},
		'Nauru' => {
			long => {
				'standard' => q#नौरू समय#,
			},
		},
		'Nepal' => {
			long => {
				'standard' => q#नेपाल समय#,
			},
		},
		'New_Caledonia' => {
			long => {
				'daylight' => q#न्यू कैलेडोनिया ग्रीष्मकालीन समय#,
				'generic' => q#न्यू कैलेडोनिया समय#,
				'standard' => q#न्यू कैलेडोनिया मानक समय#,
			},
		},
		'New_Zealand' => {
			long => {
				'daylight' => q#न्यूज़ीलैंड डेलाइट समय#,
				'generic' => q#न्यूज़ीलैंड समय#,
				'standard' => q#न्यूज़ीलैंड मानक समय#,
			},
		},
		'Newfoundland' => {
			long => {
				'daylight' => q#न्यूफ़ाउंडलैंड डेलाइट समय#,
				'generic' => q#न्यूफ़ाउंडलैंड समय#,
				'standard' => q#न्यूफ़ाउंडलैंड मानक समय#,
			},
		},
		'Niue' => {
			long => {
				'standard' => q#नीयू समय#,
			},
		},
		'Norfolk' => {
			long => {
				'standard' => q#नॉरफ़ॉक द्वीप समय#,
			},
		},
		'Noronha' => {
			long => {
				'daylight' => q#फ़र्नांर्डो डे नोरोन्हा ग्रीष्मकालीन समय#,
				'generic' => q#फ़र्नांर्डो डे नोरोन्हा समय#,
				'standard' => q#फ़र्नांर्डो डे नोरोन्हा मानक समय#,
			},
		},
		'Novosibirsk' => {
			long => {
				'daylight' => q#नोवोसिबिर्स्क ग्रीष्मकालीन समय#,
				'generic' => q#नोवोसिबिर्स्क समय#,
				'standard' => q#नोवोसिबिर्स्क मानक समय#,
			},
		},
		'Omsk' => {
			long => {
				'daylight' => q#ओम्स्क ग्रीष्मकालीन समय#,
				'generic' => q#ओम्स्क समय#,
				'standard' => q#ओम्स्क मानक समय#,
			},
		},
		'Pacific/Apia' => {
			exemplarCity => q#एपिया#,
		},
		'Pacific/Auckland' => {
			exemplarCity => q#ऑकलैंड#,
		},
		'Pacific/Bougainville' => {
			exemplarCity => q#बोगनविले#,
		},
		'Pacific/Chatham' => {
			exemplarCity => q#चैथम#,
		},
		'Pacific/Easter' => {
			exemplarCity => q#ईस्टर#,
		},
		'Pacific/Efate' => {
			exemplarCity => q#एफ़ेट#,
		},
		'Pacific/Enderbury' => {
			exemplarCity => q#एंडरबरी#,
		},
		'Pacific/Fakaofo' => {
			exemplarCity => q#फ़ाकाओफ़ो#,
		},
		'Pacific/Fiji' => {
			exemplarCity => q#फ़िजी#,
		},
		'Pacific/Funafuti' => {
			exemplarCity => q#फ़्यूनाफ़ुटी#,
		},
		'Pacific/Galapagos' => {
			exemplarCity => q#गेलापागोस#,
		},
		'Pacific/Gambier' => {
			exemplarCity => q#गैंबियर#,
		},
		'Pacific/Guadalcanal' => {
			exemplarCity => q#ग्वाडलकनाल#,
		},
		'Pacific/Guam' => {
			exemplarCity => q#गुआम#,
		},
		'Pacific/Honolulu' => {
			exemplarCity => q#होनोलुलु#,
		},
		'Pacific/Johnston' => {
			exemplarCity => q#जॉनस्टन#,
		},
		'Pacific/Kiritimati' => {
			exemplarCity => q#किरीतिमाति#,
		},
		'Pacific/Kosrae' => {
			exemplarCity => q#कोसराए#,
		},
		'Pacific/Kwajalein' => {
			exemplarCity => q#क्वाज़ालीन#,
		},
		'Pacific/Majuro' => {
			exemplarCity => q#माजुरो#,
		},
		'Pacific/Marquesas' => {
			exemplarCity => q#मार्केसस#,
		},
		'Pacific/Midway' => {
			exemplarCity => q#मिडवे#,
		},
		'Pacific/Nauru' => {
			exemplarCity => q#नौरु#,
		},
		'Pacific/Niue' => {
			exemplarCity => q#नीयू#,
		},
		'Pacific/Norfolk' => {
			exemplarCity => q#नॉरफ़ॉक#,
		},
		'Pacific/Noumea' => {
			exemplarCity => q#नौमिया#,
		},
		'Pacific/Pago_Pago' => {
			exemplarCity => q#पागो पागो#,
		},
		'Pacific/Palau' => {
			exemplarCity => q#पलाऊ#,
		},
		'Pacific/Pitcairn' => {
			exemplarCity => q#पिटकैर्न#,
		},
		'Pacific/Ponape' => {
			exemplarCity => q#पोनपेई#,
		},
		'Pacific/Port_Moresby' => {
			exemplarCity => q#पोर्ट मोरेस्बी#,
		},
		'Pacific/Rarotonga' => {
			exemplarCity => q#रारोटोंगा#,
		},
		'Pacific/Saipan' => {
			exemplarCity => q#सायपान#,
		},
		'Pacific/Tahiti' => {
			exemplarCity => q#ताहिती#,
		},
		'Pacific/Tarawa' => {
			exemplarCity => q#टारावा#,
		},
		'Pacific/Tongatapu' => {
			exemplarCity => q#टोंगाटापू#,
		},
		'Pacific/Truk' => {
			exemplarCity => q#चक#,
		},
		'Pacific/Wake' => {
			exemplarCity => q#वेक#,
		},
		'Pacific/Wallis' => {
			exemplarCity => q#वालिस#,
		},
		'Pakistan' => {
			long => {
				'daylight' => q#पाकिस्तान ग्रीष्मकालीन समय#,
				'generic' => q#पाकिस्तान समय#,
				'standard' => q#पाकिस्तान मानक समय#,
			},
		},
		'Palau' => {
			long => {
				'standard' => q#पलाउ समय#,
			},
		},
		'Papua_New_Guinea' => {
			long => {
				'standard' => q#पापुआ न्यू गिनी समय#,
			},
		},
		'Paraguay' => {
			long => {
				'daylight' => q#पैराग्वे ग्रीष्मकालीन समय#,
				'generic' => q#पैराग्वे समय#,
				'standard' => q#पैराग्वे मानक समय#,
			},
		},
		'Peru' => {
			long => {
				'daylight' => q#पेरू ग्रीष्मकालीन समय#,
				'generic' => q#पेरू समय#,
				'standard' => q#पेरू मानक समय#,
			},
		},
		'Philippines' => {
			long => {
				'daylight' => q#फ़िलिपीन ग्रीष्मकालीन समय#,
				'generic' => q#फ़िलिपीन समय#,
				'standard' => q#फ़िलिपीन मानक समय#,
			},
		},
		'Phoenix_Islands' => {
			long => {
				'standard' => q#फ़ीनिक्स द्वीपसमूह समय#,
			},
		},
		'Pierre_Miquelon' => {
			long => {
				'daylight' => q#सेंट पिएरे और मिक्वेलान डेलाइट समय#,
				'generic' => q#सेंट पिएरे और मिक्वेलान समय#,
				'standard' => q#सेंट पिएरे और मिक्वेलान मानक समय#,
			},
		},
		'Pitcairn' => {
			long => {
				'standard' => q#पिटकैर्न समय#,
			},
		},
		'Ponape' => {
			long => {
				'standard' => q#पोनापे समय#,
			},
		},
		'Pyongyang' => {
			long => {
				'standard' => q#प्योंगयांग समय#,
			},
		},
		'Reunion' => {
			long => {
				'standard' => q#रीयूनियन समय#,
			},
		},
		'Rothera' => {
			long => {
				'standard' => q#रोथेरा समय#,
			},
		},
		'Sakhalin' => {
			long => {
				'daylight' => q#सखालिन ग्रीष्मकालीन समय#,
				'generic' => q#सखालिन समय#,
				'standard' => q#सखालिन मानक समय#,
			},
		},
		'Samara' => {
			long => {
				'daylight' => q#समारा ग्रीष्मकालीन समय#,
				'generic' => q#समारा समय#,
				'standard' => q#समारा मानक समय#,
			},
		},
		'Samoa' => {
			long => {
				'daylight' => q#समोआ डेलाइट समय#,
				'generic' => q#समोआ समय#,
				'standard' => q#समोआ मानक समय#,
			},
		},
		'Seychelles' => {
			long => {
				'standard' => q#सेशेल्स समय#,
			},
		},
		'Singapore' => {
			long => {
				'standard' => q#सिंगापुर समय#,
			},
		},
		'Solomon' => {
			long => {
				'standard' => q#सोलोमन द्वीपसमूह समय#,
			},
		},
		'South_Georgia' => {
			long => {
				'standard' => q#दक्षिणी जॉर्जिया समय#,
			},
		},
		'Suriname' => {
			long => {
				'standard' => q#सूरीनाम समय#,
			},
		},
		'Syowa' => {
			long => {
				'standard' => q#स्योवा समय#,
			},
		},
		'Tahiti' => {
			long => {
				'standard' => q#ताहिती समय#,
			},
		},
		'Taipei' => {
			long => {
				'daylight' => q#ताइपे डेलाइट समय#,
				'generic' => q#ताइपे समय#,
				'standard' => q#ताइपे मानक समय#,
			},
		},
		'Tajikistan' => {
			long => {
				'standard' => q#ताजिकिस्तान समय#,
			},
		},
		'Tokelau' => {
			long => {
				'standard' => q#टोकेलाऊ समय#,
			},
		},
		'Tonga' => {
			long => {
				'daylight' => q#टोंगा ग्रीष्मकालीन समय#,
				'generic' => q#टोंगा समय#,
				'standard' => q#टोंगा मानक समय#,
			},
		},
		'Truk' => {
			long => {
				'standard' => q#चुक समय#,
			},
		},
		'Turkmenistan' => {
			long => {
				'daylight' => q#तुर्कमेनिस्तान ग्रीष्मकालीन समय#,
				'generic' => q#तुर्कमेनिस्तान समय#,
				'standard' => q#तुर्कमेनिस्तान मानक समय#,
			},
		},
		'Tuvalu' => {
			long => {
				'standard' => q#तुवालू समय#,
			},
		},
		'Uruguay' => {
			long => {
				'daylight' => q#उरुग्वे ग्रीष्मकालीन समय#,
				'generic' => q#उरुग्वे समय#,
				'standard' => q#उरुग्वे मानक समय#,
			},
		},
		'Uzbekistan' => {
			long => {
				'daylight' => q#उज़्बेकिस्तान ग्रीष्मकालीन समय#,
				'generic' => q#उज़्बेकिस्तान समय#,
				'standard' => q#उज़्बेकिस्तान मानक समय#,
			},
		},
		'Vanuatu' => {
			long => {
				'daylight' => q#वनुआतू ग्रीष्मकालीन समय#,
				'generic' => q#वनुआतू समय#,
				'standard' => q#वनुआतू मानक समय#,
			},
		},
		'Venezuela' => {
			long => {
				'standard' => q#वेनेज़ुएला समय#,
			},
		},
		'Vladivostok' => {
			long => {
				'daylight' => q#व्लादिवोस्तोक ग्रीष्मकालीन समय#,
				'generic' => q#व्लादिवोस्तोक समय#,
				'standard' => q#व्लादिवोस्तोक मानक समय#,
			},
		},
		'Volgograd' => {
			long => {
				'daylight' => q#वोल्गोग्राड ग्रीष्मकालीन समय#,
				'generic' => q#वोल्गोग्राड समय#,
				'standard' => q#वोल्गोग्राड मानक समय#,
			},
		},
		'Vostok' => {
			long => {
				'standard' => q#वोस्तोक समय#,
			},
		},
		'Wake' => {
			long => {
				'standard' => q#वेक द्वीप समय#,
			},
		},
		'Wallis' => {
			long => {
				'standard' => q#वालिस और फ़्यूचूना समय#,
			},
		},
		'Yakutsk' => {
			long => {
				'daylight' => q#याकुत्स्क ग्रीष्मकालीन समय#,
				'generic' => q#याकुत्स्क समय#,
				'standard' => q#याकुत्स्क मानक समय#,
			},
		},
		'Yekaterinburg' => {
			long => {
				'daylight' => q#येकातेरिनबर्ग ग्रीष्मकालीन समय#,
				'generic' => q#येकातेरिनबर्ग समय#,
				'standard' => q#येकातेरिनबर्ग मानक समय#,
			},
		},
	 } }
);
no Moo;

1;

# vim: tabstop=4
